﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Enumeration Pattern Validations that are applicable accross all of the CTR services.</title>


<rule context="rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

<!--
            IF [CTR330] <> NULL AND [CTR330] <> SET (DOMAIN(CGTExemptionOrRolloverCodes))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR330] = CTR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->

<assert  id="VR.ATO.CTR.430028" diagnostics="DVR.ATO.CTR.430028" 
         test="matches(.,'^A - Small business active asset reduction$') or
                      matches(.,'^B - Small business retirement exemption$') or
                      matches(.,'^C - Small business roll-over$') or
                      matches(.,'^D - Small business 15 year exemption$') or
                      matches(.,'^E - Foreign resident CGT exemption$') or
                      matches(.,'^F - Scrip for scrip roll-over$') or
                      matches(.,'^G - Inter-company roll-over$') or
                      matches(.,'^H - Demerger exemption$') or
                      matches(.,'^J - Capital gains disregarded as a result of the sale of a pre-CGT asset$') or
                      matches(.,'^K - Disposal or creation of assets in a wholly-owned company$') or
                      matches(.,'^L - Replacement asset roll-overs$') or
                      matches(.,'^M - Exchange of shares or units$') or
                      matches(.,'^N - Exchange of rights or options$') or
                      matches(.,'^O - Exchange of shares in one company for shares in another company$') or
                      matches(.,'^P - Exchange of units in a unit trust for shares in a company$') or
                      matches(.,'^R - Demerger roll-over$') or
                      matches(.,'^S - Same asset roll-overs$') or
                      matches(.,'^X - Other exemptions and roll-overs$') "></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

<!-- 
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND SET(DOMAIN(SUFFIX CODES)))
               RETURN VALIDATION MESSAGE
            ENDIF      
        -->

<assert  id="VR.ATO.GEN.428249" diagnostics="DVR.ATO.GEN.428249" test="
                    not(
                      matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                      matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                      matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                      matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="
                    not(
                      matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                      matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                      matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or 
                      matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"></assert>
<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="
                    not(
                      matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
<!--
      Rule ID: VR.ATO.GEN.410207
      
      IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
      RETURN VALIDATION MESSAGE
      ENDIF
      -->

<assert  id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"></assert>
<!--
        Rule ID:  VR.ATO.GEN.000446
        
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND 
          (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
            RETURN VALIDATION MESSAGE
        ENDIF
      -->

<assert  id="VR.ATO.GEN.000446" diagnostics="DVR.ATO.GEN.000446" 
         test="not(@i:nil='true' or @i:nil='1') and 
                    string-length(normalize-space(.)) != 0 and 
                    not(matches(.,'^(.*) - (.*)$'))"></assert>
<!-- 
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND 
          (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
          RETURN VALIDATION MESSSAGE
        ENDIF
      -->

<assert  id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131" test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
      Rule Id: VR.ATO.GEN.000458
      
      IF (pyde.02.00:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND 
        (pyde.02.00:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))
          RETURN VALIDATION MESSAGE
      ENDIF
    -->
<let name="ucName" value="upper-case(.)" />


<assert  id="VR.ATO.GEN.000458" diagnostics="DVR.ATO.GEN.000458" 
         test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  $ucName = 'ESQ' or
                  $ucName = 'II' or 
                  $ucName = 'III' or 
                  $ucName = 'IV' or 
                  $ucName = 'JNR' or 
                  $ucName = 'JP' or 
                  $ucName = 'MHA' or 
                  $ucName = 'MHR' or 
                  $ucName = 'MLA' or 
                  $ucName = 'MLC' or 
                  $ucName = 'MP' or
                  $ucName = 'QC' or
                  $ucName = 'SNR'"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
      Rule Id: VR.ATO.GEN.000459
      
      IF (pyde.02.00:PersonNameDetails.Title.Text <> NULLORBLANK) AND 
        (pyde.02.00:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))
          RETURN VALIDATION MESSAGE
      ENDIF  
   -->
<let name="ucName" value="upper-case(.)" />


<assert  id="VR.ATO.GEN.000459" diagnostics="DVR.ATO.GEN.000459" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  $ucName = '2LT' or
                  $ucName = 'AB' or
                  $ucName = 'ABBOT' or
                  $ucName = 'AC' or
                  $ucName = 'ACM' or
                  $ucName = 'ACW' or
                  $ucName = 'ADM' or
                  $ucName = 'AIR CDRE' or
                  $ucName = 'ALDERMAN' or
                  $ucName = 'AM' or
                  $ucName = 'AMBSR' or
                  $ucName = 'ARCHBISHOP' or
                  $ucName = 'ARCHDEACON' or
                  $ucName = 'ASSOC PROF' or
                  $ucName = 'AVM' or
                  $ucName = 'BARON' or
                  $ucName = 'BARONESS' or
                  $ucName = 'BDR' or
                  $ucName = 'BISHOP' or
                  $ucName = 'BR' or
                  $ucName = 'BRIG' or
                  $ucName = 'CANON' or
                  $ucName = 'CAPT' or
                  $ucName = 'CARDINAL' or
                  $ucName = 'CDRE' or
                  $ucName = 'CDT' or
                  $ucName = 'CHAP' or
                  $ucName = 'CMDR' or
                  $ucName = 'CMM' or
                  $ucName = 'COL' or
                  $ucName = 'CONST' or
                  $ucName = 'CONSUL' or
                  $ucName = 'COUNT' or
                  $ucName = 'COUNTESS' or
                  $ucName = 'CPL' or
                  $ucName = 'CPO' or
                  $ucName = 'DAME' or
                  $ucName = 'DEACON' or
                  $ucName = 'DEACONESS' or
                  $ucName = 'DEAN' or
                  $ucName = 'DEPUTY SUPT' or
                  $ucName = 'DIRECTOR' or
                  $ucName = 'DR' or
                  $ucName = 'DUCHESS' or
                  $ucName = 'DUKE' or
                  $ucName = 'EARL' or
                  $ucName = 'EF' or
                  $ucName = 'ENGR' or
                  $ucName = 'FLGOFF' or
                  $ucName = 'FLT LT' or
                  $ucName = 'FR' or
                  $ucName = 'FSGT' or
                  $ucName = 'GEN' or
                  $ucName = 'GNR' or
                  $ucName = 'GOV' or
                  $ucName = 'GP CAPT' or
                  $ucName = 'HON' or
                  $ucName = 'HON JUDGE' or
                  $ucName = 'HON JUST' or
                  $ucName = 'HRH' or
                  $ucName = 'INSP' or
                  $ucName = 'JUDGE' or
                  $ucName = 'JUST' or
                  $ucName = 'LAC' or
                  $ucName = 'LACW' or
                  $ucName = 'LADY' or
                  $ucName = 'LBDR' or
                  $ucName = 'LCPL' or
                  $ucName = 'LEUT' or
                  $ucName = 'LORD' or
                  $ucName = 'LS' or
                  $ucName = 'LT' or
                  $ucName = 'LT CMDR' or
                  $ucName = 'LT COL' or
                  $ucName = 'LT GEN' or
                  $ucName = 'LTGOV' or
                  $ucName = 'MADAM' or
                  $ucName = 'MADAME' or
                  $ucName = 'MAJ' or
                  $ucName = 'MAJ GEN' or
                  $ucName = 'MASTER' or
                  $ucName = 'MATRON' or
                  $ucName = 'MAYOR' or
                  $ucName = 'MAYORESS' or
                  $ucName = 'MGR' or
                  $ucName = 'MIDN' or
                  $ucName = 'MISS' or
                  $ucName = 'MON' or
                  $ucName = 'MOST REV' or
                  $ucName = 'MR' or
                  $ucName = 'MRS' or
                  $ucName = 'MS' or
                  $ucName = 'NURSE' or
                  $ucName = 'OCDT' or
                  $ucName = 'PASTOR' or
                  $ucName = 'PATRIARCH' or
                  $ucName = 'PLT OFF' or
                  $ucName = 'PO' or
                  $ucName = 'PRIOR' or
                  $ucName = 'PROF' or
                  $ucName = 'PTE' or
                  $ucName = 'RABBI' or
                  $ucName = 'RADM' or
                  $ucName = 'RECTOR' or
                  $ucName = 'REG SGT MJR' or
                  $ucName = 'REV' or
                  $ucName = 'RF' or
                  $ucName = 'RT HON' or
                  $ucName = 'RT REV' or
                  $ucName = 'RT REV BISHOP' or
                  $ucName = 'RT REV MON' or
                  $ucName = 'SBLT' or
                  $ucName = 'SCDT' or
                  $ucName = 'SEN' or
                  $ucName = 'SGT' or
                  $ucName = 'SIR' or
                  $ucName = 'SISTER SUP' or
                  $ucName = 'SM' or
                  $ucName = 'SMN' or
                  $ucName = 'SNR' or
                  $ucName = 'SNR CONST' or
                  $ucName = 'SQN LDR' or
                  $ucName = 'SR' or
                  $ucName = 'SSGT' or
                  $ucName = 'SUPR' or
                  $ucName = 'SWAMI' or
                  $ucName = 'TF' or
                  $ucName = 'VADM' or
                  $ucName = 'VCE CMNDR' or
                  $ucName = 'VERY REV' or
                  $ucName = 'VICAR' or
                  $ucName = 'VISCOUNT' or
                  $ucName = 'WG CDR' or
                  $ucName = 'WO' or
                  $ucName = 'WO1' or
                  $ucName = 'WO2' or
                  $ucName = 'WOFF'"></assert>
</rule>

<rule context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[not(@i:nil='true' or @i:nil='1')]">

<!--
          Rule ID: VR.ATO.CTR.428053
          
          IF ([CTR69] <> NULL) OR ([CTR69] <> TRUE)
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CTR69] = CTR:RP:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator
        -->

<assert  id="VR.ATO.CTR.428053" diagnostics="DVR.ATO.CTR.428053" test="@contextRef != $RP.ContextId or (upper-case(.) = 'TRUE' or . = '1')"></assert>
</rule>

<rule context="bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
          Rule Id: VR.ATO.CTR.428067
          
          IF ([CTR126] <> NULLORBLANK) AND ([CTR126] <> SET("C","M","R"))
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CTR126] = CTR:RPI.Closing:bafpo7.02.02:Assets.Inventories.ValuationMethod.Code
        -->

<assert  id="VR.ATO.CTR.428067" diagnostics="DVR.ATO.CTR.428067" 
         test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                      upper-case(.) = 'C' or
                      upper-case(.) = 'M' or 
                      upper-case(.) = 'R'"></assert>
</rule>

<rule context="bafot.02.14:Miscellaneous.FunctionalCurrency.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([CTR244] <> NULL) AND ([CTR244] <> SET(DOMAIN(Foreign currency codes)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR244] = CTR:RP:bafot.02.14:Miscellaneous.FunctionalCurrency.Code
     
        -->
<let name="ucValue" value="upper-case(.)" />


<assert  id="VR.ATO.CTR.428081" diagnostics="DVR.ATO.CTR.428081" test="not(.) or
                    @contextRef != $RP.ContextId or
                  $ucValue = 'AED' or
                  $ucValue = 'AFN' or
                  $ucValue = 'ALL' or
                  $ucValue = 'AMD' or
                  $ucValue = 'ANG' or
                  $ucValue = 'AOA' or
                  $ucValue = 'ARS' or
                  $ucValue = 'AWG' or
                  $ucValue = 'AZN' or
                  $ucValue = 'BAM' or
                  $ucValue = 'BBD' or
                  $ucValue = 'BDT' or
                  $ucValue = 'BGN' or
                  $ucValue = 'BHD' or
                  $ucValue = 'BIF' or
                  $ucValue = 'BMD' or
                  $ucValue = 'BND' or
                  $ucValue = 'BOB' or
                  $ucValue = 'BOV' or
                  $ucValue = 'BRL' or
                  $ucValue = 'BSD' or
                  $ucValue = 'BTN' or
                  $ucValue = 'BWP' or
                  $ucValue = 'BYR' or
                  $ucValue = 'BZD' or
                  $ucValue = 'CAD' or
                  $ucValue = 'CDF' or
                  $ucValue = 'CHE' or
                  $ucValue = 'CHF' or
                  $ucValue = 'CHW' or
                  $ucValue = 'CLF' or
                  $ucValue = 'CLP' or
                  $ucValue = 'CNY' or
                  $ucValue = 'COP' or
                  $ucValue = 'COU' or
                  $ucValue = 'CRC' or
                  $ucValue = 'CUP' or
                  $ucValue = 'CVE' or
                  $ucValue = 'CZK' or
                  $ucValue = 'DJF' or
                  $ucValue = 'DKK' or
                  $ucValue = 'DOP' or
                  $ucValue = 'DZD' or
                  $ucValue = 'EGP' or
                  $ucValue = 'ERN' or
                  $ucValue = 'ETB' or
                  $ucValue = 'EUR' or
                  $ucValue = 'FJD' or
                  $ucValue = 'FKP' or
                  $ucValue = 'GBP' or
                  $ucValue = 'GEL' or
                  $ucValue = 'GHS' or
                  $ucValue = 'GIP' or
                  $ucValue = 'GMD' or
                  $ucValue = 'GNF' or
                  $ucValue = 'GTQ' or
                  $ucValue = 'GYD' or
                  $ucValue = 'HKD' or
                  $ucValue = 'HNL' or
                  $ucValue = 'HRK' or
                  $ucValue = 'HTG' or
                  $ucValue = 'HUF' or
                  $ucValue = 'IDR' or
                  $ucValue = 'ILS' or
                  $ucValue = 'INR' or
                  $ucValue = 'IQD' or
                  $ucValue = 'IRR' or
                  $ucValue = 'ISK' or
                  $ucValue = 'JMD' or
                  $ucValue = 'JOD' or
                  $ucValue = 'JPY' or
                  $ucValue = 'KES' or
                  $ucValue = 'KGS' or
                  $ucValue = 'KHR' or
                  $ucValue = 'KMF' or
                  $ucValue = 'KPW' or
                  $ucValue = 'KRW' or
                  $ucValue = 'KWD' or
                  $ucValue = 'KYD' or
                  $ucValue = 'KZT' or
                  $ucValue = 'LAK' or
                  $ucValue = 'LBP' or
                  $ucValue = 'LKR' or
                  $ucValue = 'LRD' or
                  $ucValue = 'LSL' or
                  $ucValue = 'LTL' or
                  $ucValue = 'LVL' or
                  $ucValue = 'LYD' or
                  $ucValue = 'MAD' or
                  $ucValue = 'MDL' or
                  $ucValue = 'MGA' or
                  $ucValue = 'MKD' or
                  $ucValue = 'MMK' or
                  $ucValue = 'MNT' or
                  $ucValue = 'MOP' or
                  $ucValue = 'MRO' or
                  $ucValue = 'MUR' or
                  $ucValue = 'MVR' or
                  $ucValue = 'MWK' or
                  $ucValue = 'MXN' or
                  $ucValue = 'MXV' or
                  $ucValue = 'MYR' or
                  $ucValue = 'MZN' or
                  $ucValue = 'NAD' or
                  $ucValue = 'NGN' or
                  $ucValue = 'NIO' or
                  $ucValue = 'NOK' or
                  $ucValue = 'NPR' or
                  $ucValue = 'NZD' or
                  $ucValue = 'OMR' or
                  $ucValue = 'PAB' or
                  $ucValue = 'PEN' or
                  $ucValue = 'PGK' or
                  $ucValue = 'PHP' or
                  $ucValue = 'PKR' or
                  $ucValue = 'PLN' or
                  $ucValue = 'PYG' or
                  $ucValue = 'QAR' or
                  $ucValue = 'RON' or
                  $ucValue = 'RSD' or
                  $ucValue = 'RUB' or
                  $ucValue = 'RWF' or
                  $ucValue = 'SAR' or
                  $ucValue = 'SBD' or
                  $ucValue = 'SCR' or
                  $ucValue = 'SDG' or
                  $ucValue = 'SEK' or
                  $ucValue = 'SGD' or
                  $ucValue = 'SHP' or
                  $ucValue = 'SLL' or
                  $ucValue = 'SOS' or
                  $ucValue = 'SRD' or
                  $ucValue = 'SSP' or
                  $ucValue = 'STD' or
                  $ucValue = 'SVC' or
                  $ucValue = 'SYP' or
                  $ucValue = 'SZL' or
                  $ucValue = 'THB' or
                  $ucValue = 'TJS' or
                  $ucValue = 'TMT' or
                  $ucValue = 'TND' or
                  $ucValue = 'TOP' or
                  $ucValue = 'TRY' or
                  $ucValue = 'TTD' or
                  $ucValue = 'TWD' or
                  $ucValue = 'TZS' or
                  $ucValue = 'UAH' or
                  $ucValue = 'UGX' or
                  $ucValue = 'USD' or
                  $ucValue = 'UYI' or
                  $ucValue = 'UYU' or
                  $ucValue = 'UZS' or
                  $ucValue = 'VEF' or
                  $ucValue = 'VND' or
                  $ucValue = 'VUV' or
                  $ucValue = 'WST' or
                  $ucValue = 'XAF' or
                  $ucValue = 'XCD' or
                  $ucValue = 'XOF' or
                  $ucValue = 'XPF' or
                  $ucValue = 'YER' or
                  $ucValue = 'ZAR' or
                  $ucValue = 'ZMW' or
                  $ucValue = 'ZWL'"></assert>
</rule>

<rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
          Rule Id: VR.ATO.CTR.428213
          
          IF (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code <> NULLORBLANK) AND (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code) <> SET("DFRW","DNOABN")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.CTR.428213" diagnostics="DVR.ATO.CTR.428213" test="@i:nil='true' or @i:nil='1' or
                  string-length(normalize-space(.)) = 0 or
                  upper-case(.) = 'DFRW' or 
                  upper-case(.) = 'DNOABN'"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.428248
        
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND SET(DOMAIN(SUFFIX CODES)))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428248" diagnostics="DVR.ATO.GEN.428248" test="
                    not(
                      matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                      matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                      matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                      matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"></assert>
</rule>

<rule context="pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
      Rule Id: VR.ATO.GEN.428219
      
      IF (pyde.02.05:PersonNameDetails.Usage.Code <> NULLORBLANK) AND 
        (pyde.02.05:PersonNameDetails.Usage.Code <> "DeclarationSignatory")
          RETURN VALIDATION MESSAGE
      ENDIF
   -->

<assert  id="VR.ATO.GEN.428219" diagnostics="DVR.ATO.GEN.428219" 
         test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  upper-case(.) = 'DECLARATIONSIGNATORY'"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
      Rule Id: VR.ATO.GEN.428221
      
      IF (pyde.02.00:PersonNameDetails.PersonNameType.Code <> NULLORBLANK) AND 
        (pyde.02.00:PersonNameDetails.PersonNameType.Code <> "LGL")
          RETURN VALIDATION MESSAGE
      ENDIF
    -->

<assert  id="VR.ATO.GEN.428221" diagnostics="DVR.ATO.GEN.428221" test="@i:nil='true' or @i:nil='1' or  string-length(normalize-space(.)) = 0 or
                  upper-case(.)='LGL'"></assert>
</rule>

<rule context="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
    Rule Id: VR.ATO.GEN.428223
    
    IF (pyde.02.00:PersonNameDetails.Currency.Code <> NULLORBLANK) AND 
      (pyde.02.00:PersonNameDetails.Currency.Code <> "C")
        RETURN VALIDATION MESSAGE
    ENDIF    
   -->

<assert  id="VR.ATO.GEN.428223" diagnostics="DVR.ATO.GEN.428223" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  upper-case(.) = 'C'"></assert>
</rule>

<rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

  <!--
            Rule ID: VR.ATO.GEN.428240 Deleted due to PBI000000062329
            Rule ID: VR.ATO.GEN.000406 Added to replace VR.ATO.GEN.428240
			
			IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Line1.Text STARTSWITH SET("C/O ","C/ ","Care Of ","CO ")) 
            OR (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS SET(" C/O "," C/ "," Care Of "))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
  <assert id="VR.ATO.GEN.000406" diagnostics="DVR.ATO.GEN.000406"
          test="not(
                        matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                        matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or
                        matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                        matches(.,'^(C/O|C/|Care Of|CO)$','i')
                      )"/>
</rule>

<rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

  <!--
            Rule ID: VR.ATO.GEN.428241 Deleted due to PBI000000062329
            Rule ID: VR.ATO.GEN.000408 Added to replace VR.ATO.GEN.428241
			
			IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Line2.Text STARTSWITH SET("C/- ","C/O ","C/ ","Care Of ","CO ") 
            OR pyde.xx.xx:AddressDetails.Line2.Text CONTAINS SET(" C/- "," C/O "," C/ "," Care Of "))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
  <assert id="VR.ATO.GEN.000408" diagnostics="DVR.ATO.GEN.000408"
          test="not(matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                              matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or
                              matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                              matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i'))"/>
</rule>

<rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
          Rule ID: VR.ATO.GEN.428230

          IF (pyde.02.00:AddressDetails.LocalityName.Text = FOUND SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230" test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"></assert>
</rule>

<rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">

<!-- 
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - ")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.GEN.000413" diagnostics="DVR.ATO.GEN.000413.0" test="string-length(normalize-space(.)) = 0 or 
                        not(contains(., ' - '))"></assert>
</rule>

<rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK)
          AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> SET("C","P"))
             RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.GEN.000466" diagnostics="DVR.ATO.GEN.000466" subject="pyde.02.00:OrganisationNameDetails.Currency.Code" 
         test="not(
            count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
            and 
            pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(C|P)$'))])"></assert>
</rule>

<rule context="pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
          Rule ID: VR.ATO.CTR.428017
      
          IF ([CTR10] <> NULLORBLANK) AND ([CTR10] <> "05")
            RETURN VALIDATION MESSAGE
          ENDIF
      
          [CTR10] = CTR:RP:pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code
        -->

<assert  id="VR.ATO.CTR.428017" diagnostics="DVR.ATO.CTR.428017" 
         test="@contextRef != $RP.ContextId 
                or @i:nil='true' or @i:nil='1' 
                or string-length(normalize-space(.)) = 0 
                or . = '05'"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!-- 
      Rule Id: VR.ATO.GEN.428211
      
      IF COUNT (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") > 1
       RETURN VALIDATION MESSAGE
      ENDIF
    -->

<assert  id="VR.ATO.GEN.428211" diagnostics="DVR.ATO.GEN.428211" 
         test="count(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[upper-case(.)='DFRW']) &lt; 2"></assert>
<!--
            Rule Id: VR.ATO.GEN.428212      
            IF COUNT (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428212" diagnostics="DVR.ATO.GEN.428212" subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code" 
         test="count(ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[upper-case(.)='DNOABN']) &lt; 2"></assert>
<!-- 
            Rule Id: VR.ATO.CTR.428028
            
            IF [CTR50] <> NULL AND [CTR50] <> SET(1-100) 
              RETURN VALIDATION MESSAGE 
            ENDIF
            [CTR50] = CTR:RP:bafpo2.xx.xx:Equity.ContributedEquity.NonAustralianShareholding.Percent
        -->

<assert  id="VR.ATO.CTR.428028" diagnostics="DVR.ATO.CTR.428028" subject="bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent" 
         test="not(
                bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent
                    [
                        @contextRef = $RP.ContextId 
                        and not(@i:nil='true' or @i:nil='1')
                        and matches(.,'^[-]?\d+(\.\d+)?$')]
                and 
                (
                    sum(bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent[@contextRef = $RP.ContextId 
                        and not(@i:nil='true' or @i:nil='1')
                        and matches(.,'^[-]?\d+(\.\d+)?$')]) &lt; 1 or
                    sum(bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent[@contextRef = $RP.ContextId 
                        and not(@i:nil='true' or @i:nil='1')
                        and matches(.,'^[-]?\d+(\.\d+)?$')]) &gt; 100
                ))"/>
<!--
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030CTR" 
         test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (matches(pyin.02.08:Report.AmendmentSequence.Number,'^(1|2|3|4|5|6|7|8|9)$'))
                     )"></assert>
</rule>

<rule context="xbrli:xbrl/pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
          IF (CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code" <> NULLORBLANK) AND (CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code <> SET ("027","032","045","054","088","120","139","163","174","205"))
            RETURN VALIDATION MESSAGE
          ENDIF  
        -->

<assert  id="VR.ATO.CTR.428033" diagnostics="DVR.ATO.CTR.428033" 
         test="@contextRef != $RP.ContextId 
         or @i:nil='true' or @i:nil='1' 
         or string-length(normalize-space(.)) = 0 
         or         . = '027' or
                    . = '032' or
                    . = '045' or
                    . = '054' or
                    . = '088' or
                    . = '120' or
                    . = '139' or
                    . = '163' or
                    . = '174' or
                    . = '205'"></assert>
</rule>

<rule context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
      IF (pyde.02.00:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND 
          (pyde.02.00:AddressDetails.StateOrTerritory.Code <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
            RETURN VALIDATION MESSAGE
      ENDIF
    -->
<let name="ucName" value="upper-case(.)" />


<assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036" 
         test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                
                  $ucName = 'QLD' or 
                  $ucName = 'NSW' or 
                  $ucName = 'VIC' or 
                  $ucName = 'SA' or 
                  $ucName = 'WA' or 
                  $ucName = 'NT' or 
                  $ucName = 'ACT' or 
                  $ucName = 'TAS'"></assert>
</rule>

<rule context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">

<!--
      IF (pyde.02.00:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.Postcode.Text <> SET(0200-9999))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

<assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041" 
         test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  matches(.,'^([0][2-9]|[1-9][0-9])[0-9][0-9]$')"></assert>
</rule>

<rule context="ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/ pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
      Rule Id: VR.ATO.CTR.428051
      
      IF ([CTR62] <> NULLORBLANK) AND ([CTR62] <> SET ("059", "090", "112", "072","077","071", "039", "089", "179","184"))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR62] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code IN TUPLE(ctr.0005.lodge.req.xx.xx:TrustDistributionIncome)
    -->

<assert  id="VR.ATO.CTR.428051" diagnostics="DVR.ATO.CTR.428051" 
         test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '059' or 
                  . ='090' or
                  . ='112' or
                  . ='072' or 
                  . ='077' or 
                  . ='071' or 
                  . ='039' or 
                  . ='089' or 
                  . ='179' or 
                  . ='184'"></assert>
</rule>

<rule context="bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
      Rule Id: VR.ATO.CTR.428070
      IF ([CTR146] <> NULLORBLANK) AND ([CTR146] <> SET("A","B","M"))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR146] = CTR:RP:bafpo1.02.02:Assets.LoansAndReceivablesAction.Code
    -->

<assert  id="VR.ATO.CTR.428070" diagnostics="DVR.ATO.CTR.428070" 
         test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  upper-case(.) = 'A' or
                  upper-case(.) = 'B' or
                  upper-case(.) = 'M'"></assert>
</rule>

<rule context="lrla.02.05:Remuneration.WagesAndSalariesAction.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
      IF ([CTR152] <> NULLORBLANK) AND ([CTR152] <> SET("C","A","B","O"))
        RETURN VALIDATION MESSAGE
      ENDIF
      [CTR152] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
        -->

<assert  id="VR.ATO.CTR.428071" diagnostics="DVR.ATO.CTR.428071" 
         test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  upper-case(.) = 'C' or
                  upper-case(.) = 'A' or
                  upper-case(.) = 'B' or
                  upper-case(.) = 'O'"></assert>
</rule>

<rule context="bafpr1.02.00:Income.NonMembers.Percent[not(@i:nil='true' or @i:nil='1')]">

<!-- 
      IF ([CTR178] <> NULL) AND ([CTR178] <> SET(1-100))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR178] = CTR:RP:bafpr1.02.00:Income.NonMembers.Percent
    -->

<assert  id="VR.ATO.CTR.428076" diagnostics="DVR.ATO.CTR.428076" 
         test="@contextRef != $RP.ContextId 
                or @i:nil='true' or @i:nil='1' 
                or 
                (   matches(.,'^[-]?\d+(\.\d+)?$') and
                    sum(.) &gt; 0 and
                    sum(.) &lt; 101
                )
                    "></assert>
</rule>

<rule context="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]">

<!--
      IF (pyde.02.00:AddressDetails.OverseasAddress.Indicator <> NULL) AND (pyde.02.00:AddressDetails.OverseasAddress.Indicator <> FALSE)
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

<assert  id="VR.ATO.CTR.428107" diagnostics="DVR.ATO.CTR.428107" test="@i:nil='true' or @i:nil='1' or upper-case(.) = 'FALSE' or .='0'"></assert>
</rule>

<rule context="ctr.0005.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CTR.428366

            IF [CTR45] = "au"
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR45] = CTR:RP:pyde.02.08:Residency.TaxPurposesCountry.Code IN TUPLE(ctr.0005.lodge.req.02.00:UltimateHoldingCompany)
        -->

<assert  id="VR.ATO.CTR.428366" diagnostics="DVR.ATO.CTR.428366" 
         test="not(pyde.02.08:Residency.TaxPurposesCountry.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and upper-case(.)  = 'AU'])"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule: VR.ATO.GEN.432036
            IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number CONTAINS SET("'", " ")
                THEN RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432036" diagnostics="DVR.ATO.GEN.432036"
                    test="not(
                        pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
                            [
                                not(@i:nil='true' or @i:nil='1')  
                                and (
                                        matches(.,'^(.*)( |'')(.*)$')
                                    )
                            ]
                    )"/>
<!--
            Rule: VR.ATO.GEN.432037
         
            IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text CONTAINS SET("_", "!", "@", "$", "%", "]", "[", "?", "=", ":", ";", """, ",")
                RETURN VALIDATION MESSAGE
            ENDIF
            TODO: Fix the chars in the matches() function below
        -->

<assert id="VR.ATO.GEN.432037" diagnostics="DVR.ATO.GEN.432037" 
        test="not(
                     pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
                        [not(@i:nil='true' or @i:nil='1')  
                         and matches(.,'^(.*)(_|!|@|\$|%|\]|\[|\?|=|:|;|&quot;|,)(.*)$')
                         ])"></assert>
</rule>
</pattern>