﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            Rule ID: VR.ATO.GEN.410220
            
            IF CONTEXT(INT) <> NULL AND ((INT:Identifier Scheme <> “http://www.ato.gov.au/abn”) OR (INT:entity.identifier.ABN = NULLORBLANK))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410220" diagnostics="DVR.ATO.GEN.410220" test="not(
                        xbrli:context[@id = $Int.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        and
                        (not(xbrli:context[@id = $Int.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]))
                    )"></assert>
<!--
            Rule ID: VR.ATO.GEN.000208
            
            IF COUNT(RP) <> 1
              RETURN VALIDATION MESSAGE       
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" test="count($RP.Context) = 1"></assert>
<!--
            Rule ID: VR.ATO.GEN.000226
            
            IF COUNT(INT) > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000226" diagnostics="DVR.ATO.GEN.000226" test="not(count($Int.Context) &gt; 1)"></assert>
<!--
            Rule ID: VR.ATO.GEN.410113
            
            IF (RP:entity.identifier.TFN) = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.1" test="not(
                        xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        and
                        not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                    )"></assert>
</rule>

<rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.GEN.000199
            
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199.0" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            Rule ID: VR.ATO.GEN.000201
            
            IF (period.startDate >= period.endDate WHERE CONTEXT(ALL))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.0" test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        function:IsDate1GreaterOrEqualToDate2(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                    )"></assert>
<!-- 
            Rule ID: VR.ATO.GEN.000201
            
            IF (period.endDate = NULLORBLANK WHERE CONTEXT(ALL))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.0" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            Rule ID: VR.ATO.GEN.000239
            
            IF (Identifier Scheme <> "http://www.ato.gov.au/abn") AND (Identifier Scheme <> "http://www.ato.gov.au/tfn")
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000239" diagnostics="DVR.ATO.GEN.000239" test="not(
                      xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')] 
                      and
                      not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and (upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' or upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN')])
                  )"></assert>
<!--
            Rule ID: VR.ATO.GEN.000240
            
            IF context id = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240.1" test="@id and string-length(normalize-space(@id)) != 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.410196
            
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.xx.xx:Intermediary") AND (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.xx.xx:ReportingParty")
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410196" diagnostics="DVR.ATO.GEN.410196" test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')] 
                        and
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(Intermediary|ReportingParty)$')])
                    )"></assert>
</rule>
</pattern>