﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.410113
            
            IF (RP:entity.identifier.TFN) = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.PTR" test="not(
                        xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        and
                        not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                    )"></assert>
<!--
            IF COUNT(INT) > 1
                RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227" test="not(count($INT.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.NonPrim)) > 1 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430259" diagnostics="DVR.ATO.GEN.430259" test="not(count($RP.NonPrim.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAus)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266" test="not(count($RP.JAUS.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267" test="not(count($RP.JFOREIGN.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.Prim)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430269" diagnostics="DVR.ATO.GEN.430269" test="not(count($RP.JAUS.Prim.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JAUS.NonPrim)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430270" diagnostics="DVR.ATO.GEN.430270" test="not(count($RP.JAUS.NonPrim.Context) &gt; 1)"></assert>
<!--
            IF COUNT(RP) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209" test="not(count(xbrli:context[@id=$RP.ContextId]) != 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JFOREIGN.CFCLC)) > 1 
                RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.GEN.430273" diagnostics="DVR.ATO.GEN.430273" test="not(count($RP.JFOREIGN.CFCLC.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JFOREIGN.CFC404)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430274" diagnostics="DVR.ATO.GEN.430274" test="not(count($RP.JFOREIGN.CFC404.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.JFOREIGN.CFCUC)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.GEN.430275" diagnostics="DVR.ATO.GEN.430275" test="not(count($RP.JFOREIGN.CFCUC.Context) &gt; 1)"></assert>
<!--
			IF COUNT(CONTEXT(RP.Opening(Instant))) > 1 
			   RETURN VALIDATION MESSAGE
			ENDIF
        -->

<assert  id="VR.ATO.GEN.430279" diagnostics="DVR.ATO.GEN.430279" test="not(count($RPI.Opening.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RPI.Closing)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280" test="not(count($RPI.Closing.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.TOFA)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302" test="not(count($RP.TOFA.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.Prim)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430258" diagnostics="DVR.ATO.GEN.430258" test="not(count($RP.Prim.Context) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.LowCost)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.PTR.431012" diagnostics="DVR.ATO.PTR.431012" test="not(count($RP.LowCost.Context) &gt; 1)"></assert>
<!--     
            IF COUNT(CONTEXT(RP.GeneralPool)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.PTR.431013" diagnostics="DVR.ATO.PTR.431013" test="not(count($RP.GeneralPool.Context) &gt; 1)"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF (INT:entity.identifier.ABN <> NULLORBLANK) 
                AND (ABNALGORITHM (INT:entity.identifier.ABN) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253.PTR" test="not(
                        @id = $INT.ContextId and 
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                          xbrli:identifier[not(@i:nil='true' or @i:nil='1')
                            and upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                            and string-length(normalize-space(.)) != 0
                            and not(function:ValidateABN(.))]
                    )"></assert>
<!--
            IF (entity.identifier.TFN WHERE CONTEXT (ALL))<> RP.entity.identifier.TFN
              RETURN VALIDATION MESSAGE
            END IF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023.PTR" test="
                    (xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn'and not(@i:nil='true' or @i:nil='1')] =
                    $RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])
                    or
                    not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            IF (period.startDate >= period.endDate WHERE CONTEXT(ALL))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.1" test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        function:IsDate1GreaterOrEqualToDate2(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                    )"></assert>
<!--
            IF (IndustryProductionType.xx.xx:IndustryProductionTypeDimension = SET("IndustryProductionType.02.00:PrimaryProduction", "IndustryProductionType.02.00:NonPrimaryProduction")AND
               (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> NULLORBLANK) AND IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> “IntlJurisdiction.02.00:Australian”)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430300" diagnostics="DVR.ATO.GEN.430300" test="not
                        (
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) = 3
                            and ./xbrldi:explicitMember[matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType.02.00:PrimaryProduction|IndustryProductionType.02.00:NonPrimaryProduction$')]
                            and ./xbrldi:explicitMember[matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and not(matches(.,'^IntlJurisdiction.02.00:Australian$'))]]
                         )"></assert>
<!--
            IF (IndustryProductionType.xx.xx:IndustryProductionTypeDimension <> NULLORBLANK)
                AND (IndustryProductionType.xx.xx:IndustryProductionsionTypeDimension <> SET("IndustryProductionType.02.00:PrimaryProduction", "IndustryProductionType.02.00:NonPrimaryProduct)
                RETURN VALIDATION MESSAGE
            ENDIF  
        -->

<assert  id="VR.ATO.GEN.432397" diagnostics="DVR.ATO.GEN.432397" test="not
                        (
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') 
                            and not(matches(.,'^IndustryProductionType.02.00:PrimaryProduction|IndustryProductionType.02.00:NonPrimaryProduction$'))]
                        )"></assert>
<!--
            IF (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> NULLORBLANK)
                AND (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> “FinclArrngmtType.02.00:TOFA”)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430301" diagnostics="DVR.ATO.GEN.430301.PTR" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="not
                        ( 
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') 
                             and not(matches(.,'^FinclArrngmtType.02.00:TOFA$'))]
                        )"></assert>
<!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
            AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
               RETURN VALIDATION MESSAGE
            ENDIF  
          -->

<assert  id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029.PTR" test="not(
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                    )
                    or
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"></assert>
<!--
        IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:Intermediary”) 
            AND (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
            RETURN VALIDATION MESSAGE
        ENDIF
       -->

<assert  id="VR.ATO.GEN.438030" diagnostics="DVR.ATO.GEN.438030.PTR" test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(Intermediary)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]"></assert>
</rule>
</pattern>