﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>RDTIS Context Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.402009.RDTIS" test="not(count($RP.Context) != 1)"></assert>
<!--
            IF RP.CTAUS:entity.identifier.TFN <> RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438000" diagnostics="DVR.ATO.RDTIS.438000" test="not(xbrli:context[@id=$RP.CTAUS.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']
                          !=
                           xbrli:context[@id=$RP.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
<!--
            IF RP.YPrevious:entity.identifier.TFN <> RP:entity.identifier.TFN
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438063" diagnostics="DVR.ATO.RDTIS.438063" test="not(
                          xbrli:context[@id=$RP.YPrevious.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']
                          !=
                           xbrli:context[@id=$RP.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']
                          )"></assert>
<!--
            IF RP.CTFOR:entity.identifier.TFN <> RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438001" diagnostics="DVR.ATO.RDTIS.438001" test="not(xbrli:context[@id=$RP.CTFOR.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']
                          !=
                           xbrli:context[@id=$RP.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
<!--
            IF (entity.identifier.TFN WHERE CONTEXT(GM)) = RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438003" diagnostics="DVR.ATO.RDTIS.438003" test="not(xbrli:context[@id=$GM.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']
                          =
                           xbrli:context[@id=$RP.ContextId]/xbrli:entity
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
<!--
            IF COUNT(CONTEXT(RP.CTAUS)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438004" diagnostics="DVR.ATO.RDTIS.438004" test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.CTAUS.ContextId]) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(RP.CTFOR)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438005" diagnostics="DVR.ATO.RDTIS.438005" test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.CTFOR.ContextId]) &gt; 1)"></assert>
<!--
            IF COUNT(CONTEXT(GM)) > 19
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438006" diagnostics="DVR.ATO.RDTIS.438006" test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$GM.ContextId]) &gt; 19)"></assert>
<!--
            IF COUNT(CONTEXT(RP.YPrevious)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.RDTIS.438062" diagnostics="DVR.ATO.RDTIS.438062" test="not(
                        count($RP.YPrevious.Context) &gt; 1
                        )"></assert>
</rule>

<rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" test="not(
                          xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme != 'http://www.ato.gov.au/tfn']
                      )"></assert>
<!--
            IF GM:entity.identifier.TFN = ANY OTHER OCCURRENCE(GM:entity.identifier.TFN)
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->


<assert  id="VR.ATO.RDTIS.438060" diagnostics="DVR.ATO.RDTIS.438060" test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and 
                                                ../xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[@dimension='RprtPyType.02.05:ReportPartyTypeDimension' and .='RprtPyType.02.05:GroupMember']]
                        = 
                        preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and 
                                                    ../xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[@dimension='RprtPyType.02.05:ReportPartyTypeDimension' and .='RprtPyType.02.05:GroupMember']]
                      )"></assert>
</rule>
</pattern>