﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">
  <!-- ========= DVR.ATO.CAS ========= -->

  <diagnostic id="DVR.ATO.CAS.400000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400000</Code>
      <Description>Response required for self-assessed effective life field (Part A, Label D)</Description>
      <LongDescription>A yes or no response to the self assessed effective life field (Label D) is required if an amount greater than 0 has been entered into Part A of the Capital Allowances schedule for Depreciating assets first deducted in the current income year in any of the labels A, B or C</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400001</Code>
      <Description>Response not required for self-assessed effective life field (Part A, Label D)</Description>
      <LongDescription>A response in the self assessed effective life field (Label D) is not required where there has been no listed depreciating assets first deducted in the current year in (Part A) of the Capital Allowance schedule</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400002</Code>
      <Description>Cost of self-assessed depreciating assets and/or Self-assessed motor vehicles amounts required</Description>
      <LongDescription>If the response to the self assessed effective life question in Part A of the Capital Allowances schedule is Yes then an amount greater than 0 must be entered into at least one of the self-assessed depreciating assets (Label E) or self-assessed motor vehicles (Label F) fields</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400003</Code>
      <Description>Cost of self-assessed depreciating assets or Self-assessed motor vehicles not required</Description>
      <LongDescription>If the response to the self assessed effective life question in Part A of the Capital Allowances schedule is No, then no assets cost values should be entered into either of the self-assessed depreciating assets (Label E) or self-assessed motor vehicles (Label F) fields</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400004</Code>
      <Description>Self-assessed depreciating assets (excluding motor vehicles) exceeds sum of earlier costs claimed</Description>
      <LongDescription>The Total cost of the self assessed depreciating assets - excluding motor vehicles (Label E) in Part A of the Capital Allowance schedule cannot be greater than the sum of the depreciating assets costing less than $1000 (Label A) plus depreciating assets costing $1000 or more (Label B)</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedExcludingMotorVehiclesCostTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400005</Code>
      <Description>Self-assessed motor vehicles exceeds earlier motor vehicle cost claimed</Description>
      <LongDescription>The amount at self assessed depreciating assets for motor vehicles (Label F) in Part A of the Capital Allowance schedule cannot be greater than the amount at motor vehicles (Label C)</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedMotorVehiclesCostTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400006</Code>
      <Description>Low-cost assets allocated to pool amount is incorrect. Check and correct</Description>
      <LongDescription>The amount of Low cost assets allocated to pool (Item B2 Label M) must be less than or equal to the sum of Depreciating assets (Item A1, Label A) and Motor vehicles (Item A1, Label C)</LongDescription>
      <Location>bafpo7.02.02:Assets.DepreciatingAssets.CostOfLowCostAssetsAllocatedToLowValuePoolTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400007</Code>
      <Description>Recalculated effective life depreciating assets and/or motor vehicles amounts required</Description>
      <LongDescription>If the response to Part B of the Capital Allowances schedule, the Recalculation of effective life depreciating assets question (Label R) is Yes then an amount greater than 0 must be entered into at least one of the Total opening adjusted values for Depreciating assets (Label S) or Motor vehicles (Label T) fields</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400008</Code>
      <Description>Recalculated effective life depreciating assets or motor vehicles amount not required</Description>
      <LongDescription>If the response to Part B of the Capital Allowance schedule, the Recalculation of effective life question (Label R) is No, then no values should be entered into either of the Total opening adjusted values for Depreciating assets (Label S) or Motor vehicles (Label T) fields</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400009</Code>
      <Description>Explicit member dimension RelativePeriodDuration must be set to Y0 or Y0Minus1</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CAS.400010</Code>
      <Description>Response required for recalculation of effective life field (Part B, Label R)</Description>
      <LongDescription>A yes or no response to the Recalculation of effective life depreciating assets question (Label R) in Part B of the Capital Allowances schedule is required</LongDescription>
      <Location>bafpo7.02.02:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CAS.400041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.CGLS ========= -->
  <diagnostic id="DVR.ATO.CAS.400042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404000</Code>
      <Description>Same business tax/net capital loss transferred from joining entities present. Part C1 not completed</Description>
      <LongDescription>Same business tax/net capital losses transferred from joining entities present however the total amount(s) of losses, which first failed the continuity of ownership or control tests, have not been entered against the relevant income year(s) listed</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404207</Code>
      <Description>Sum of group and transferred tax losses deducted must equal tax losses deducted total</Description>
      <LongDescription>The sum of (Tax losses deducted - Group) and (Tax losses deducted - Transferred) must equal (Tax losses deducted - Total)</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404214">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404214</Code>
      <Description>(Tax losses deducted - Transferred) greater than zero. Transferor details required.</Description>
      <LongDescription>The sum of (Tax losses deducted - Group) and (Tax losses deducted - Transferred) must equal (Tax losses deducted - Total)</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404215</Code>
      <Description>Transferor details present. Tax losses deducted - transferred is absent or equal to zero</Description>
      <LongDescription>Details of transferor TFN, available fraction and amount are present however an amount for (Tax losses deducted - Transferred) is absent or equal to zero</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404216">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404216</Code>
      <Description>The sum of transferred tax losses deducted - amounts cannot exceed tax losses deducted - transferred</Description>
      <LongDescription>The sum of (Transferred tax losses deducted - Amounts) cannot exceed (Tax losses deducted - Transferred)</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404211</Code>
      <Description>Tax losses deducted after consolidation cannot exceed tax losses deducted - total</Description>
      <LongDescription>(Amount of tax losses deducted after consolidation which failed the continuity of ownership test but satisfied the same business test) cannot exceed (Tax losses deducted - Total)</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404212</Code>
      <Description>Total tax losses deducted must equal tax losses deducted on the Company Return</Description>
      <LongDescription>(Tax losses deducted - Total) must equal (Tax losses deducted) on the Company Return</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404007</Code>
      <Description>Each occurrence of available fraction must not exceed 1.000</Description>
      <LongDescription>Each available fraction label amount completed for transferred tax losses deducted or transferred net capital losses deducted must not exceed 1.000.</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404222</Code>
      <Description>Details of transferred tax/net capital losses deducted/applied. Apportionment rules applied not indicated</Description>
      <LongDescription>If individual transferor TFNs,  available fractions and amounts have been entered for transferred net capital losses deducted and transferred tax losses deducted then the question "Were the apportionment rules applied?" must be answered with either "yes"</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404223</Code>
      <Description>Apportionment rules applied indicated. Details of transferred tax/net capital losses deducted absent</Description>
      <LongDescription>The question "Were the apportionment rules applied?" has been answered with either "yes" or "no" however individual transferor TFNs, available fractions and amounts for both transferred net capital losses applied and transferred tax losses deducted have not been completed.</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404010</Code>
      <Description>Sum of tax losses carried forward must equal total tax losses carried forward</Description>
      <LongDescription>The sum of (Tax losses carried forward to later income years - Group) and (Tax losses carried forward to later income years - Transferred) must equal (Tax losses carried forward to later income years - Total)</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404011</Code>
      <Description>Tax losses carried forward must equal corresponding field on the Company Return</Description>
      <LongDescription>(Tax losses carried forward to later income years - Total) must equal (Tax losses carried forward to later income years) on the Company Return</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404012</Code>
      <Description>Tax losses carried forward - (same business test passed) exceeds total tax losses carried forward</Description>
      <LongDescription>(Amount of tax losses carried forward to later income years which the same business test satisfied) cannot exceed (Tax losses carried forward to later income years - Total)</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404013</Code>
      <Description>(Tax losses carried forward to later income years - Total) must equal Part F label K</Description>
      <LongDescription>(Tax losses carried forward to later income years - Total) must be equal to (Tax losses reconciliation for consolidated groups - Total tax losses carried forward to later income years)</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404209</Code>
      <Description>The sum of net capital losses applied fields must equal the total of net capital losses applied</Description>
      <LongDescription>The sum of  group net capital losses applied and transferred net capital losses applied must equal total net capital losses applied.</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404217">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404217</Code>
      <Description>Net capital losses applied - transferred completed. Transferor details absent or incomplete</Description>
      <LongDescription>If an amount has been entered at transferred net capital losses applied then the details of a least one transferred net capital loss applied, including transferor TFN, available fraction and amount (greater than zero) must be completed.</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404218">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404218</Code>
      <Description>Transferor details present. Net capital losses applied - transferred absent or equal to zero</Description>
      <LongDescription>The individual details of transferred net capital losses applied, including transferor TFN, available fraction and amount are only required to be completed if an amount is entered against transferred net capital losses applied.</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404219">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404219</Code>
      <Description>The sum of transferred net capital losses applied cannot exceed net capital losses applied</Description>
      <LongDescription>The sum of all transferred net capital losses applied, listed against individual transferror TFN's, cannot exceed  transferred net capital losses applied amount.</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404213</Code>
      <Description>(Net capital losses applied - Total) cannot exceed Part C label P</Description>
      <LongDescription>Amount of (Net capital losses utilised after consolidation which the continuity of ownership test failed but satisfied the same business test) cannot exceed (Net capital losses utilised - Total)</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.AppliedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404019</Code>
      <Description>Sum of net capital losses carried forward must equal total net capital losses carried forward</Description>
      <LongDescription>The sum of (Net capital losses carried forward to later income years - Group) and (Net capital losses carried forward to later income years - Transferred) must equal (Net capital losses carried forward to later income years - Total)</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404020</Code>
      <Description>Net capital losses carried forward must equal corresponding field on the Company Return</Description>
      <LongDescription>(Net capital losses carried forward to later income years - Total) must equal (Net capital losses carried forward to later income years) on the Company Return</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404021</Code>
      <Description>Capital losses carried forward - (same business test passed) exceeds capital losses carried forward</Description>
      <LongDescription>(Amount of net capital losses carried forward to later income years for which the same business test satisfied) cannot exceed (Net capital losses carried forward to later income years - Total)</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404022</Code>
      <Description>Head company has cancelled the transfer of a loss. Details of cancellation are absent or incomplete</Description>
      <LongDescription>The head company has cancelled the transfer of a loss however (Details of cancellation of transfer of losses - Joining entity TFN) and (Details of cancellation of transfer of losses - Amount) are absent or incomplete</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404023</Code>
      <Description>Head company has not cancelled the transfer of a loss. Details of cancellation completed</Description>
      <LongDescription>The head company has not cancelled the transfer of a loss. (Details of cancellation of transfer of losses - joining entity TFN) and (Details of cancellation of transfer of losses - Amount) must not be completed</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404032</Code>
      <Description>Explicit member dimension MajorityOwnershipAndControlTests is not correct</Description>
      <LongDescription>Explicit member dimension MajorityOwnershipAndControlTests must be set to COTPassed or COTFailedSBTPassed or COTTrust</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404033</Code>
      <Description>Explicit member dimension LossGenerationSource is not correct</Description>
      <LongDescription>Explicit member dimension LossGenerationSource must be set to Group or Transferred or Total</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404037</Code>
      <Description>A valid available fraction and amount must be supplied with the TFN</Description>
      <LongDescription>If a valid Transferor TFN is supplied, then a valid available fraction and amount must be supplied</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404038</Code>
      <Description>The total number of transferor details that can be supplied is 12</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404039</Code>
      <Description>The total number of joining entity details that can be supplied is 4</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404047">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404208">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404062">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404064">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404065">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404210">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404229">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404077">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404206">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404089">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!--<diagnostic id="DVR.ATO.CGLS.404097" xmlns="http://purl.oclc.org/dsdl/schematron">
<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
<Code>CMN.ATO.GEN.400011</Code>
        </ProcessMessage>
    </diagnostic>
<diagnostic id="DVR.ATO.CGLS.404098" xmlns="http://purl.oclc.org/dsdl/schematron">
<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
<Code>CMN.ATO.GEN.400011</Code>
        </ProcessMessage>
    </diagnostic>
<diagnostic id="DVR.ATO.CGLS.404099" xmlns="http://purl.oclc.org/dsdl/schematron">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
        </ProcessMessage>
    </diagnostic>-->
  <diagnostic id="DVR.ATO.CGLS.404090">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404103">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404107">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404108">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404109">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404232">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404046</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>If available fraction field populated, then entered figure must be a single digit followed by 3 decimal places.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404046</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>If available fraction field populated, then entered figure must be a single digit followed by 3 decimal places.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404113">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404114">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404117">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404123">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404124">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404200</Code>
      <Description>Transferor TFNs supplied for transferred tax losses deducted cannot exceed 6</Description>
      <LongDescription>The total number supplied cannot exceed 6</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404201</Code>
      <Description>Transferor TFNs supplied for transferred capital losses applied cannot exceed 6</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404130">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404134">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404220">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404220</Code>
      <Description>Each transferred amount of tax loss deducted must have a corresponding available fraction</Description>
      <LongDescription>If a transferred tax loss deducted amount is entered then a corresponding available fraction must also be entered</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404225">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404225</Code>
      <Description>Each available fraction must have a corresponding transferred tax loss deducted amount</Description>
      <LongDescription>If a transferred tax loss deducted available fraction is entered then a corresponding transferred tax loss deducted amount must be entered.</LongDescription>
      <Location>rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404227</Code>
      <Description>Each transferred net capital loss applied amount must have a corresponding available fraction</Description>
      <LongDescription>If a transferred net capital loss applied amount is entered then a corresponding available fraction must also be entered</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404230</Code>
      <Description>Each available fraction must have a corresponding transferred net capital loss utilised amount</Description>
      <LongDescription>If a transferred net capital loss applied available fraction is entered then a corresponding transferred net capital loss applied amount must be entered.</LongDescription>
      <Location>rvctc3.02.15:Capital.Losses.TransferredApplied.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404053</Code>
      <Description>TRFR context TFN duplicated. Unique TFN required</Description>
      <LongDescription>TRFR context TFN duplicated. Unique TFN required</LongDescription>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404054</Code>
      <Description>JE context TFN duplicated. Unique TFN required</Description>
      <LongDescription>JE context TFN duplicated. Unique TFN required</LongDescription>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404221">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404221</Code>
      <Description>Fraction amount for transferred tax losses deducted must be greater than zero</Description>
      <LongDescription>Amount entered for available fraction must be greater than zero.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404228">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404228</Code>
      <Description>Fraction amount for transferred net capital losses applied must be greater than zero</Description>
      <LongDescription>The available fraction used for transferred net capital losses applied cannot equal zero</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404143">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404057</Code>
      <Description>Cancelled transfer of loss amount must be supplied</Description>
      <Location>rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404145</Code>
      <Description>Amounts in the tax losses reconciliation statement for consolidated groups are incorrect</Description>
      <Location>rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- ========= DVR.ATO.CGNFT ========= -->
  <diagnostic id="DVR.ATO.CGNFT.000019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000019</Code>
      <Description>Consolidated group status absent or incorrect on Parent form</Description>
      <LongDescription>The Consolidated group status indicator on the Parent company return form must be present and equal to '1' for the Head company if the Notification of formation of a consolidated group schedule is present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000027</Code>
      <Description>Invalid context. Period start date must be the same as the Period start date of the parent form.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000030</Code>
      <Description>Invalid context. Period end date must be the same as the Period end date of the parent form.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000057</Code>
      <Description>Date of consolidation is invalid</Description>
      <LongDescription>The Date of consolidation must not be prior to 01/07/2002 and must be within the financial year of income applying to the income tax return of the head company</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGNFT.000100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGNFT.000100</Code>
      <Description>The number of Consolidated Group Notification schedules must not exceed 1</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <!-- ========= DVR.ATO.CGTS ========= -->
  <diagnostic id="DVR.ATO.CGLS.404146">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGLS.404146</Code>
      <Description>Total tax losses carried forward to later income years is incorrect</Description>
      <Location>rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402000</Code>
      <Description>Invalid CGT asset or CGT event code provided</Description>
      <LongDescription>Please check to confirm the CGT asset or CGT event code provided for the small business exemption is correct. Values include - [S-Shares; U-Units in unit trusts; R-Real estate; G-Goodwill on the sale of a business; O-Other assets or where the CGT event does not involve a CGT asset] Value entered is not a valid code/value for that field</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402002</Code>
      <Description>Capital losses applied (Part D Label Q) exceeds capital gains for indexation method (Part A Label V)</Description>
      <LongDescription>Total capital losses applied for indexation method (Part D Labels E, I and M) exceeds total current year capital gains for indexation method (Part A Labels A, Y, D, G, J, M, B, P and S). Total capital losses applied for indexation method (Part D Label Q) cannot exceed total current year capital gains for indexation method (Part A Label V). Check figures and additions in Part D Labels E, I and M and Part A Labels A - S under indexation method</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.Applied.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402003</Code>
      <Description>Capital losses applied exceeds capital gains for discount method</Description>
      <LongDescription>Total capital losses applied for discount method (Part D Labels F, J and N) exceeds total current year capital gains for discount method (Part A Labels B, Z, E, H, K, F, N, C, Q and T). Check figures and additions in Part D Labels F, J and N and Part A Labels B - T under discount method</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.Applied.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402004</Code>
      <Description>Capital losses applied exceeds capital gains - other capital gains</Description>
      <LongDescription>Total capital losses applied for other capital gains category (Part D Labels G, K and O) exceeds total current year capital gains for other capital gains category (Part A Labels C, A, F, I, L, H, O, D, R and U). Check figures and additions in Part D Labels G, K and O and Part A Labels C - U under other capital gains category</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.Applied.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402005</Code>
      <Description>Current year capital losses applied incorrect</Description>
      <LongDescription>Total current year capital losses applied (Part D Labels E, F and G) on the Capital Gains Tax schedule is not less than or equal to Total current year capital losses (Part B Labels A, T, B, U and C). Total current year capital losses applied (Part D Labels H) on the Capital Gains Tax schedule cannot be greater than the total current year capital losses (Part B Label D)</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.Applied.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402006</Code>
      <Description>Check CYCG calculation - indexation method</Description>
      <LongDescription>Total Current year capital gains for indexation method (Part E Labels A and D) must be equal to the balance of Capital gains (Part A Labels A, Y, D, G, J, M, B, P and S) less Capital losses (Part D Labels E, I and M)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402007</Code>
      <Description>Check CYCG calculation - discount method</Description>
      <LongDescription>Total Current year capital gains for discount method (Part E Labels B and E) must be equal to the balance of Capital gains (Part A Labels B, Z, E, H, K, F, N, C, Q and T) less Capital losses (Part D Labels F, J and N)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402008</Code>
      <Description>Check CYCG calculation - other capital gains</Description>
      <LongDescription>Total Current year capital gains for other capital gains (Part E Labels C and F) must be equal to the balance of Capital gains (Part A Labels C, A, F, I, L, H, O, D, R and U) less Capital losses (Part D Labels G, K and O)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402011</Code>
      <Description>Unapplied net capital losses from collectables invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from collectables (Part I Label H) and amounts have also been shown at capital gains from collectables (Part A Labels J, K or L)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.Collectables.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402011.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402011</Code>
      <Description>Unapplied net capital losses from collectables invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from collectables (Part I Label H) and amounts have also been shown at capital gains from collectables (Part A Labels J, K or L)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.Collectables.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402012</Code>
      <Description>Unapplied net capital losses from collectables invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from collectables (Part I Label H) and amounts have also been shown at capital gains from collectables (Part A Labels J, K or L)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.Collectables.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402013</Code>
      <Description>Check active assets - indexation method</Description>
      <LongDescription>Active assets for indexation method (Part E Label D) of the Capital Gains Tax schedule must be less than or equal to the sum of Active assets (Part A Labels M, B, P and S) of the schedule</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402014</Code>
      <Description>Check active assets - discount method</Description>
      <LongDescription>Active assets for discount method (Part E Label E) of the Capital Gains Tax schedule must be less than or equal to the sum of Active assets (Part A Labels N, C, Q and T) on the schedule</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402015</Code>
      <Description>Check active assets - other capital gains</Description>
      <LongDescription>Active assets for other capital gains (Part E Label F) of the Capital Gains Tax schedule must be less than or equal to the sum of Active assets (Part A Labels O, D, R and U) of the schedule</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402016</Code>
      <Description>Capital losses transferred not required</Description>
      <LongDescription>Super Funds, Partnerships and Trusts cannot complete labels M, N, O or P in part D of the Capital Gains Tax Schedule. These labels apply to Companies only</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.Applied.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402017</Code>
      <Description>Total of small business concessions incorrect for indexation method</Description>
      <LongDescription>The total of small business concessions for indexation method (Part H Label A) is greater than total current year capital gains after applying capital losses (Part E Labels A and D)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402018</Code>
      <Description>Net capital gains from indexation method incorrect</Description>
      <LongDescription>Net capital gains from indexation method (Part H Label D) does not equal total current year capital gains after applying losses (Part E Labels A and D) minus small business concessions (Part H Label A)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402019</Code>
      <Description>Unapplied net capital losses from all other CGT assets and CGT events invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from all other Capital Gains Tax events (Part I Label I) and amounts have also been entered at total current year capital gains after applying losses (Part E Labels G, H or I)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402020</Code>
      <Description>Unapplied net capital losses from all other CGT assets and CGT events invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from all other CGT events (Part I Label I) and amounts have also been entered at total current year capital gains after applying losses (Part E Labels G, H or I)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402022</Code>
      <Description>CGT discount on non-active asset capital gains incorrect</Description>
      <LongDescription>Where the entity is a life insurance company or FHSA trust, the discount on non-active asset capital gains by discount method amount (Part F Label J) must equal the non-active asset capital gains by discount method amount DIVIDED by 3 (Part E Label B)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402023</Code>
      <Description>Capital losses applied exceeds capital gains for indexation method</Description>
      <LongDescription>Total capital losses applied for indexation method (Part D Labels E, I and M) exceeds total current year capital gains for indexation method (Part A Labels A, Y, D, G, J, M, B, P and S). Check figures and additions in Part D Labels E, I and M and Part A Labels A - S under indexation method</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402024</Code>
      <Description>Net capital gains from discount method incorrect</Description>
      <LongDescription>Net capital gains from discount method (Part H Label E) does not equal total current year capital gains after applying losses (Part E Label H) minus CGT discount and small business concessions (Part H Label B)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402025</Code>
      <Description>Total of small business concessions incorrect for other capital gains</Description>
      <LongDescription>The total of small business concessions for other capital gains (Part H Label C) is greater than total current year capital gains after applying capital losses (Part E Label I)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402026</Code>
      <Description>Net capital gains from other capital gains incorrect</Description>
      <LongDescription>Net capital gains from other capital gains (Part H Label F) does not equal total current year capital gains after applying losses (Part E Label I) minus small business concessions (Part H Label C)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402027</Code>
      <Description>Small business active asset reduction incorrect for indexation method</Description>
      <LongDescription>The small business active asset reduction for indexation method (Part G Label L) must be less than or equal to 50% of active asset current year capital gains after applying capital losses for indexation method (Part E Label D)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402028</Code>
      <Description>Small business concessions exceed active asset capital gains for indexation method</Description>
      <LongDescription>Small business concessions for indexation method (Part G Labels L, O or R) exceed the active asset current year capital gains after applying losses for indexation method (Part E Label D)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402030</Code>
      <Description>CGT discount on active asset capital gains incorrect</Description>
      <LongDescription>Where the entity is a life insurance company or FHSA trust, the discount on active asset capital gains by discount method amount (Part F Label K) must equal the active asset capital gains by discount method amount DIVIDED by 3 (Part E Label E)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402031</Code>
      <Description>Small business active asset reduction incorrect for discount method</Description>
      <LongDescription>The small business active asset reduction for discount method (Part G Label M) must be less than or equal to 50% of the remainder from active asset current year capital gains after applying capital losses for discount method (Part E Label E) minus general CGT discount (Part F Label K)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402032</Code>
      <Description>CGT discount and small business concessions exceed active asset capital gains for discount method</Description>
      <LongDescription>Small business concessions for discount method (Part F Label K Part G Labels M, P or S) exceed the active asset current year capital gains after applying losses for discount method (Part E Label E)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402033</Code>
      <Description>Small business active asset reduction incorrect for other capital gains</Description>
      <LongDescription>The small business active asset reduction for other capital gains (Part G Label N) must be less than or equal to 50% of active asset current year capital gains after applying capital losses for other capital gains (Part E Label F)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402034</Code>
      <Description>Small business concessions exceed active asset capital gains for other capital gains category</Description>
      <LongDescription>Small business concessions for other capital gains (Part G Labels N, Q or T) exceed the active asset current year capital gains after applying losses for other capital gains (Part E Label F)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402035</Code>
      <Description>Companies cannot apply the general CGT discount</Description>
      <LongDescription>Entity is a company and has applied the general capital gains tax discount (Part F Labels J or K). Companies cannot claim this discount unless they are life insurance companies (industry code 63100) or friendly societies (industry code 62400) or company type is 11 (FHSA Trust)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402036</Code>
      <Description>Total of CGT discount and small business concessions incorrect for discount method</Description>
      <LongDescription>The total of CGT discount and small business concessions for discount method (Part H Label B) does not equal the sum of small business concessions for the discount method (Part F Labels J, K and Part G Labels M, P and S)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402037</Code>
      <Description>Total of small business concessions incorrect for indexation method</Description>
      <LongDescription>The total of small business concessions for indexation method (Part H Label A) does not equal the sum of small business concessions for the indexation method (Part G Labels L, O or R)</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402038</Code>
      <Description>CGT discount method not valid for companies</Description>
      <LongDescription>Only companies with the industry codes 63100 or 62400 or Company Type of FHSA trust (11) are permitted to enter amounts for discount capital gains under small business concessions (Part G Labels M, P or S)</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402039</Code>
      <Description>Total of small business concessions incorrect for other capital gains</Description>
      <LongDescription>The total of small business concessions for other capital gains (Part H Label C) does not equal the sum of small business concessions for other capital gains (Part G Labels N, Q or T)</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402040</Code>
      <Description>Small business retirement exemption not valid for funds</Description>
      <LongDescription>Entity is a fund and has entered amounts at small business retirement exemption indexation method (Part G Label O), discount method (Part G Label P) or other capital gains (Part G Label Q). Funds cannot claim the small business retirement exemption</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402041</Code>
      <Description>Unapplied net capital losses from all other CGT assets and CGT events invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from all other CGT events (Part I Label I) and an amount has also been shown at net capital gain (Part H Label G)</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402042</Code>
      <Description>Unapplied net capital losses from all other CGT assets and CGT events invalid</Description>
      <LongDescription>An amount has been entered at unapplied net capital losses from all other Capital Gains Tax events (Part I Label I) and amounts have also been entered at total current year capital gains after applying losses (Part E Labels G, H or I)</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402045</Code>
      <Description>CGT asset or CGT event code missing</Description>
      <LongDescription>An amount has been entered at exempt capital gains (Part J Label J) and the CGT asset or CGT event code (Part J Label K) is missing</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402046</Code>
      <Description>CGT asset or CGT event code not required</Description>
      <LongDescription>Exempt capital gains (Part J Label J) is blank or zero, and a CGT asset or CGT event code (Part J Label K) has been entered</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402047">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402047</Code>
      <Description>Roll-over question must be answered</Description>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402048</Code>
      <Description>Enter amounts for original interests and replacement interests</Description>
      <LongDescription>Roll-over question has been answered TRUE (Part K label A) but nothing has been entered at original interests cost base (Part K Label B) or replacement interests market value (Part K label C)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402049</Code>
      <Description>Original interests, replacement interests and cash and other considerations not required</Description>
      <LongDescription>Roll-over question has been answered FALSE and amounts have been entered at original interests cost base (Part K Label B) or replacement interests market value (Part K label C) or cash and other considerations (Part K Label D)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerChosen.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402050</Code>
      <Description>Scrip for scrip rollover in part L is not required</Description>
      <LongDescription>Scrip for scrip rollover relief for acquiring entity (Part L) on Capital Gains Tax schedule is to be completed by Companies and Trusts only</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402050.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402050</Code>
      <Description>Scrip for scrip rollover in part L is not required</Description>
      <LongDescription>Scrip for scrip rollover relief for acquiring entity (Part L) on Capital Gains Tax schedule is to be completed by Companies and Trusts only</LongDescription>
      <Location>cgts.0002.lodge.req.02.01:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402051</Code>
      <Description>Acquiring entity question must be answered</Description>
      <LongDescription>Entity is a Company or Trust, and no answer has been provided to the Acquiring entity question (Part L Label E) on the Capital Gains Tax schedule. Companies and Trusts must respond to this question</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402052</Code>
      <Description>Scrip for scrip part L details not required</Description>
      <LongDescription>Acquiring entity question (Part L Label E) has been answered FALSE, and scrip for scrip details have been entered (Part L Labels F, G, H, I, J, K, L or M). These details are not required where the acquiring entity question has been answered FALSE</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402053</Code>
      <Description>Scrip for scrip roll-over relief details required</Description>
      <LongDescription>Acquiring entity question (Part L Label E) has been answered TRUE and Number of original entities (Part L Label F) or Tax File Number of original entity (Part L Label G) or First element of cost base of interest acquired (Part L Label K) or Number of shares/options issued (Part L Label H) are missing</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402054</Code>
      <Description>Cost base - common stakeholder interests not required</Description>
      <LongDescription>Joint choice for roll-over question (Part L Label L) has been answered FALSE and an amount has been entered at Cost base - significant common stakeholder interests acquired (Part L Label M)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402055</Code>
      <Description>Cost base - common stakeholder interests required</Description>
      <LongDescription>Joint choice for roll-over question (Part L Label L) has been answered TRUE and no amount has been entered at Cost base - significant common stakeholder interests acquired (Part L Label M)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402056</Code>
      <Description>Did you have an Employee Share Scheme in place at any time question not required</Description>
      <LongDescription>Did you have an Employee Share Scheme in place at any time question (Part M Label N) on the Capital Gains Tax schedule is to be completed by Companies only</LongDescription>
      <Location>lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402056.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402056</Code>
      <Description>Did you have an Employee Share Scheme in place at any time question not required</Description>
      <LongDescription>Did you have an Employee Share Scheme in place at any time question (Part M Label N) on the Capital Gains Tax schedule is to be completed by Companies only</LongDescription>
      <Location>lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402057</Code>
      <Description>Did you have an Employee Share Scheme in place at any time question required</Description>
      <LongDescription>Did you have an Employee Share Scheme in place at any time question (Part M Label N) on the Capital Gains Tax schedule must be completed for Companies</LongDescription>
      <Location>lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402058</Code>
      <Description>Same majority underlying ownership question not required</Description>
      <LongDescription>Same majority underlying ownership/pre-GST assets - Division 149 (Part N Label O) on the Capital Gains Tax schedule is to be completed by Companies only</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402059</Code>
      <Description>Same majority underlying ownership question required</Description>
      <LongDescription>Same majority underlying ownership/pre-GST assets - Division 149 (Part N Label O) on the Capital Gains Tax schedule is compulsory for Companies</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402060</Code>
      <Description>Amount missing on CGT schedule for forestry managed investment scheme</Description>
      <LongDescription>Where a taxpayer has indicated that the CGT event did relate to a forestry managed investment scheme interest, an amount must be present for the forestry managed investment scheme interests, either active or non active assets or a capital loss on the Capital Gains Tax schedule</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402061</Code>
      <Description>The indicator to a CGT event relating to a forestry managed investment scheme interest on the main form must be set to TRUE</Description>
      <LongDescription>There are amounts present at either active or non active assets or a capital loss on the CGT schedule in relation to a forestry managed investment scheme interest however the indicator to a CGT event relating to a forestry managed investment scheme interest is not set to TRUE</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402065">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402065</Code>
      <Description>Acquiring entity question must be answered</Description>
      <LongDescription>Acquiring entity question has not been provide but at least one of the other fields relating to 'Script-for-script rollover for acquiring entity' has been supplied. Please respond to this question</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402067">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402068">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402077">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402082">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402085">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402087">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402089">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402090">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402092">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402093">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400012</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400012</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400012</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402101">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001019</Code>
      <Description>Invalid 'ReportingParty' entity segment detail supplied.</Description>
      <LongDescription>Invalid entity segment details supplied for 'ReportingParty'.  It does not match the definitional taxonomy.</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001019</Code>
      <Description>Invalid 'ReportingParty' entity segment detail supplied.</Description>
      <LongDescription>Invalid entity segment details supplied for 'ReportingParty'.  It does not match the definitional taxonomy.</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402103">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001019</Code>
      <Description>Invalid 'ReportingParty' entity segment detail supplied.</Description>
      <LongDescription>Invalid entity segment details supplied for 'ReportingParty'.  It does not match the definitional taxonomy.</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402107">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402108">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402109">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402111">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402112">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402113">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402114">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402117">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402118">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402119">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402121">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402122">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402123">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402029</Code>
      <Description>CGT discount on active asset capital gains incorrect</Description>
      <LongDescription>Entity is individual or trust and the discount on active asset capital gains by discount method (Part F Label K) is not equal to 50% of the active asset capital gains by discount method (Part E Label E)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402124">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402124</Code>
      <Description>Earnout arrangement answer must be Buyer, Seller, or No</Description>
      <LongDescription>Earnout arrangement answer must be Buyer, Seller, or No</LongDescription>
      <Location>rvctc3.02.07:CapitalGainsTax.EarnoutArrangementParty.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402125">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402125</Code>
      <Description>The number of earnout arrangements can not exceed 20</Description>
      <LongDescription>The number of earnout arrangements can not exceed 20</LongDescription>
      <Location>cgts.0002.lodge.req.02.01:EarnoutArrangements/rvctc3.02.07:CapitalGainsTax.EarnoutArrangementParty.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402126">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402126</Code>
      <Description>All fields in Earnout arrangements are madatory when party is a Seller</Description>
      <LongDescription>All fields in Earnout arrangements are madatory when party is a SELLER</LongDescription>
      <Location>rvctc3.02.07:CapitalGainsTax.EarnoutArrangementParty.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402127">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402127</Code>
      <Description>Year of earnout and total number of years of earnout agreement is mandatory when party is a Buyer</Description>
      <LongDescription>Year of earnout and total number of years of earnout agreement is mandatory when party is a BUYER</LongDescription>
      <Location>rvctc3.02.07:CapitalGainsTax.EarnoutArrangementParty.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402128">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402128</Code>
      <Description>Earnout arrangement total years must be in the range 1-99</Description>
      <LongDescription>Earnout arrangement total year count must be in the range 1-99</LongDescription>
      <Location>rvctc3.02.06:CapitalGainsTax.EarnoutArrangementYearTotal.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402129">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402129</Code>
      <Description>Earnout arrangement current year number cannot be greater than the earnout arrangement total years.</Description>
      <LongDescription>Earnout arrangement current year number cannot be greater than the earnout arrangement total years.</LongDescription>
      <Location>rvctc3.02.06:CapitalGainsTax.EarnoutArrangementApplicableYear.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.CTR ========= -->
  <diagnostic id="DVR.ATO.CGTS.438001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428405">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428405</Code>
      <Description>Check response to Thin Capitalisation question</Description>
      <LongDescription>If there is a 'True' response to 'Did the thin capitalisation rules apply to you?' on the IDS then a 'True' response is required at 'Did the thin capitalisation provisions apply as outlined in the instructions?' on the company return form.</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428406">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428406</Code>
      <Description>Royalty expenses overseas or Foreign resident withholding expenses required</Description>
      <LongDescription>If a Royalties deduction amount has been completed on the IDS then Foreign resident withholding expenses or Royalty expenses overseas must be greater than zero on the company return form.</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428014</Code>
      <Description>Form type is not valid</Description>
      <LongDescription>Form Type is not valid for this lodger</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428017</Code>
      <Description>Invalid code provided for In Liquidation field</Description>
      <LongDescription>Company Income Tax returns requires a code of L for In Liquidation</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428018</Code>
      <Description>Previous ACN present without previous name</Description>
      <LongDescription>Company Income Tax return has a previous Australia Company Number (ACN) without a previous name noted</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428019</Code>
      <Description>Previous name without either ARBN or ACN</Description>
      <LongDescription>The Company Income Tax return must have either an ARBN or ACN if previous name noted on return</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428020</Code>
      <Description>Previous ARBN present without name</Description>
      <LongDescription>Company Income Tax return has a previous Australia Registered Business Number (ARBN) without a previous name noted</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428021</Code>
      <Description>Please provide only one of either ARBN or ACN</Description>
      <LongDescription>You may only provide a previous ARBN or ACN on the Company Income Tax return</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428022</Code>
      <Description>Ultimate holding company name details required when ABN or overseas location code is present</Description>
      <LongDescription>Where an Ultimate holding company ABN or overseas location code is present, an ultimate holding company name must be provided</LongDescription>
      <Location>pyde.02.08:Residency.TaxPurposesCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428023</Code>
      <Description>Either ultimate holding company ABN or the country code is required. Both must not be present.</Description>
      <Location>pyde.02.08:Residency.TaxPurposesCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428024</Code>
      <Description>Immediate holding company name details required when immediate holding company ABN is present</Description>
      <LongDescription>Where an immediate holding company ABN is present at Item 1 on the form cover, then the immediate holding company name must be present</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430067</Code>
      <Description>For corp. unit trusts or public trading trusts, you must provide Business industry code 62400. Residency and Status of business must not be provided.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428028</Code>
      <Description>Invalid Percentage of foreign shareholding (valid values are 1-100%)</Description>
      <LongDescription>Valid Percentage of foreign shareholding are 1 to 100</LongDescription>
      <Location>bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428368</Code>
      <Description>Residency status of company required. Except corporate unit trust or public trading trust</Description>
      <LongDescription>Residency is required unless the Company is a corporate unit trust or public trading trust</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428031</Code>
      <Description>First home saver account information required as FHSA Trust is indicated</Description>
      <LongDescription>Company type is indicated as a FHSA Trust and First home saver account information is not completed</LongDescription>
      <Location>bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428033</Code>
      <Description>Invalid Company Type code - Valid Company Types codes are 027, 032, 045, 054, 088,120,139,163, 174, 205</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428034</Code>
      <Description>Losses schedule BP cannot be lodged with a consolidated Head company return</Description>
      <LongDescription>A consolidated head company is not required to lodge a Losses schedule for unconsolidated entities</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428037</Code>
      <Description>IEE specified income year to be completed when IEE schedule is attached</Description>
      <LongDescription>An IEE schedule is attached: however the IEE specified income year has not been completed on the Company Income Tax Return</LongDescription>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428038</Code>
      <Description>Valid Interposed Entity Election revocation code is "R"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428039</Code>
      <Description>Interposed Entity Election or Revocation schedule required where a revocation is being made</Description>
      <LongDescription>The Interposed Entity Election code indicates a revocation is being made, however no schedule is attached</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428040</Code>
      <Description>Gross payments are required on Payment Summary Schedule, where amount entered at Gross Payments where ABN not quoted</Description>
      <LongDescription>An amount has been entered at gross payment where ABN is not quoted and there are no corresponding amounts on the Payment Summary Schedule</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428369</Code>
      <Description>In the Calculation statement, Gross payment where ABN not quoted amount, is incorrect</Description>
      <LongDescription>Tax withheld where ABN not quoted in the calculation statement cannot be greater than 50% of Gross payments where ABN not quoted</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428370</Code>
      <Description>Calculation statement, Tax withheld where ABN not quoted is required</Description>
      <LongDescription>An amount has been entered at Gross payments where ABN not quoted and Tax withheld where ABN not quoted in the calculation statement is missing</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428371</Code>
      <Description>Check other refundable credits including film tax offset in calculation statement</Description>
      <LongDescription>At the calculation of total profit or loss, an amount is present at gross distribution from partnerships or gross distribution from trusts and other refundable credits including film tax offset dismissing in the calculation statement. Please input the missing amount/s (if there are no credits, enter zero at the other refundable credits label in the calculation statement)</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428372</Code>
      <Description>Check taxable income/loss for the Company, in Reconciliation to taxable income or loss</Description>
      <LongDescription>The Taxable income/loss must be equal to the sum of all income items less the sum of all expense items plus extraordinary revenue/expenses, total capital gains, non deductible exempt income expenditure, other assessable income and non deductible expenses items less other expense items</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428373</Code>
      <Description>In Calculation statement, Credit for Tax withheld-Foreign resident withholding amount is incorrect</Description>
      <LongDescription>Credit for tax withheld - Foreign resident withholding (Calculation statement) cannot be greater than 50% of Gross payments subject to foreign resident withholding unless relevant distributions from partnerships or trusts are shown</LongDescription>
      <Location>ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428374</Code>
      <Description>Gross payments subject to foreign resident withholding amount required</Description>
      <LongDescription>Credit for tax withheld - Foreign resident withholding (Calculation statement) has an amount greater than zero and Gross payments subject to foreign resident withholding and gross distributions from partnerships and gross distributions from trusts are missing</LongDescription>
      <Location>ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428048</Code>
      <Description>Gross distribution from trusts indicator required where gross distribution trusts amount is present</Description>
      <LongDescription>A gross distribution from trusts figure is present without a corresponding gross distribution from trusts action code (Item 6 Income Label E)</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428049</Code>
      <Description>Gross distribution from trusts required where gross distribution from trusts code is present</Description>
      <LongDescription>Gross distribution from trusts action code is present without corresponding gross distribution from trust amount (Item 6 Income Label E)</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428051</Code>
      <Description>Invalid Gross distribution from trust code. Valid - "T", "S", "I", "U", "F" ,"H", "D", "P", "Q", "M"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428052</Code>
      <Description>Check assessable government industry payments amount, Calculation of total profit or loss (Label Q)</Description>
      <LongDescription>Assessable government industry payments action code is present and the amount of assessable government industry payments is either absent or zero. (Item 6 Income Label Q)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428053</Code>
      <Description>Invalid Assessable government industry payments action code. Valid code is "true"</Description>
      <LongDescription>Valid Assessable government industry payments action code is "true"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428054</Code>
      <Description>Contact Name contains "space hyphen space"</Description>
      <LongDescription>Contact Name cannot contain "space hyphen space"</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428055</Code>
      <Description>Check for the Taxation of financial arrangements (TOFA) indicator</Description>
      <LongDescription>You have indicated that you made a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules.  Therefore you must enter an amount at the Taxation of financial arrangements (TOFA ) income or expenses items, or one or more of the following amounts: Total TOFA gains, Total TOFA losses, TOFA transitional balancing adjustment, TOFA gains from unrealised movements in the value of financial arangements</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428056</Code>
      <Description>Response required to Taxation of financial arrangements indicator. Check TOFA income</Description>
      <LongDescription>You have entered an amount at the Taxation of financial arrangements (TOFA ) income or expenses items, or one or more of the following amounts: Total TOFA gains, Total TOFA losses, TOFA transitional balancing adjustment, TOFA gains from unrealised movements in the value of financial arangements.  If you enter an amount at one or more of the labels specified above, you must indicate that you made a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428375</Code>
      <Description>Total salary and wage expenses cannot exceed total expenses</Description>
      <LongDescription>Total salary and wage expenses on a Company Income Tax Return cannot exceed the total of Profit or loss expenses</LongDescription>
      <Location>lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428376</Code>
      <Description>Trading account items are present without cost of sales.  Include cost of sales to clear error.</Description>
      <Location>bafpr2.02.02:Expense.Operating.CostOfSales.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428064">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428378</Code>
      <Description>Response to CGT event question required, where amount noted at Net Capital gain</Description>
      <LongDescription>Where an amount has been entered at net capital gain, the answer to the question "Did you have a CGT event during the year" must be Yes</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428067">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428067</Code>
      <Description>Invalid Closing stock action code</Description>
      <LongDescription>Valid Closing stock action codes are "C", "M" and "R"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428070</Code>
      <Description>Invalid Loans to shareholders action code</Description>
      <LongDescription>Valid Loans to shareholders action codes are "A", "B" and "M"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428071</Code>
      <Description>Invalid Total salary and wage expenses action code</Description>
      <LongDescription>Valid Total salary and wage expenses action codes are "C", "A", "B" and "O"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428364</Code>
      <Description>Invalid FMIS product or private ruling years</Description>
      <LongDescription>Valid FMIS product or private ruling years are from 1998 to 2012</LongDescription>
      <Location>gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428076</Code>
      <Description>Invalid Percentage of non-member income</Description>
      <LongDescription>Valid Percentage of non-member income is 0 to 100</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428078</Code>
      <Description>Invalid Hours taken to prepare and complete this form</Description>
      <LongDescription>Valid values for Hours taken to prepare and complete this form is 1 to 999</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428081</Code>
      <Description>Invalid foreign currency code</Description>
      <LongDescription>The currency code is not one of the valid codes that can be used for lodgment. You should be accessing valid codes from a lookup table provided with your software</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428086</Code>
      <Description>Companies are not required to complete the Life insurance companies and friendly societies section</Description>
      <LongDescription>The Life insurance companies and friendly societies section on the return form (Item 16 Label B) are only to be completed when the industry code (Item 2 Label B) is indicative of a life insurance company or a friendly society</LongDescription>
      <Location>bafpr3.02.02:Income.Insurance.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428091</Code>
      <Description>The Company is required to complete the Life insurance companies and friendly societies section</Description>
      <LongDescription>The company is indicating it is a life insurance company (industry code 63100) and the Life insurance companies and friendly societies section is not completed (Item 16 Label B)</LongDescription>
      <Location>bafpr3.02.02:Income.Insurance.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428379</Code>
      <Description>Capital Gains Tax schedule required, where net capital gains exceeds $10,000</Description>
      <LongDescription>When Net capital gains is in excess of $10,000, a Capital Gains Tax schedule must be attached</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428099</Code>
      <Description>Losses schedule must be attached where total of tax losses and net capital losses exceeds $100000</Description>
      <LongDescription>Where the total of tax losses and net capital losses exceeds $100000 and the company is not part of a consolidated group, a Losses schedule must be attached</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428100</Code>
      <Description>Consolidated losses schedule must be attached where Tax Losses and Net Capital Losses greater than $100000</Description>
      <LongDescription>Consolidated losses schedule must be attached where total of tax losses and net capital losses exceeds $100000 and the Head company indicator is complete at Consolidated group status field</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428101">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428101</Code>
      <Description>Amount withheld required on Payment Summary schedule</Description>
      <LongDescription>An amount has been entered at tax withheld from payments where ABN no quoted in the calculation statement and on the Payment Summary schedule there are no corresponding amounts and the payment type is "N"</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428102</Code>
      <Description>Companies are required to indicate whether continuity of majority ownership test passes for each year of loss</Description>
      <LongDescription>Companies not part of the consolidated group that have Tax losses deducted of greater than $100.000 (Item 7 Label R) must complete Part B1 on the Losses schedule. Companies are required to indicate whether continuity of majority ownership test passed for each year of loss</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428381</Code>
      <Description>Gross payment where ABN not quoted amount required</Description>
      <LongDescription>In the Calculation statement, where "Credit for tax withheld where ABN not quoted is greater than zero, there must be an amount at 'Gross payments where ABN not quoted' in the calculation of total profit or loss</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428382</Code>
      <Description>S102AAM interest amount incorrect in Calculation statement Label H</Description>
      <LongDescription>Calculation statement 'S102AAM Interest charge amount cannot be greater than calculation statement Gross tax amount</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428107">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428107</Code>
      <Description>Overseas address indicator can only be false</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428108">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428108</Code>
      <Description>Country code is not required</Description>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428109">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428383</Code>
      <Description>Credit for tax withheld-foreign resident withholding must not be less than the amount present in the schedule</Description>
      <LongDescription>There is an amount present at Gross payments subject to foreign resident withholding;and Credit for tax withheld - foreign resident withholding (Calculation Statement) on the return form does not equal the sum of the amounts on the Payment Summary schedule</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428384</Code>
      <Description>Response to international transaction question incorrect</Description>
      <LongDescription>There is a 'yes' response to the question concerning whether the value of property is greater than $2 million but there is no 'yes' response to question concerning whether the entity had international dealings, including transfer of tangible or intangible property. As these items relate to international related party dealings or transfer pricing, the answers can not conflict with one another.</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428111">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428385</Code>
      <Description>Response to international aggregate amount transactions question incorrect</Description>
      <LongDescription>There is 'no' response to question concerning whether the entity had international dealings, including transfer of tangible or intangible property and there is a 'no' response to the question concerning whether the value of property is greater than $2 million. As these items relate to international related party dealings or transfer pricing, the answers can not conflict with one another</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428312</Code>
      <Description>Answer to Overseas interests question must be yes (true) when Attributed Foreign income is present</Description>
      <LongDescription>If there is amount greater than zero for 'Attributed foreign income' - Listed country, Section 404 country, Unlisted country, or Transferor trust - there must be a 'yes' (true) response to 'Did you have an overseas branch or a direct or indirect interest in a foreign trust, foreign company, controlled foreign entity or transferor trust?'</LongDescription>
      <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428123">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428123</Code>
      <Description>Capital allowances schedule not required</Description>
      <LongDescription>If Depreciation expenses is less than or equal to $100,000 and Deduction for decline in value of depreciating assets is less than or equal to $10,000 then a capital allowances schedule not required</LongDescription>
      <Location>bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428125">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428386</Code>
      <Description>Please indicate if the CGT event related to Forestry managed investment scheme</Description>
      <LongDescription>The entity had a CGT event during the year but did not indicate if the CGT event related to a Forestry managed investment scheme. Please provide Yes or No</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428135">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428135</Code>
      <Description>Consolidated losses schedule may be required</Description>
      <LongDescription>If the amount of Tax losses deducted is greater than $100000 and the Consolidated group status indicator is equal to "1" for head company then a Consolidated losses schedule must be completed</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428136</Code>
      <Description>Check losses recouped or losses transferred in as these cannot create a taxable loss</Description>
      <LongDescription>At Item 7 losses recouped (Label R) or losses transferred in (from or to: a foreign bank branch or a PE of a foreign financial entity) (Label S) cannot add to or create a taxable loss (Label T). Adjust losses recouped or losses transferred in until the taxable income/loss figure is zero</LongDescription>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428387</Code>
      <Description>Gross tax incorrect. Check rate calculation and Company entity type</Description>
      <LongDescription>The Company is not an entity that has been identified as being allowed to have a tax rate of less than 30%. Check the rate calculation and company entity type. (Calculation statement Gross tax)</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428138">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428388</Code>
      <Description>Gross tax incorrect. Check rate calculation and Credit Union operation entity validity</Description>
      <LongDescription>The Company is not an entity that has been identified as being allowed to have a tax rate of less than 30%. Check the rate calculation and company entity type. (Calculation statement Gross tax)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428389</Code>
      <Description>Gross tax is not equal to 45% of excess over $49,999 on Taxable/Net income for Credit Unions only</Description>
      <LongDescription>Calculation statement Gross Tax is not equal to 45% of any excess over $49,999 on calculation statement Taxable/Net income for Credit Unions only</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428390</Code>
      <Description>Check gross tax and company type</Description>
      <LongDescription>The gross tax is less than 15% of taxable income and the company type is a pooled development fund. Check calculation statement gross tax and company type</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428149">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428149</Code>
      <Description>Currency translation rate and currency code must both be either present or not present</Description>
      <Location>rvctc3.02.00:TaxRate.Designation.Rate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428150">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428150</Code>
      <Description>Check closing stock amount, where closing stock action code is present</Description>
      <LongDescription>Under business income and expenses, the closing stock action code is present (Item 8 Label B); however the closing stock amount is missing. The amount must be present as it is the total of the value of each trading stock calculated for tax purposes under s70-45 of the ITAA 1997</LongDescription>
      <Location>bafpo7.02.02:Assets.Inventories.ValuationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428151">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428151</Code>
      <Description>Closing stock action code must be present, where closing stock amount is present</Description>
      <LongDescription>Under business income and expenses, the closing stock amount is present (Item 8 Label B); however the closing stock action code is missing. The code must be present to indicate the method used to value closing stock</LongDescription>
      <Location>bafpo7.02.02:Assets.Inventories.ValuationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428152">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428152</Code>
      <Description>Trade debtors cannot exceed all current assets in Financial and other information</Description>
      <LongDescription>In Financial and other information, trade debtors is greater than all current assets (item 8 Labels C and D)</LongDescription>
      <Location>bafpo1.02.13:Assets.TradeandReceivablesOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428153">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428153</Code>
      <Description>All current assets cannot exceed total assets in Financial and other information</Description>
      <LongDescription>In Financial and other information, all current assets is greater than total assets Item 8 Labels D and E)</LongDescription>
      <Location>bafpo1.02.00:Assets.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428155">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428155</Code>
      <Description>Trade creditors cannot exceed all current liabilities in Financial and other information</Description>
      <LongDescription>In Financial and other information, trade creditors (Item 8 Label F) is greater than all current liabilities (Item 8 Label G)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428156">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428156</Code>
      <Description>All current liabilities cannot exceed total liabilities in Financial and other information</Description>
      <LongDescription>In Financial and other information, All current liabilities (item 8 Label G) is greater than total liabilities (Item 8 Label H)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428164">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428164</Code>
      <Description>Check company type, where Loans to shareholders completed and entity is not a limited partnership or a private company</Description>
      <LongDescription>At Financial and other information, Loans to shareholders at Item 8 Label N can only be completed by a limited partnership or a private company</LongDescription>
      <Location>bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428165</Code>
      <Description>Loan to shareholders action code required, where amount field has been populated</Description>
      <LongDescription>At Financial and other information, when there is an amount regarding loans to shareholders and their associates, the loan type action code must also be indicated. (Item 8 Label N)</LongDescription>
      <Location>bafpo1.02.02:Assets.LoansAndReceivablesAction.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428166">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428166</Code>
      <Description>Loans to shareholders amount required, where the loan type action code field has been populated</Description>
      <LongDescription>At Financial and other information, when there is a loan type action code, there must be an amount present at loans to shareholders and their associates. (Item 8 Label N)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428167">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428167</Code>
      <Description>Total salary and wage expenses action code required, where amount field has been populated</Description>
      <LongDescription>At Financial and other information, when there is an amount present at Total salary and wage expenses, Item 8 Label D, the Total salary and wage expenses action code must also be indicated. Please check and input the relevant salary and wage expense action code</LongDescription>
      <Location>lrla.02.05:Remuneration.WagesAndSalariesAction.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428168">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428168</Code>
      <Description>Check total salary and wage expenses amount, where a valid action code has been input</Description>
      <LongDescription>At Financial and other information, if there is a valid Total salary and wage expenses action code present, then an amount greater than zero must be present at Total salary and wage expenses, Item 8 Label D</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428169">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428314</Code>
      <Description>Foreign income tax offsets must not exceed Net foreign and Attributed foreign income</Description>
      <LongDescription>The amount of Foreign income tax offsets claimed must be less than or equal to the sum of Net foreign income and all Attributed foreign income.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428170">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428313</Code>
      <Description>Net foreign income and/or Attributed foreign income amounts must be present</Description>
      <LongDescription>There is an amount at the Foreign income tax offsets and no amounts at Net foreign income or Attributed foreign income are present.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428173">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428173</Code>
      <Description>First home saver account information is incomplete</Description>
      <LongDescription>At First home saver account (FHSA) - Amounts credited to FHSAs is present without Fees and charges applied to FHSAs and/or Net amount credited to FHSAs present</LongDescription>
      <Location>bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428174">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428174</Code>
      <Description>First home saver account (FHSA) - Net amount credited to FHSAs is incorrect</Description>
      <LongDescription>At First home saver account (FHSA) - Net amount credited to FHSAs should equal Amounts credited to FHSAs minus Fees and charges applied to FHSAs</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428175">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428175</Code>
      <Description>First home saver account (FHSA) - Net amount credited to FHSAs is incorrect</Description>
      <LongDescription>At First home saver account (FHSA) - Net amount credited to FHSAs should be equal to zero when the Amounts credited to FHSAs is less then the Fees and charges applied to FHSAs</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428177">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428177</Code>
      <Description>First name must be present</Description>
      <LongDescription>Other given name/s present without first name</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428185">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428185</Code>
      <Description>Check claim for early payment interest CR - must not be less than 50 cents</Description>
      <LongDescription>In the Calculation statement, Early payment interest credit amount of less than 50 cents cannot be claimed</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428186">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428396</Code>
      <Description>In Calculation statement, PAYG instalments raised amount should be greater than or equal to zero</Description>
      <LongDescription>The Status of the Head company or Subsidiary member has been selected, however, there is no amount for PAYG instalments raised in the calculation statement</LongDescription>
      <Location>rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428187">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428187</Code>
      <Description>Total net capital losses C/F must equal Label V Net Capital Losses C/F in the Company Income Tax Form</Description>
      <LongDescription>The total amount of Net capital losses carried forward to later income year on the Losses schedule for a consolidated group (Part A 10 Label V) must equal the amount of Net capital losses carried forward to later income year (Item 13 Label V) on the Company tax return</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428188">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428397</Code>
      <Description>Gross tax amount is incorrect in the Calculation Statement</Description>
      <LongDescription>The gross tax figure is excessive in the calculation statement</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428190">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428190</Code>
      <Description>Total of tax losses C/F to later income year in schedule must equal tax losses C/F to late year in the return</Description>
      <LongDescription>Total of the tax losses carried forward to later income years in the losses schedule (Part A Label U) for unconsolidated entities must equal tax losses carried forward to later income years (Item 13 Label U) on the company Income Tax Return form</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428191">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428191</Code>
      <Description>Net capital losses carried forward incorrect</Description>
      <LongDescription>Net capital losses carried forward to later income years - total in Losses schedule for unconsolidated entities is must equal to the Net capital losses carried forward to later income year, Losses information, (Item 13 Label V) on the main income tax return</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428193">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428193</Code>
      <Description>More than one business address has been provided</Description>
      <Location>pyde.02.01:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Lodgment.FinalReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428206">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428210">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428213</Code>
      <Description>PAYG Withholding Payment Type Code must be "DFRW" or "DNOABN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428215</Code>
      <Description>Country name is not required</Description>
      <Location>pyde.02.08:AddressDetails.CountryName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428216">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428220">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428221">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location> address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428225">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428228">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428234">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428234</Code>
      <Description>Main entity cannot interpose itself</Description>
      <LongDescription>An Entity cannot interpose itself, therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the entity making the election</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428235">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428240</Code>
      <Description>Revocation date of the Interposed Entity Election is invalid</Description>
      <LongDescription>The income year for which the details of the Interposed Entity Election are being revoked must equal the income year of the main return being lodged</LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428251">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428253">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428255">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428256">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428260">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428261">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428264">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428268">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428268</Code>
      <Description>Number of Organisation Name Details supplied cannot exceed 4</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428269">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428269</Code>
      <Description>Ultimate holding company main business name must be supplied</Description>
      <Location>orgname2.02.00:OrganisationNameDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428270">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428273">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:context/xbrli:period/</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428278">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428278</Code>
      <Description>Gross payments are required on Payment Summary Schedule, where amount entered at Gross payments subject to foreign resident withholding</Description>
      <LongDescription>An amount has been entered at gross payment where Gross payments are subject to foreign resident withholding and there is no corresponding amounts on the Payment Summary Schedule.</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428290">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428290</Code>
      <Description>Only current name to be provided for Immediated or Ultimate Holding Company</Description>
      <Location>ctr.0005.lodge.req.02.00:ImmediateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428326">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428326</Code>
      <Description>RSA income tax payable on no-TFN contributions income is incorrect</Description>
      <LongDescription>The amount of Retirement savings accounts income tax payable on no-TFN contributions income should be equal to the amount of Retirement savings accounts no-TFN contributions income multiplied by 0.315</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428327">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428327</Code>
      <Description>RSA income tax payable on no-TFN contributions income should be nil</Description>
      <LongDescription>If Retirement savings accounts no-TFN contributions income is nil, then Retirement savings accounts income tax payable on no-TFN contributions income should also be nil</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428328">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428328</Code>
      <Description>Unstructured name of Public officer should not be supplied</Description>
      <LongDescription>Unstructured name of Public officer should not be supplied. The public officer's name should be supplied in a structured format</LongDescription>
      <Location>declaration2.02.01:Declaration/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428330">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428333</Code>
      <Description>TOFA financial items cannot all be blank if TOFA income or expenses fields have been supplied</Description>
      <LongDescription>You have included an amount at one of the TOFA income or expense fields, therefore you must also include one or more of the following amounts: Total TOFA gains, Total TOFA losses, TOFA transitional balancing adjustment, TOFA gains from unrealised movements in the value of financial arangements</LongDescription>
      <Location>bafpr1.02.04:Income.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428349">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429847">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429833">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429849">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429850">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429851">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429852">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429853">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429855">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429856">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429858">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429859">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429860">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429862">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429863">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429864">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429865">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429866">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429867">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429868">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429869">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429870">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429871">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429872">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429873">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429874">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429875">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429876">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429877">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429878">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429879">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429880">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429881">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429882">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429883">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429884">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429885">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429886">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429887">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429888">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429889">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429890">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429891">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429892">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429893">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429894">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429895">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429896">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429897">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429898">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429899">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429900">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429901">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429902">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429903">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429908">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429909">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429910">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429911">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429912">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429913">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429914">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429915">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429917">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429919">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429920">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429921">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429922">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429923">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429924">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429925">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429926">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429927">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429928">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429930">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429931">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429932">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429935">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429937">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429938">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429939">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429940">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429941">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429942">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429943">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429944">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429946">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429947">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429948">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429949">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429955">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429960">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429961">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429962">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429963">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429964">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429965">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429966">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429967">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429968">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429973">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429975">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429977">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429978">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429979">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429980">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429981">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429982">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429984">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429985">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429986">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429987">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429988">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429989">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429991">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429992">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429993">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429994">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429995">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429996">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429997">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429998">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429999">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428410">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428410</Code>
      <Description>Gross rent and other leasing and hiring income required</Description>
      <LongDescription>If Rent/leasing revenue has been completed on the IDS then Gross rent and other leasing and hiring income must be greater than zero on the company return form</LongDescription>
      <Location>bafpr1.02.02:Income.RentLeasingHiringGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428422">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428422</Code>
      <Description>Net capital gain required</Description>
      <LongDescription>If Capital gain amounts has been completed on the IDS then Net capital gain must be completed on the main return.</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428409">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428409</Code>
      <Description>Lease expenses overseas or Rent expenses are required</Description>
      <LongDescription>Where there is a Rent/leasing expenditure amount present on the IDS, there must also be an amount at either Lease expenses overseas or Rent expenses on the company return form</LongDescription>
      <Location>bafpr2.02.00:Expense.Operating.Lease.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428412">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428412</Code>
      <Description>Gross interest or Gross payments subject to foreign resident withholding required</Description>
      <LongDescription>If Interest revenue has been completed on the IDS then Gross interest or Gross payments subject to foreign resident withholding must be greater than zero on the company return form</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428413">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428413</Code>
      <Description>Attributed foreign income incorrect</Description>
      <LongDescription>The sum of amounts at attributable income of controlled foreign companies and controlled foreign trusts on the IDS should be equal to or greater than the sum of amounts at Listed country, Section 404 country and Unlisted country and equal to or less than the sum of amounts at Listed country, Section 404 country, Unlisted country and Transferor trust on the company return form.</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430001</Code>
      <Description>Invalid context. The number of Reporting party:GeneralPool contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430002</Code>
      <Description>Invalid context. The number of Reporting party:PreRules contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430003</Code>
      <Description>Invalid context. The number of Reporting party:InterimRules contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430004</Code>
      <Description>Invalid context. The number of Reporting party:ProspectiveRules contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430007</Code>
      <Description>Invalid context. The number of Reporting party:Carried forward to next year contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430008</Code>
      <Description>Invalid context. The number of Reporting party:Carried forward from previous year contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.500001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430009</Code>
      <Description>Previous postal address must not be the same as current postal address</Description>
      <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438030</Code>
      <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438030.SMSF">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438030</Code>
      <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.DIS ========= -->
  <diagnostic id="DVR.ATO.GEN.438030.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438030</Code>
      <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406000</Code>
      <Description>Invalid foreign income classification</Description>
      <LongDescription>The foreign income classification in the context specification contains an invalid classification type</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406001</Code>
      <Description>Gender code must be "M" for Male or "F" for Female</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406002</Code>
      <Description>Franking Credit must be entered when a value for Franked Dividends is supplied</Description>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406003</Code>
      <Description>Franked Dividends must be entered when a value for Franked Credit is supplied</Description>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406004</Code>
      <Description>At least one Amounts value must be greater than one dollar</Description>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406005</Code>
      <Description>Company Name not provided</Description>
      <LongDescription>Company name must be provided</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406006</Code>
      <Description>Deceased flagged when the investor is not an Individual</Description>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406010</Code>
      <Description>If the Overseas Indicator is blank or False the country must be blank</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>rvctc2.02.01:IncomeTax.FrankingCedits.ReceivedFromAustralianCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406012</Code>
      <Description>Non-individual investor name details missing</Description>
      <LongDescription>Non-individual investors are required to enter their investor name details</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406013</Code>
      <Description>Surname details have to be entered</Description>
      <LongDescription>Individual or Deceased individual investor's surname details should be entered</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406014</Code>
      <Description>Incorrect Investor Type Code received</Description>
      <LongDescription>Investor Type Code valid values must be within the set "I, C, T, P, S, D"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406015</Code>
      <Description>Date of birth can not be a future date</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406016</Code>
      <Description>Investor Address Line 1 is required</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.DIS.406023</Code>
      <Description>Both Investor Organisation Name Details and Person Name Details are present. Only one is allowed.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.DIS.406024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.FITR ========= -->
  <diagnostic id="DVR.ATO.DIS.406025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432268.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432268</Code>
      <Description>Financial institution details must be entered when a credit (refund) is due.</Description>
      <LongDescription>Based on the return calculation details a credit or refund is due. In order for the ATO to pay this credit or refund, Australian financial institution account details must be provided. If account details are not available please phone the Tax Office on: For self lodgers 13 28 61 options 2 2 and for tax agents 13 72 86 options 1 3 1 2.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434288">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434288</Code>
      <Description>Invalid exemption or rollover code</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.323235">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434235</Code>
      <Description>There must be no more that one tax agent practice name</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428023</Code>
      <Description>Current postal address must be supplied.</Description>
      <LongDescription>Current postal address - Line 1 is required</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434015</Code>
      <Description>Trustee name must be present if the Trustee ABN is present</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434016</Code>
      <Description>Trustee details - name must be present</Description>
      <LongDescription>The Non-individual trustee's name must be present for all types of funds, except Non-regulated funds.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434017</Code>
      <Description>Status of fund must be a valid 3 digit code 009, 010, 022, 053, 085, 118, 138, 168 or 198</Description>
      <LongDescription>Type of fund or trust must be one of the following codes: 009 - Approved Deposit Fund; 010 - APRA RegSupFnd Public Sector; 022 - APRA Regulated Super Fund Small APRA Fund; 053 - Corporate Fund; 085 - Eligible Rollover Fund; 118 - Industry fund; 138 - Non Regulated Superannuation Fund; 168 - Pooled Superannuation Trust; 198 - Retail Fund</LongDescription>
      <Location>pyde.02.03:Party.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.03:Party.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:OrganisationControl.RegisteredMembers.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434297</Code>
      <Description>If the fund or trust wound up during the income year, the number of members must not be provided</Description>
      <Location>pyde.02.00:OrganisationControl.RegisteredMembers.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:OrganisationDetails.Establishment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434024</Code>
      <Description>Date of establishment must not be after the financial year</Description>
      <Location>pyde.02.00:OrganisationDetails.Establishment.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.05:OrganisationDetails.OperationCease.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434026</Code>
      <Description>Date wound up must be present if the fund wound up during the income year</Description>
      <Location>pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434030</Code>
      <Description>An answer to the question asking if the CGT event related to a FMIS must not be present</Description>
      <LongDescription>If the answer to the question 'Did you have a CGT event during the year' is 'no' (false), then an answer to the question 'Did the CGT event relate to a forestry managed investment scheme' must not be present</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434034</Code>
      <Description>If Net capital gain is more than $10,000, a CGT schedule must be present</Description>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434035</Code>
      <Description>Answer to CGT event question must be 'yes' (true)</Description>
      <LongDescription>If a Net capital gain amount is entered, then the answer to the question 'Did you have a CGT event during the year' must be 'yes' (true)</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434036</Code>
      <Description>Net capital gains in return must equal total net capital gain in CGT schedule.</Description>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434041</Code>
      <Description>Gross foreign income must not be less than Net foreign income.</Description>
      <Location>bafpr1.02.04:Income.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434042</Code>
      <Description>Gross foreign income must be present if Net foreign income is present</Description>
      <Location>bafpr1.02.04:Income.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434043</Code>
      <Description>The Number of transfers from foreign funds must be present if an amount is present</Description>
      <Location>rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434044</Code>
      <Description>Payment summary schedule must be present when Payments where ABN not quoted amount is present</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434045</Code>
      <Description>Tax withheld amount must not be less than the sum of amounts present in the schedule</Description>
      <LongDescription>The 'Credit for tax withheld where ABN/TFN not quoted' amount must equal the sum of the Tax withheld amounts on the Payment Summary schedule</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434046</Code>
      <Description>Gross payment amount must equal the sum of amounts in the Payment Summary schedule</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434048.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430098</Code>
      <Description>Franking credit cannot be greater than 48% of dividends-franked amount.</Description>
      <LongDescription>Franking credit must not exceed 48% of Dividends - Franked amount</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430100</Code>
      <Description>Franking credit amount must be present</Description>
      <LongDescription>If Dividends - Franked amount is present, then Franking credit must be present</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434053</Code>
      <Description>Transfer of liability to LIC or PST must not exceed the sum of Assessable contributions</Description>
      <LongDescription>The 'Transfer of liability to life insurance company or PST' amount must not be greater than the sum of 'Assessable employer contributions' and 'Assessable personal contributions'</LongDescription>
      <Location>emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434054</Code>
      <Description>Transfer of liability to LIC or PST amount must be present</Description>
      <LongDescription>If the answer to the question 'Has the fund or trust, with the consent of the transferee, transferred assessable contributions...' is 'yes' (true), then a 'Transfer of liability to a LIC or PST' amount, other than zero, must be present</LongDescription>
      <Location>emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434055</Code>
      <Description>Other income amount must be present</Description>
      <LongDescription>The 'Other income' amount must be greater than zero if the 'Other income - code' is present</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434056</Code>
      <Description>Other income must not be less than Gross payment amounts on Payment Summary schedule</Description>
      <LongDescription>The 'Other income' amount must not be less than the sum of all 'Gross payment' amounts on the Payment Summary schedule</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434282</Code>
      <Description>Other income code must be present if Other income amount is present.</Description>
      <LongDescription>Other income codes are:    'B' - Assessable balancing adjustment amount,    'C' - LIC capital gain amount,  'O' - Other income received not listed,    'R' - Rebate or refund of death or disability premiums,    'W' - Gross payments subject to foreign resident withholding, 'T' - TOFA gains or assessable TOFA balancing adjustment</LongDescription>
      <Location>bafpr1.02.05:Income.Other.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434278</Code>
      <Description>Exempt current pension income must not be greater than Gross income.</Description>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434279</Code>
      <Description>Exempt current pension income must not equal Gross income when Deductions are present</Description>
      <LongDescription>The 'Exempt current pension income' amount must not equal the Gross income when one or more Deduction amounts are greater than zero</LongDescription>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434064">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434065">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434065</Code>
      <Description>Deduction for decline in value must not be less than amounts in CA schedule</Description>
      <LongDescription>The sum of the 'Total deduction for decline in value' amounts in the Capital Allowance schedule must not be greater than the 'Deduction for decline in value of depreciating assets' amount</LongDescription>
      <Location>bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434066</Code>
      <Description>CA schedule must be present if Deduction for decline in value amount exceeds $10,0000</Description>
      <Location>bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434067">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434068">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434068</Code>
      <Description>If 'Other deductions - code' is present, 'Other deductions' amount greater than zero must be present</Description>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434069</Code>
      <Description>If an 'Other deductions' amount is present, an 'Other deductions' code must be present</Description>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434071</Code>
      <Description>Gross tax must not be less than 45% of Taxable income</Description>
      <LongDescription>Gross tax amount must not be be less than 45% of the Taxable income or loss amount if the Status of the fund is 'Non-regulated' (code 138) or if the fund is not an Australian superannuation fund</LongDescription>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434072</Code>
      <Description>Taxable income/loss amount must equal income minus deductions</Description>
      <LongDescription>The Taxable income or loss amount must be equal to the sum of all income amounts minus the sum of all deductions amounts</LongDescription>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434073</Code>
      <Description>Tax losses carried forward amount must be present</Description>
      <LongDescription>If the Taxable income or loss amount is less than zero, there must be an 'Exempt current pension income' amount or a 'Tax losses carried forward to later income years' amount</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434074</Code>
      <Description>Gross tax must not be less than 15% of Taxable income</Description>
      <LongDescription>If the Taxable income or loss amount is greater than zero, then the Gross tax amount must not be less than 15% of the Taxable income or loss amount</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434075</Code>
      <Description>Gross tax must not be greater than zero</Description>
      <LongDescription>If a 'No-TFN quoted contributions' amount is not present, and 'Taxable income or loss' amount is less than or equal to zero, then the Gross Tax amount cannot be greater than zero</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434079</Code>
      <Description>Credit: Interest on early payments must not be less than 50 cents</Description>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434080</Code>
      <Description>Credit: FRW must not be less than the total of all FRW amounts in Payment Summary schedule</Description>
      <LongDescription>The 'Credit: foreign resident withholding' amount on the main form must not be less than the sum of all 'Foreign resident withholding' amounts on the Payment Summary schedule</LongDescription>
      <Location>rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434081</Code>
      <Description>Distribution or Other income amounts must be present</Description>
      <LongDescription>If 'Credit: foreign resident withholding' is greater than zero, then 'Gross distributions from partnerships', 'Trust distribution other amounts' and/or 'Other income' must be present</LongDescription>
      <Location>bafpr1.02.02:Income.PartnershipDistributionGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434082">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434082</Code>
      <Description>Credit: ABN/TFN not quoted amount must be present</Description>
      <LongDescription>If 'Gross payments where ABN not quoted' is greater than zero, then 'Credit: TFN/ABN not quoted' amount must be present</LongDescription>
      <Location>rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434085">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434085</Code>
      <Description>Losses schedule must be attached if losses carried forward exceeds $100,000</Description>
      <LongDescription>If the sum of 'Tax losses carried forward to later income years' and 'Net capital losses carried forward to later income years' is greater than $100000, a Losses schedule must be present</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434086</Code>
      <Description>Tax losses carried forward to later income years in schedule must equal amount in main form</Description>
      <LongDescription>The total of the 'Tax losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Tax losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434087">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434087</Code>
      <Description>Net capital losses carried forward to later income years must equal amount in Losses schedule</Description>
      <LongDescription>The total of the 'Net capital losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Net capital losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434289</Code>
      <Description>Net capital losses carried forward to later income years must equal amount in CGT schedule</Description>
      <LongDescription>Net capital losses carried forward to later income years' on the main form must equal the total of the 'Unapplied net capital losses carried forward'  in the Capital Gains Tax schedule</LongDescription>
      <Location>rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434098</Code>
      <Description>If the fund has been wound-up during the year then 'Net assets available to pay benefits' must not be present.</Description>
      <Location>bafpo1.02.10:Equity.NetAssetsCalculated.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434280</Code>
      <Description>Transfer of liabilities to LIC transferee details must be present</Description>
      <LongDescription>If the answer to 'Has the fund or trust,... transferred assessable income contribnutions....' is 'yes' (true), then the Name, ABN and amounts for at least one trusferee must be present  “Where there are more than two transferees, provide details of the two transferees that have the greatest market value</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434101">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434101</Code>
      <Description>Transferee Name, ABN, Amount and Market value must be present</Description>
      <LongDescription>If the fund or trust has transferred assessable taxable contributions to a life insurance company, registered organisation or pooled superannuation trust, then the details of each transferee must be present. This includes the Name, ABN, Amount and Market value of each transferee</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434102</Code>
      <Description>If fund has not transferred contributions, Transferee details must not be present</Description>
      <LongDescription>If the answer to 'Has the fund or trust,... transferred assessable income contributions ...' is 'no' (false), then the Name, ABN and Amounts for a trusferee must not be present</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434103">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434103</Code>
      <Description>Answer to Transfer of liabilities question must be 'yes'</Description>
      <LongDescription>If an amount is present at 'Transfer of liability to LIC or PST', then the answer to the question 'Has the fund or trust, ... transferred assessable income contributions ...' must be 'yes' (true).</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434249</Code>
      <Description>Answer to international related party dealings question must be true.</Description>
      <LongDescription>If the answer to the question 'Was the aggregate amount of transactions...greater than $2 million', is 'yes' (true), then the answer to the question 'Did the fund have any transactions or dealing with international parties...', must be yes' (true)</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434114">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434119">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434119</Code>
      <Description>Answer to Overseas interests question must be 'yes' if Attributed foreign income is present</Description>
      <LongDescription>If there is any Attributed foreign income amount present - 'Listed country', 'Section 404 country', 'Unlisted country', or 'FIF/FLP income' - then the answer to the question 'Did the fund have an overseas branch...', must be 'yes' (true)</LongDescription>
      <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434121">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434122">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434123">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434123</Code>
      <Description>Answer to Death or diability -  'relevant certificate' question must be present</Description>
      <LongDescription>If the answer to the question 'Is the fund or trust is claiming a deduction for premiums for death or disability....' is 'yes' (true), then an answer to the question 'If yes, has the fund or trust obtained the relevant certificate', must be present</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434124">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434124</Code>
      <Description>Answer to Death or diability -  'relevant certificate' question must NOT be present</Description>
      <LongDescription>If the answer to the question 'Is the fund or trust is claiming a deduction for premiums for death or disability....' is 'no' (false), then an answer to the question 'If yes, has the fund or trust obtained the relevant certificate', must NOT be present</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434125">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434138">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430170</Code>
      <Description>A TOFA gain, loss or balancing adjustment amount must be present</Description>
      <LongDescription>If the answer to 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules' is 'Yes' (true), you must enter an amount greater than zero at TOFA gain, TOFA loss or TOFA balancing adjustment.</LongDescription>
      <Location>bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430168</Code>
      <Description>Answer to TOFA question must be 'yes'</Description>
      <LongDescription>If there is an amount for any Taxation of financial arrangements (TOFA) present, the answer to the question 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules', must be 'yes' (true)</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434140</Code>
      <Description>TOFA amounts must be present</Description>
      <LongDescription>If an amount is present on the Capital Allowance Schedule at Total relevant TOFA 3 &amp; 4 hedging financial arrangements gains, or Total relevant TOFA 3 &amp; 4 hedging financial arrangements losses, then there must be an amount present at Total TOFA gains, Total TOFA losses or TOFA balancing adjustment on the main form</LongDescription>
      <Location>bafpr1.02.04:Income.GainsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434141">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434141</Code>
      <Description>Answer to TOFA question must be 'yes'</Description>
      <LongDescription>If  'Other Income - Code' is 'T' or 'Other deductions - Code' is 'T', then the answer to the question 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules', must be 'yes' (true)</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434143">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434145</Code>
      <Description>Fund wound up date must be within year of assessment.</Description>
      <LongDescription>The date the fund wound up must fall within the year of assessment.  For example, if the year of the return being lodged is 2010, then the date must not be before 1 July 2009 and must not be after 30 June 2010.</LongDescription>
      <Location>pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434146">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434146</Code>
      <Description>Name of superannuation fund or trust must be present</Description>
      <LongDescription>There must be one instance of the current Name of the superannuation fund or trust. This name must be submitted with a Currency Code 'C' (current) and a Type of 'MN' (main name)</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434148">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434148</Code>
      <Description>The phone number of the intermediary must be present</Description>
      <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434151">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434151</Code>
      <Description>OpeningClosingBalance dimension segment must be 'Closing'</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434163">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434163</Code>
      <Description>Invalid context. The number of Reporting party: Listed Country contexts must not exceed 1</Description>
      <Location>xbrli:Context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434165</Code>
      <Description>Invalid context. The number of Reporting party: Section 404 Country contexts must not exceed 1</Description>
      <Location>xbrli:Context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434166">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434166</Code>
      <Description>Invalid context. The number of Reporting party: Unlisted Country contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434167">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434167</Code>
      <Description>Each Transferee must include one and only one organisation name</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434168">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434168</Code>
      <Description>The total number of transferees must not exceed 99</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434169">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434170">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434171">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434172">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434173">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434174">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434175">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434177">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434178">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434179">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434180">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434182">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434183">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434184">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434185">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434186">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434187">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434188">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434189">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434190">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434191">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434192">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434193">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434194">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434196">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434206">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434216">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434217">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434219">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434220">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434221">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434222">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436251</Code>
      <Description>Overseas address indicator must be 'no' (false).</Description>
      <LongDescription>Current postal address must be an Australian address. The overseas indicator must therefore be 'no' (false)</LongDescription>
      <Location>pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434226</Code>
      <Description>Only a single non-individual Trustee can be reported.</Description>
      <Location>fitr.0003.lodge.req.02.00:Trustee</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434245">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434227</Code>
      <Description>A single Organisation name is mandatory for a non-individual Trustee</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434229">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434229</Code>
      <Description>There must only be one declaration from the reporting party</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434231</Code>
      <Description>There must be one and only one contact telephone number for the reporting party.</Description>
      <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434232">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434232</Code>
      <Description>There must be no more than 1 contact email address for the reporting party</Description>
      <Location>email1.02.00:ElectronicContactElectronicMail/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434233">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434233</Code>
      <Description>There must only be one declaration from the intermediary</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434234">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434234</Code>
      <Description>There must be no more than one contact name for the Intermediary</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434236">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434236</Code>
      <Description>There must be no more than one contact telephone number for the intermediary.</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434237">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438033</Code>
      <Description>Reporting year must be 2014</Description>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434289">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436631">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436660</Code>
      <Description>Tax offset refund (remainder of refundable tax offsets) must be zero.</Description>
      <LongDescription>If Refundable tax offsets is less than Subtotal then Tax offset refund (remainder of refundable tax offsets) must be zero.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436634">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436634</Code>
      <Description>A deceased member with closing account balance of zero must have account status code "Closed"</Description>
      <Location>emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436643">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436643</Code>
      <Description>The maximum number of Member information statements exceeded</Description>
      <Location>pyin.02.00:Report.ItemOrder.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436657">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436657</Code>
      <Description>If fund was newly registered during reporting year, supervisory levy adjustment must be $130.</Description>
      <Location>rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436557">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436557</Code>
      <Description>Only show whether compliance issues have been rectified if Part B of Audit report was qualified</Description>
      <LongDescription>A response to the question: "Have the reported compliance issues been rectified?" must only be provided if Part B of the audit report was qualified.</LongDescription>
      <Location>emfsm.02.09:AuditorReport.QualificationsRectified.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436599">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436597</Code>
      <Description>Other amounts code must be A, B, C, E, F, I, N, O, R or T</Description>
      <LongDescription>
        Allowable other amounts codes are:
        A - Deductible balancing adjustment
        B - Contribution that is a fringe benefit
        C - Exclusion of personal contributions
        E - Environment protection expenditure
        F - Foreign exchange losses
        I - Listed investment company capital gain amount
        N - Deduction relating to foreign non-assessable non-exempt income
        R - Return of contributions by non-complying funds
        T - TOFA losses or deductible TOFA balancing adjustment
        O - Other expenses not listed elsewhere
      </LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438030.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438030</Code>
      <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438003.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438003</Code>
      <Description>International Dealings Schedule is not attached</Description>
      <LongDescription>The answer to the question 'Was the aggregate amount of your transactions or dealings with international related parties (including the value of any property or service transferred or the balance of any loans) greater than $2 million?'(Overseas transactions) is 'Yes' , and no International Dealings Schedule is attached.</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438003.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438003</Code>
      <Description>International Dealings Schedule is not attached</Description>
      <LongDescription>The answer to the question 'Was the aggregate amount of your transactions or dealings with international related parties (including the value of any property or service transferred or the balance of any loans) greater than $2 million?'(Overseas transactions) is 'Yes' , and no International Dealings Schedule is attached.</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438004</Code>
      <Description>International Dealings Schedule is not required</Description>
      <LongDescription>The answer to the question 'Did the entity have either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust?' is 'No', and an International Dealings Schedule is attached.</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.GEN ========= -->
  <diagnostic id="DVR.ATO.TRT.432707">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438031</Code>
      <Description>International Dealings Schedule is not required</Description>
      <LongDescription>If there is a 'NO' response to the questions concerning whether the entity had either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust and whether the value of dealings with international related parties is greater than $2 million and whether the thin capitalisation provisions apply, and no amounts have been completed at Interest expenses overseas and Royalty expenses overseas, an International Dealings schedule must not be attached.</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000012</Code>
      <Description>State or Territory is required for an Australian address</Description>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000051</Code>
      <Description>Telephone Usage Code must be 03</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000199.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000199.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000201.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000201.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000201.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000201.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428252.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408062">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408062</Code>
      <Description>Central mgmnt and control outside Australia period must not be before election commencement date</Description>
      <LongDescription>The 'from' date of a period of Central management and control of the trust outside of Australia must not be before the date of the commencement time for the family trust election</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000201.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000208">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000209.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000209.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000209.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430102</Code>
      <Description>TFN amounts withheld from dividends must not exceed 50% of the Unfranked amount</Description>
      <Location>rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432148">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432148</Code>
      <Description>Tax withheld from pension must not be greater than the total pension amount</Description>
      <LongDescription>Tax withheld amounts from Australian government pensions or allowances must not be greater than or equal to the amount of Australian government pensions</LongDescription>
      <Location>gfapc.02.01:Pension.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432302">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432619</Code>
      <Description>PP or Non-PP income distribution or franked distribution amount must be present in Statement of distribution</Description>
      <LongDescription>If an amount greater than zero is present at 'Credit for tax withheld where ABN not quoted' against a Statement of Distribution, then there must be Primary production or Non-primary production income or franked distributions amount against the beneficiary.</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432307">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432307</Code>
      <Description>Franking credits must not be present when the trust has zero net income or incurs an overall loss</Description>
      <LongDescription>If there is an overall trust loss (the sum of net Australian income/loss, net capital gains, attributed foreign income, other assessable foreign source income; minus allowable tax losses is less than or equal to zero) then franking credits and Australian franking credits from a NZ company must not be present in a Statement of Distribution. Franking credits cannot be distributed when there is an overall trust loss. Delete the franking credits from the Statement of Distribution</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432672</Code>
      <Description>Credit for tax withheld - foreign resident withholding must not exceed 50% of Non PP gross payments</Description>
      <LongDescription>Credit for tax withheld - foreign resident withholding must not exceed 50% of Non-primary production Gross payments subject to foreign resident withholding</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432093">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432093</Code>
      <Description>Total Credit for Tax withheld - foreign resident withholding must equal beneficiaries amounts</Description>
      <LongDescription>The sum of 'Credit for tax withheld - foreign resident withholding' recorded in the Statements of distribution must equal the sum of 'Credit for tax withheld - foreign resident withholding' plus 'Share of credit for tax withheld - foreign resident withholding'</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432696">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432696</Code>
      <Description>Invalid context. The number of Reporting party:LowCost contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432697">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432697</Code>
      <Description>Invalid context. The number of Reporting party:GeneralPool contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432706">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432706</Code>
      <Description>Pensioner tax offset code must not be present</Description>
      <LongDescription>Pensioner tax offset code has been supplied; it is not required.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436280</Code>
      <Description>Invalid context. The number of Intermediary contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000227.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436280</Code>
      <Description>Invalid context. The number of Intermediary contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000227.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436280</Code>
      <Description>Invalid context. The number of Intermediary contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432126">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430090</Code>
      <Description>Other rental deductions must equal the total other deductions in the Rental Schedules</Description>
      <LongDescription>The Other rental deductions amount in the main form must equal the total of all rental expenses in the Rental property, excluding Interest deductions and Capital works deductions</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432129">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430106</Code>
      <Description>Gross interest or dividend income must be present</Description>
      <LongDescription>If Deductions relating to Australian investment income is greater than zero, then Gross interest, Unfranked amount, or Franked amount must be present</LongDescription>
      <Location>bafpr2.02.02:Income.Interest.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000237">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000237.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000237.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000239">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000240.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>id</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000241">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430298</Code>
      <Description>Invalid Context: Each context must have an identifier and each fact must have a context identifier</Description>
      <Location>id</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000243">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000243</Code>
      <Description>Both person unstructured name usage code and name must be provided</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000243.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000243</Code>
      <Description>Both person unstructured name usage code and name must be provided</Description>
      <Location>pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000243.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000243</Code>
      <Description>Both person unstructured name usage code and name must be provided</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000405">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000405</Code>
      <Description>Address line 1 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000407">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000407</Code>
      <Description>Address line 2 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000409">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000409</Code>
      <Description>Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000410">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000410</Code>
      <Description>Suburb/Town/City cannot contain numeric characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000413">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000413.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000413.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000414">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000414</Code>
      <Description>Non Individual Name cannot contain "P/L"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000416">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000416</Code>
      <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000417">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000417</Code>
      <Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428261.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000417</Code>
      <Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428261">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000417</Code>
      <Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000423">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000427">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000434">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000439">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000446">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000446</Code>
      <Description>Other given name cannot contain space hyphen space</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000451">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000451</Code>
      <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000458">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000458</Code>
      <Description>Suffix is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000459">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000459</Code>
      <Description>Title is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000460">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000460</Code>
      <Description>Postcode is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000466">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000466</Code>
      <Description>Organisation Name Currency Code must be "C" or "P"</Description>
      <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000466.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000466</Code>
      <Description>Organisation Name Currency Code must be "C" or "P"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000467">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000467</Code>
      <Description>Address usage code must be "POS" or "BUS"</Description>
      <Location>pyde.02.01:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000468">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000468</Code>
      <Description>Postal address currency code must be "C" or "P"</Description>
      <Location>pyde.02.00:AddressDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000500">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410167</Code>
      <Description>Overseas address indicator must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000501">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410214</Code>
      <Description>Address Line 1 must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000502">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410212</Code>
      <Description>If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</Description>
      <LongDescription>If the address is an Australian address, the overseas address indicator must be set to 'FALSE' and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to 'TRUE' and you must supply a Country Code other than 'au'</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000503">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410191</Code>
      <Description>Country code must be present for overseas address</Description>
      <LongDescription>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000504">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410192</Code>
      <Description>Country code must be a valid code</Description>
      <LongDescription>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000506">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410002</Code>
      <Description>Address Line 2 must be present if Address Line 1 contains 'C/-'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000507">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410003</Code>
      <Description>If State or Postcode are present, Suburb/town must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000508">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410053</Code>
      <Description>Postcode and State, or Country code must be present</Description>
      <LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country code must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000509">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410211</Code>
      <Description>Overseas address indicator must not be 'TRUE' if Country Code is 'au'</Description>
      <LongDescription>The overseas address indicator must be 'FALSE' if the Country Code is 'au' - representing Australia. If the address is an overseas address please supply the correct Country Code</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000510">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410055</Code>
      <Description>Postcode must be present if State is present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000511">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410017</Code>
      <Description>State must be present if Postcode is present</Description>
      <LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000512">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410018</Code>
      <Description>Either state and postcode, or country must be present</Description>
      <LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000513">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410174</Code>
      <Description>Address Usage Code must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000520">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410147</Code>
      <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000521">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410215</Code>
      <Description>Organisation name must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000530">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410217</Code>
      <Description>Family Name must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000531">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410218</Code>
      <Description>FirstName must be entered if OtherGivenNames is entered</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001007</Code>
      <Description>State code must be AAT, ACT, NSW, NT, QLD, SA, TAS, VIC or WA</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001008</Code>
      <Description>Field not supplied in valid date format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001009</Code>
      <Description>Field not supplied in valid monetary format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001010</Code>
      <Description>Field not supplied in valid boolean format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001012</Code>
      <Description>ID supplied is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001013</Code>
      <Description>Field not supplied in valid Positive Integer format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001014</Code>
      <Description>Field not supplied in valid Non Negative Integer format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001015</Code>
      <Description>Field not supplied in valid Pure format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001018</Code>
      <Description>Field not supplied in valid decimal format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001019</Code>
      <Description>Invalid 'ReportingParty' entity segment detail supplied.</Description>
      <LongDescription>Invalid entity segment details supplied for 'ReportingParty'.  It does not match the definitional taxonomy.</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001019.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001019</Code>
      <Description>Invalid 'ReportingParty' entity segment detail supplied.</Description>
      <LongDescription>Invalid entity segment details supplied for 'ReportingParty'.  It does not match the definitional taxonomy.</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001020</Code>
      <Description>Entity identifier not supplied.</Description>
      <LongDescription>Mandatory entity identifier not supplied.</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001020.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001020</Code>
      <Description>Entity identifier not supplied.</Description>
      <LongDescription>Mandatory entity identifier not supplied.</LongDescription>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001021</Code>
      <Description>Invalid identifier scheme.</Description>
      <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001021.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001021</Code>
      <Description>Invalid identifier scheme.</Description>
      <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001023.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001023.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001023.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001024</Code>
      <Description>TFN must be supplied for Reporting Party</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001025</Code>
      <Description>ABN must be supplied for Intermediary</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001026</Code>
      <Description>TFN must be supplied for Reporting Party or ABN must be supplied for Intermediary</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001026.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001026</Code>
      <Description>TFN must be supplied for Reporting Party or ABN must be supplied for Intermediary</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001027</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period start date within context on schedule doesn't match start date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001027.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001027</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period start date within context on schedule doesn't match start date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001027.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001027</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period start date within context on schedule doesn't match start date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001027.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001027</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period start date within context on schedule doesn't match start date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001028</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period end date within context on schedule doesn't match end date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001028.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001028</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period end date within context on schedule doesn't match end date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001028.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001028</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period end date within context on schedule doesn't match end date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001028.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001028</Code>
      <Description>Invalid XBRL schema</Description>
      <LongDescription>Period end date within context on schedule doesn't match end date within PARENT RETURN:reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001032</Code>
      <Description>Field not supplied in valid float format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.002020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010028</Code>
      <Description>If the return is an amendment, sequence number, type and reason must be present</Description>
      <LongDescription>If the Amendment Indicator is 'yes' (true), then the Amendment Sequence Number, Amendment Type and Amendment Reason must be present and not blank.</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010028.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010028</Code>
      <Description>If the return is an amendment, sequence number, type and reason must be present</Description>
      <LongDescription>If the Amendment Indicator is 'yes' (true), then the Amendment Sequence Number, Amendment Type and Amendment Reason must be present and not blank.</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010029</Code>
      <Description>If the return is an amendment, Amendment Indicator must be 'yes' (true)</Description>
      <LongDescription>If an Amendment Sequence Number, Amendment Type or Amendment Reason is present, then the Amendment Indicator must be 'yes' (true)</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010029.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010029</Code>
      <Description>If the return is an amendment, Amendment Indicator must be 'yes' (true)</Description>
      <LongDescription>If an Amendment Sequence Number, Amendment Type or Amendment Reason is present, then the Amendment Indicator must be 'yes' (true)</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010030</Code>
      <Description>Amendment sequence number must be a number between 1 and 9</Description>
      <Location>pyin.02.08:Report.AmendmentSequence.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010031</Code>
      <Description>Amendment Type must be '3' - Agency Error, or  '4' - Taxpayer Error</Description>
      <Location>pyin.02.08:Report.AmendmentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.200007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.300003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.300003</Code>
      <Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS, AAT</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.307001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307001</Code>
      <Description>Declaration Statement Type Code must be 'TrueAndCorrect'</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.307002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307002</Code>
      <Description>Declaration statement is required to be completed</Description>
      <LongDescription>An Intermediary must sign the Intermediary declaration, or the Reporting Party must sign the Reporting Party declaration</LongDescription>
      <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.307003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307003</Code>
      <Description>Declaration Signatory Identifier is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory is required</LongDescription>
      <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.307004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307004</Code>
      <Description>Declaration Signature Date is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
      <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.307006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307006</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.400013.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400013</Code>
      <Description>Organisation main name on schedule does not match parent return</Description>
      <Location>pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.400013.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400013</Code>
      <Description>Organisation main name on schedule does not match parent return</Description>
      <Location>pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.400013.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400013</Code>
      <Description>Organisation main name on schedule does not match parent return</Description>
      <Location>orgname1.02.00:OrganisationNameDetails/pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.400013.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400013</Code>
      <Description>Organisation main name on schedule does not match parent return</Description>
      <Location>pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.400013.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400013</Code>
      <Description>Organisation main name on schedule does not match parent return</Description>
      <Location>orgname1.02.00:OrganisationNameDetails/pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.RDTIS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410002</Code>
      <Description>Address Line 2 must be present if Address Line 1 contains 'C/-'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410003</Code>
      <Description>If State or Postcode are present, Suburb/town must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410008</Code>
      <Description>Address Line 3 must be left blank</Description>
      <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410009</Code>
      <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410013</Code>
      <Description>Address Line 4 must be left blank</Description>
      <LongDescription>Lines 3 and 4 of the address are not used on this form</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410017</Code>
      <Description>State must be present if Postcode is present</Description>
      <LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410018</Code>
      <Description>Either state and postcode, or country must be present</Description>
      <LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410031</Code>
      <Description>TFN must be a valid TFN</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410031.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410031</Code>
      <Description>TFN must be a valid TFN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410038.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410038.CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410038.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410039</Code>
      <Description>Organisation name must contain at least one alpha or numeric character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410039.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410039</Code>
      <Description>Organisation name must contain at least one alpha or numeric character</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410040.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410049</Code>
      <Description>Organisation Name Type Code must be 'MN'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410053</Code>
      <Description>Postcode and State, or Country code must be present</Description>
      <LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country code must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410055</Code>
      <Description>Postcode must be present if State is present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410063</Code>
      <Description>Given Name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410082">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410082</Code>
      <Description>Hours to be complete must be in the range '1 to 999'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410105</Code>
      <Description>ARBN must be a valid number that passes the algorithm</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410105.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410105</Code>
      <Description>ARBN must be a valid number that passes the algorithm</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410113">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410113</Code>
      <Description>TFN for Reporting Party must be present</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410113.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410113</Code>
      <Description>TFN for Reporting Party must be present</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410113.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410113</Code>
      <Description>TFN for Reporting Party must be present</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410113.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410113</Code>
      <Description>TFN for Reporting Party must be present</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410113.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410113</Code>
      <Description>TFN for Reporting Party must be present</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410115.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410115.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410115.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410116</Code>
      <Description>Period code must be a valid code</Description>
      <LongDescription>Period code must be 'ControlOutsideAustraliaPartPeriod', 'NonResidentPartPeriod' or 'SubstitutedAccountingPeriod'</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410119">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410119</Code>
      <Description>ABN of the Intermediary on the schedule must match the ABN on the main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410119.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410119</Code>
      <Description>ABN of the Intermediary on the schedule must match the ABN on the main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410119.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410119</Code>
      <Description>ABN of the Intermediary on the schedule must match the ABN on the main form</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410131</Code>
      <Description>Other Given Name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410140</Code>
      <Description>Organisation Name Currency Code must be present</Description>
      <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410147">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410147</Code>
      <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410147.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410147</Code>
      <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410148">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410148</Code>
      <Description>Address Currency Code must be present if an Address is present.</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410167">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410167</Code>
      <Description>Overseas address indicator must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410167.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410167</Code>
      <Description>Overseas address indicator must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410174">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410174</Code>
      <Description>Address Usage Code must be present</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410180">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410180</Code>
      <Description>Person Name Usage Code must be present</Description>
      <Location>pyde.02.05:PersonNameDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410183">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410183</Code>
      <Description>Person Name Currency Code must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410183.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410183</Code>
      <Description>Person Name Currency Code must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410183.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410183</Code>
      <Description>Person Name Currency Code must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410191">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410191</Code>
      <Description>Country code must be present for overseas address</Description>
      <LongDescription>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410191.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410191</Code>
      <Description>Country code must be present for overseas address</Description>
      <LongDescription>When the overseas address indicator is 'TRUE', the corresponding Country Code must be supplied</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410192">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410192</Code>
      <Description>Country code must be a valid code</Description>
      <LongDescription>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410192.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410192</Code>
      <Description>Country code must be a valid code</Description>
      <LongDescription>Country Code must be one of the two character lower-case codes from Australian Standard 4590, Section 5, Sub-section 5.15</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410194">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410194</Code>
      <Description>Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410194.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410194</Code>
      <Description>Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>Although SBR sets a limit of 50 characters for the Line 1 of an address, the maximum allowable for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410195</Code>
      <Description>Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>Although SBR sets a limit of 50 characters for the Line 2 of an address, the maximum allowable for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410196">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430299</Code>
      <Description>Invalid Context: ReportPartyType dimension segment must be 'ReportingParty' or 'Intermediary'</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410197.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430299</Code>
      <Description>Invalid Context: ReportPartyType dimension segment must be 'ReportingParty' or 'Intermediary'</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000424</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000426</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000436</Code>
      <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410001</Code>
      <Description>Address Line 1 must not contain 'AS ABOVE'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410205.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410001</Code>
      <Description>Address Line 1 must not contain 'AS ABOVE'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000448</Code>
      <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410208">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000449</Code>
      <Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410208.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000449</Code>
      <Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000450</Code>
      <Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410209.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000450</Code>
      <Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410211</Code>
      <Description>Overseas address indicator must not be 'TRUE' if Country Code is 'au'</Description>
      <LongDescription>The overseas address indicator must be 'FALSE' if the Country Code is 'au' - representing Australia. If the address is an overseas address please supply the correct Country Code</LongDescription>
      <Location>pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410212</Code>
      <Description>If an overseas Country Code is used, the Overseas Address indicator must be 'TRUE'</Description>
      <LongDescription>If the address is an Australian address, the overseas address indicator must be set to 'FALSE' and you do not need to supply a Country Code. If the address is an overseas address, the overseas address indicator must be set to 'TRUE' and you must supply a Country Code other than 'au'</LongDescription>
      <Location>pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410213</Code>
      <Description>Country Name must be left blank</Description>
      <LongDescription>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410213.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410213</Code>
      <Description>Country Name must be left blank</Description>
      <LongDescription>For SBR submissions to the ATO, the Country Name must be left blank. To supply the country for an overseas address please supply a Country Code</LongDescription>
      <Location>pyde.02.00:AddressDetails.CountryName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410214">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410214</Code>
      <Description>Address Line 1 must be present</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410215</Code>
      <Description>Organisation name must be present</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410216">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410216</Code>
      <Description>Person NameType code must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410216.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410216</Code>
      <Description>Person NameType code must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410217">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410217</Code>
      <Description>Family Name must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410218">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410218</Code>
      <Description>FirstName must be entered if OtherGivenNames is entered</Description>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410218.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410218</Code>
      <Description>FirstName must be entered if OtherGivenNames is entered</Description>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410220">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000004</Code>
      <Description>ABN must be present</Description>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.418019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.418019</Code>
      <Description>TFN must be a valid TFN</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428016.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428016.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428016.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428021</Code>
      <Description>Invalid ACN</Description>
      <LongDescription>The Australian Company Number (ACN) has failed the algorithm check</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428023</Code>
      <Description>Current postal address must be supplied.</Description>
      <LongDescription>Current postal address - Line 1 is required</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  
  <diagnostic id="DVR.ATO.GEN.428026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428026</Code>
      <Description>C/- must be followed by a Name and the Address on line 2</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428030</Code>
      <Description>Postal Address Line 3 is not required</Description>
      <Location>pyde.02.00:AddressDetails.Line3.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428033</Code>
      <Description>Postal address on previous return - Line 4 is not required</Description>
      <Location>pyde.02.00:AddressDetails.Line4.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428036</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428037</Code>
      <Description>Address details must be present</Description>
      <LongDescription>Address details must be complete with street name and number, suburb/town field</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428040.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428040.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428041</Code>
      <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428045</Code>
      <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428045.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428045</Code>
      <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428045.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428045</Code>
      <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428045.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428045</Code>
      <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428045.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428045</Code>
      <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428202</Code>
      <Description>Address currency code must be "C" or "P"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428204</Code>
      <Description>Number of Postal Addresses cannot exceed 2</Description>
      <Location>address2.02.02:AddressDetails/pyde.02.01:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428205</Code>
      <Description>Current postal address is only required once</Description>
      <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428206">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428206</Code>
      <Description>Previous postal address is only required once</Description>
      <Location>pyde.02.00:AddressDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428209</Code>
      <Description>Invalid Person Unstructured Name Usage Code. Valid value is "Contact"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428211</Code>
      <Description>Pay As You Go Withholding Payment type code "DFRW" is only required once</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428212</Code>
      <Description>Pay As You Go Withholding Payment type code "DNOABN" is only required once</Description>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428217">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428217</Code>
      <Description>Number of Current Organisation Names supplied cannot exceed 3</Description>
      <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428218">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428218</Code>
      <Description>Number of Previous Organisation Name details supplied cannot exceed 1</Description>
      <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428219">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428219</Code>
      <Description>Declaration signatory must be supplied</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428221">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428221</Code>
      <Description>Invalid Person Name Type code. Valid code is "LGL"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428223</Code>
      <Description>Invalid Person Name Currency code. Valid code is "C"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428224</Code>
      <Description>Can only have one current address present</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000411</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000422</Code>
      <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000406">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000406</Code>
      <Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!--<diagnostic id="DVR.ATO.GEN.428240.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000406</Code>
      <Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>-->
  <diagnostic id="DVR.ATO.GEN.000408">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000408</Code>
      <Description>'Care Of' is not valid for address line 2</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428242">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428244">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200007</Code>
      <Description>Invalid XBRL schema</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428247">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410009</Code>
      <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428248">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000422</Code>
      <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428249">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000436</Code>
      <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000405</Code>
      <Description>Address line 1 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428254.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000405</Code>
      <Description>Address line 1 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428255">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000407</Code>
      <Description>Address line 2 cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428256">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000409</Code>
      <Description>Suburb/Town/City cannot contain "UNKNOWN"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428258">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000414</Code>
      <Description>Non Individual Name cannot contain "P/L"</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428259.RSPT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000414</Code>
      <Description>Non Individual Name cannot contain "P/L"</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428260">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000416</Code>
      <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Location>pyde.02.03:Party.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428260.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000416</Code>
      <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428264">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428266">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000446</Code>
      <Description>Other given name cannot contain space hyphen space</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000451</Code>
      <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408057</Code>
      <Description>Period type code must be provided</Description>
      <LongDescription>A period type code must be provided. Please contact your software developer.</LongDescription>
      <Location>pyin.02.05:Period.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408058</Code>
      <Location>pyin.02.05:Period.Type.Code</Location>
      <Severity>Information</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408059</Code>
      <Description>Start date or end date missing</Description>
      <LongDescription>A start date or end date is missing.  A period start date and end must both be provided.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408060</Code>
      <Description>Start date must be before end date</Description>
      <LongDescription>The start date must be earlier than the end date in a Period.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430008</Code>
      <Description>The Family Trust TFN on the IEE must not be the same as the main entity TFN</Description>
      <LongDescription>An Entity cannot interpose itself; therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the tax file number of the entity making the election</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430008.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430008</Code>
      <Description>The Family Trust TFN on the IEE must not be the same as the main entity TFN</Description>
      <LongDescription>An Entity cannot interpose itself; therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the tax file number of the entity making the election</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430182">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430182</Code>
      <Description>Status of business code must be 01, 02 or 03</Description>
      <LongDescription>Status of business code must be 01 for Multiple Business, 02 for Ceased Business, or 03 for Commenced Business</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430206">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430206</Code>
      <Description>Hours taken to prepare and complete form must be 1 to 999</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430206.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430206</Code>
      <Description>Hours taken to prepare and complete form must be 1 to 999</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408010</Code>
      <Description>Name field cannot contain 'space hyphen space'.</Description>
      <LongDescription>Name field cannot contain 'space hyphen space'.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408010.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408010</Code>
      <Description>Name field cannot contain 'space hyphen space'.</Description>
      <LongDescription>Name field cannot contain 'space hyphen space'.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408010.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408010</Code>
      <Description>Name field cannot contain 'space hyphen space'.</Description>
      <LongDescription>Name field cannot contain 'space hyphen space'.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408010.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408010</Code>
      <Description>Name field cannot contain 'space hyphen space'.</Description>
      <LongDescription>Name field cannot contain 'space hyphen space'.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.408010.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.408010</Code>
      <Description>Name field cannot contain 'space hyphen space'.</Description>
      <LongDescription>Name field cannot contain 'space hyphen space'.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430222">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430222</Code>
      <Description>Email address must not start or end with an @ symbol</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430223</Code>
      <Description>Email address must not contain more than one @ symbol</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430224</Code>
      <Description>Email address must not start or end with a dot (.)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430226</Code>
      <Description>Email address must not contain more than one consecutive dots (..)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430227</Code>
      <Description>Email address must not contain a dot followed by a @ symbol (.@)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430228">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430228</Code>
      <Description>Email address must not contain a @ symbol followed by a dot (@.)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430229">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430229</Code>
      <Description>Email address must not contain an invalid character</Description>
      <LongDescription>An email address must not contain any of the following invalid characters: ( ) &lt; &gt; , ; : \ " [ ]</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430230</Code>
      <Description>Email address must contain an @ symbol</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430231</Code>
      <Description>An email address must not start with a space or include a space within it</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430232">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430232</Code>
      <Description>Email address must contain a dot (.)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430245">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430245</Code>
      <Description>Suburb/Town/City must be present in an address</Description>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430245.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430245</Code>
      <Description>Suburb/Town/City must be present in an address</Description>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430246">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000410</Code>
      <Description>Suburb/Town/City cannot contain numeric characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430246.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000410</Code>
      <Description>Suburb/Town/City cannot contain numeric characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430249">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430249</Code>
      <Description>Declaration by the person submitting the return must be present</Description>
      <LongDescription>If an Intermediary is present, there must be a Declaration by the Intermediary. If an Intermediary is not present, there must be a Declaration by the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430250">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430250</Code>
      <Description>The Declaration must be complete</Description>
      <LongDescription>Within the Declaration, the Statement Type must be 'TrueAndCorrect', Statement Accepted must be 'Yes' (true), and the Signatory Identifier and Signature Date must be present.</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430252">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430252</Code>
      <Description>Unstructured name must not be more than 200 characters</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430253">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430253</Code>
      <Description>Unstructured name must only contain A to Z,  a to z, 0 to 9, hyphens and spaces</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438035</Code>
      <Description>Unstructured name must not contain invalid characters ~ ^ &lt; &gt; + , *</Description>
      <LongDescription>Unstructured name must not  contain invalid characters ~ ^ &lt; &gt; + , * Invalid characters ~^&lt;&gt;+  have been removed from the techincal business rule as they will be picked by the XBRL validator.</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430255">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430255</Code>
      <Description>Signature date must not be later than today</Description>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430258">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430258</Code>
      <Description>Invalid context. The number of Reporting party: Primary Production contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430258.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430258</Code>
      <Description>Invalid context. The number of Reporting party: Primary Production contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430259</Code>
      <Description>Invalid context. The number of Reporting party: Non-Primary Production contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430259.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430259</Code>
      <Description>Invalid context. The number of Reporting party: Non-Primary Production contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430262</Code>
      <Description>CFC Classification dimension must be 'ListedCountry', 'Section404Country' or 'UnlistedCountry'</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430266">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430266</Code>
      <Description>Invalid context. The number of Reporting party: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430266.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430266</Code>
      <Description>Invalid context. The number of Reporting party: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430266.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430266</Code>
      <Description>Invalid context. The number of Reporting party: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430267</Code>
      <Description>Invalid context. The number of Reporting party: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430267.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430267</Code>
      <Description>Invalid context. The number of Reporting party: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430267.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430267</Code>
      <Description>Invalid context. The number of Reporting party: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430269">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430269</Code>
      <Description>Invalid context. The number of Reporting party: Primary: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430269.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430269</Code>
      <Description>Invalid context. The number of Reporting party: Primary: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430270">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430270</Code>
      <Description>Invalid context. The number of Reporting party: Non-Primary: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430270.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430270</Code>
      <Description>Invalid context. The number of Reporting party: Non-Primary: Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430272">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430272</Code>
      <Description>CFC Classification dimension must include 'Foreign' International Jurisdiction dimension segment</Description>
      <LongDescription>Invalid context: A CFC Classification dimension segment must include a 'Foregn' International Jurisdiction context segment. Context may be 'RP.CFCLC.JForeign', 'RP.CFC404.Jforeign' or 'RP.CFCUC.JForeign'</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430273">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430273</Code>
      <Description>Invalid context. The number of Reporting party: ListedCountry: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430273.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430273</Code>
      <Description>Invalid context. The number of Reporting party: ListedCountry: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430274">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430274</Code>
      <Description>Invalid context. The number of RP: Section404Country: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430274.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430274</Code>
      <Description>Invalid context. The number of RP: Section404Country: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430275">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430275</Code>
      <Description>Invalid context. The number of Reporting party: UnlistedCountry: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430275.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430275</Code>
      <Description>Invalid context. The number of Reporting party: UnlistedCountry: Foreign contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430279">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430279</Code>
      <Description>Invalid context. The number of Reporting Party Instant: Opening contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430279.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430279</Code>
      <Description>Invalid context. The number of Reporting Party Instant: Opening contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430280">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430280</Code>
      <Description>Invalid context. The number of Reporting Party Instant: Closing contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430280.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430280</Code>
      <Description>Invalid context. The number of Reporting Party Instant: Closing contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430280.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430280</Code>
      <Description>Invalid context. The number of Reporting Party Instant: Closing contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430297">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430297</Code>
      <Description>The Other attachments schedule must not exceed 3000 characters</Description>
      <LongDescription>The 'Other attachments' schedule is represented by the 'Regulatory Disclosures. General Information About Financial Statements.Text' element</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430300">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430300</Code>
      <Description>InternationalJursidiction dimension segment must be 'Australian'</Description>
      <LongDescription>Under an IndustryProductionType dimension segment, the only valid InternationalJurisdiction dimension segment is 'Australian'</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430300.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430300</Code>
      <Description>InternationalJursidiction dimension segment must be 'Australian'</Description>
      <LongDescription>Under an IndustryProductionType dimension segment, the only valid InternationalJurisdiction dimension segment is 'Australian'</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430301">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430301</Code>
      <Description>Invalid context. Financial Arrangement Type dimension segment must be 'TOFA'</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430301.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430301</Code>
      <Description>Invalid context. Financial Arrangement Type dimension segment must be 'TOFA'</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430301.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430301</Code>
      <Description>Invalid context. Financial Arrangement Type dimension segment must be 'TOFA'</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430302">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430302</Code>
      <Description>Invalid context. The number of Reporting party: TOFA contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430302.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430302</Code>
      <Description>Invalid context. The number of Reporting party: TOFA contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430302.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430302</Code>
      <Description>Invalid context. The number of Reporting party: TOFA contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430306">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430306</Code>
      <Description>Business address Currency code must be 'C'</Description>
      <LongDescription>The Business address of main business must have Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430306.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430306</Code>
      <Description>Business address Currency code must be 'C'</Description>
      <LongDescription>The Business address of main business must have Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430307">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430307</Code>
      <Description>Address usage code must be 'POS' or 'BUS' and Currency Code must be 'C' or 'P'</Description>
      <LongDescription>An address must have a Usage code 'POS' (postal) or 'BUS' (business) and a Currency Code 'C' (current) or 'P' (previous). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430312">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430312</Code>
      <Description>Tax Agent (Intermediary) contact telephone must be present</Description>
      <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430316.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430316</Code>
      <Description>Invalid context. ABN must be present in the Intermediary context</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430316.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430316</Code>
      <Description>Invalid context. ABN must be present in the Intermediary context</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430317">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430317</Code>
      <Description>Invalid context. TFN must be present in the context</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430318">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430318</Code>
      <Description>ABN in context must be a valid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430027</Code>
      <Description>Credit for tax withheld - foreign resident withholding must not exceed 50% of gross payments</Description>
      <LongDescription>Credit for tax withheld - foreign resident withholding must not exceed 50% of total of Primary production and Non-primary production Gross payments subject to foreign resident withholding</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430701">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438033</Code>
      <Description>Reporting year must be 2014</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430705">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430705</Code>
      <Description>Non-PP franked distributions from trusts income must be present</Description>
      <LongDescription>When there is an amount present at non-primary production deductions relating to franked distributions from trusts, there must be an amount at non-primary production franked distributions from trusts</LongDescription>
      <Location>rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431002</Code>
      <Description>Interest expenses required</Description>
      <LongDescription>If Debt deductions in earning non-assessable foreign income claimed under s25-90 has been completed on the IDS then Total interest expenses or Interest expenses overseas must be greater than zero on the partnership form.</LongDescription>
      <Location>bafpr2.02.04:Expense.Operating.InterestTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430850">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430850</Code>
      <Description>Orgnaisation name Currency code must be 'C' or 'P'</Description>
      <LongDescription>Organisation Name Details Currency Code must be 'C' for current organisation name or 'P' for previous organisation name</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432016</Code>
      <Description>Telephone must include number, usage code '03' and service line code '01' or '02'.</Description>
      <LongDescription>A telephone must include the number, a usage code of '03' - contact, and a service line code of '01' - Mobile or '02' - Landline or fixed line. An two digit area code should be provided for a landline.</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432016.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432016</Code>
      <Description>Telephone must include number, usage code '03' and service line code '01' or '02'.</Description>
      <LongDescription>A telephone must include the number, a usage code of '03' - contact, and a service line code of '01' - Mobile or '02' - Landline or fixed line. An two digit area code should be provided for a landline.</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432032</Code>
      <Description>BSB Number, Account Number and Account Name must all be present</Description>
      <LongDescription>If any EFT details are present, then a BSB number, account number and an account name must all be present. If EFT is not required, then all fields must be blank or not present</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432035</Code>
      <Description>BSB Number must be six digits and greater than 012000</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432036</Code>
      <Description>Bank account number must not contain an apostrophe or a space</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432037</Code>
      <Description>Bank account name must not contain invalid characters _ ! @ $ % [ ] ? = : ; " ,</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432040</Code>
      <Description>Only one EFT bank account may be present</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001024</Code>
      <Description>TFN must be supplied for Reporting Party</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432266">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001025</Code>
      <Description>ABN must be supplied for Intermediary</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432267</Code>
      <Description>Financial institution name and branch name must not be present</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432391.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432391</Code>
      <Description>Tax agent contact name must have a Usage code of 'Contact'</Description>
      <LongDescription>The unstructured person name for the tax agent or intermediary contact must include a Usage Code of 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432391.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432391</Code>
      <Description>Tax agent contact name must have a Usage code of 'Contact'</Description>
      <LongDescription>The unstructured person name for the tax agent or intermediary contact must include a Usage Code of 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432265.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001024</Code>
      <Description>TFN must be supplied for Reporting Party</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432266.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001025</Code>
      <Description>ABN must be supplied for Intermediary</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432391.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432391</Code>
      <Description>Tax agent contact name must have a Usage code of 'Contact'</Description>
      <LongDescription>The unstructured person name for the tax agent or intermediary contact must include a Usage Code of 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432391">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432391</Code>
      <Description>Tax agent contact name must have a Usage code of 'Contact'</Description>
      <LongDescription>The unstructured person name for the tax agent or intermediary contact must include a Usage Code of 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432397">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432397</Code>
      <Description>IndustryProductionType dimension must be 'PrimaryProduction' or 'NonPrimaryProduction'</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432397.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432397</Code>
      <Description>IndustryProductionType dimension must be 'PrimaryProduction' or 'NonPrimaryProduction'</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432417">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432417</Code>
      <Description>ABN for reporting party must be provided when there is no intermediary</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432417.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432417</Code>
      <Description>ABN for reporting party must be provided when there is no intermediary</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432417.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432417</Code>
      <Description>ABN for reporting party must be provided when there is no intermediary</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432417.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432417</Code>
      <Description>ABN for reporting party must be provided when there is no intermediary</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432434">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432434</Code>
      <Description>Address usage code must be 'POS' and Currency Code must be 'C'</Description>
      <LongDescription>An address must have a Usage code 'POS' (postal) and a Currency Code 'C' (current). Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432435">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432435</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>Each person name must have the Name Type code 'LGL' (legal), Currency Code 'C' (current) and Usage code 'Contact'. Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434147">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434147</Code>
      <Description>State and post code must be present for an Australian address</Description>
      <LongDescription>If the overseas indicator is no (false), then an Australian state code and post code must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434147.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434147</Code>
      <Description>State and post code must be present for an Australian address</Description>
      <LongDescription>If the overseas indicator is no (false), then an Australian state code and post code must be present</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434223.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434223.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434223.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434224</Code>
      <Description>Gross Tax must be greater than zero if 'No-TFN quoted contributions' are greater than zero</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436001</Code>
      <Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</Description>
      <LongDescription>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410147</Code>
      <Description>Name Type Code must be present if Name of the Interposed Entity is present.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410215</Code>
      <Description>Organisation name must be present</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436004</Code>
      <Description>First given name must be present</Description>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436276.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436276</Code>
      <Description>Email address must include an address and a usage code '03'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436279">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436279</Code>
      <Description>Declaration name must have a usage code of 'DeclarationSignatory'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436279.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436279</Code>
      <Description>Declaration name must have a usage code of 'DeclarationSignatory'</Description>
      <Location>pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436279.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436279</Code>
      <Description>Declaration name must have a usage code of 'DeclarationSignatory'</Description>
      <Location>pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.IEE ========= -->
  <diagnostic id="DVR.ATO.GEN.436279.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436279</Code>
      <Description>Declaration name must have a usage code of 'DeclarationSignatory'</Description>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410004</Code>
      <Description>Central management and control indicator must be present if interposed entity is a SMSF or Trust</Description>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410006</Code>
      <Description>Interposed entity election schedule must be complete</Description>
      <LongDescription>The full name and address of the family trust in respect of which the election is made, the income year, day specified, election commencement time, and/or date of birth, name and address of the specified individual must all be completed to make a valid Interposed entity election</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410007</Code>
      <Description>Election or revocation must be 'E' or 'R'</Description>
      <LongDescription>Election or revocation must be either 'E' for election or 'R' for revocation</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410015</Code>
      <Description>Central mgmnt and control indicator must not be present if interposed entity is a Coy or Partnership</Description>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410019</Code>
      <Description>Entity code must use a 3 digit code - 161, 212, 051 or 217</Description>
      <LongDescription>Entity code must use the code 161 for a Partnership, 212 for a Trust, 051 for a Company or 217 for a Fund</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410025</Code>
      <Description>If Entity type is Company, Address Details of trustee or partner must be blank</Description>
      <LongDescription>If the Entity Type is a Company, you are not required to supply details of trustee or partner</LongDescription>
      <Location>address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410026</Code>
      <Description>If Entity type is Company, company ACN of trustee or partner must be blank</Description>
      <LongDescription>If the Entity Type is a Company, you are not required to supply details of trustee or partner</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410027</Code>
      <Description>If Entity type is Company, Organisation Name of trustee or partner must be blank</Description>
      <LongDescription>If the Entity Type is a Company, you are not required to enter a Name under the 'If the trustee or partner is a company' question</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410028</Code>
      <Description>If Entity type is Company, Residency Indicator of trustee or partner must be blank</Description>
      <LongDescription>If the Entity Type is a Company, you are not required to supply details of trustee or partner</LongDescription>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410029</Code>
      <Description>If Entity type is Company, details of residency of trustee or partner must be blank</Description>
      <LongDescription>If the Entity Type is a Company, you are not required to supply details of trustee or partner</LongDescription>
      <Location>pyde.02.00:Residency.NonResidentFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410032</Code>
      <Description>If Entity type is Company, TFN non-existent indicator of trustee or partner must not be provided</Description>
      <LongDescription>If the Entity Type is a Company, you are not required to supply details of trustee or partner</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410034</Code>
      <Description>Non-residency for tax purposes question must be answered if interposed entity is a Company</Description>
      <Location>pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410035</Code>
      <Description>Non-res for tax purposes question must not be answered if entity is SMSF, Partnership or Trust</Description>
      <Location>pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410041</Code>
      <Description>Family trust TFN must not equal TFN of trust, company or partnership</Description>
      <LongDescription>An Entity cannot interpose itself; therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the entity making the election</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410042</Code>
      <Description>Trustee Family Name and Non-individual Name must not both be present. Only one name is allowed</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410050</Code>
      <Description>From Date for Central Mngmnt must not be before Election Cmcmnt or Day Specified for the election</Description>
      <LongDescription>The from date for central management and control of trust was outside Australia during the relevant period (Section A Item 5a) is earlier than the election commencement date (Section A Item 8) or the day specified (Section A Item 7) for the interposed entity election</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410235</Code>
      <Description>Election Commencement Time must not be present if Income Year Specified is different to the parent return target financial year</Description>
      <Location>rvctc3.02.00:Elections.Commencement.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410051.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410235</Code>
      <Description>Election Commencement Time must not be present if Income Year Specified is different to the parent return target financial year</Description>
      <Location>rvctc3.02.00:Elections.Commencement.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410051.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410235</Code>
      <Description>Election Commencement Time must not be present if Income Year Specified is different to the parent return target financial year</Description>
      <Location>rvctc3.02.00:Elections.Commencement.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410246</Code>
      <Description>Individual and non-individual name must not both be present in trustee or partner declaration</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410056</Code>
      <Description>Date company was non-resident must not be before the Day Specified or the Election Commencement Time</Description>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410057</Code>
      <Description>Date trustee/partner was non-resident must not be before Day Specified or the Election Commence Date</Description>
      <LongDescription>The from date of the relevant period at which the trustee or partner was a non-resident for tax purposes (Section A Item 6) cannot be earlier than the either the day specified for the interposed entity election (Section A Item 7) or the election commencement date (Section A Item 8)</LongDescription>
      <Location>period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410058</Code>
      <Description>Day specified must not be before the FTE income year of substituted accounting period</Description>
      <LongDescription>The day specified for the IEE cannot be earlier than the first day of the FTE income year of substituted accounting period</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410059</Code>
      <Description>Election commencement time must not be before the specified day for the interposed entity election</Description>
      <Location>rvctc3.02.00:Elections.DateSpecified.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410066</Code>
      <Description>Either a TFN or the No TFN indictor must be present for the Family Trust</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410067">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410067</Code>
      <Description>Either a TFN or the No TFN indictor must be present if Specified Individual name is present</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410068">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410068</Code>
      <Description>End Date must be after a Start date</Description>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410069</Code>
      <Description>Questions about revocation must not be answered if the form is used for an election</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410070</Code>
      <Description>The income year of the Interposed Entity Revocation must equal the income year of the main return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410070.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410070</Code>
      <Description>The income year of the Interposed Entity Revocation must equal the income year of the main return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410070.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410070</Code>
      <Description>The income year of the Interposed Entity Revocation must equal the income year of the main return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410070.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410070</Code>
      <Description>The income year of the Interposed Entity Revocation must equal the income year of the main return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410071</Code>
      <Description>For a revocation all details about the family trust must be present</Description>
      <LongDescription>You have nominated to revoke an interposed entity, however information is missing from the revocation section on the schedule. For the revocation to be valid Section B on the IEE schedule must be completed</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410071.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410071</Code>
      <Description>For a revocation all details about the family trust must be present</Description>
      <LongDescription>You have nominated to revoke an interposed entity, however information is missing from the revocation section on the schedule. For the revocation to be valid Section B on the IEE schedule must be completed</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410071.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410071</Code>
      <Description>For a revocation all details about the family trust must be present</Description>
      <LongDescription>You have nominated to revoke an interposed entity, however information is missing from the revocation section on the schedule. For the revocation to be valid Section B on the IEE schedule must be completed</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410071.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410071</Code>
      <Description>For a revocation all details about the family trust must be present</Description>
      <LongDescription>You have nominated to revoke an interposed entity, however information is missing from the revocation section on the schedule. For the revocation to be valid Section B on the IEE schedule must be completed</LongDescription>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410072</Code>
      <Description>Date of Birth must be before Election commencement and Substituted accounting period</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410073</Code>
      <Description>Day specified must not be before the Substituted accounting period for the family trust election</Description>
      <Location>rvctc3.02.00:Elections.DateSpecified.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410074</Code>
      <Description>Day specified must be within the income year and the substituted accounting period</Description>
      <LongDescription>The day specified for the purpose of the interposed entity election cannot be earlier than the first day of the income year specified or later than the last day of the income year specified or earlier or later than the dates supplied for the substituted accounting period for the interposed entity</LongDescription>
      <Location>rvctc3.02.00:Elections.DateSpecified.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410075</Code>
      <Description>If central mgmnt and control indicator is 'true', full period or dates must be present</Description>
      <LongDescription>The answer to the central management and control of trust outside Australia question is 'Yes' and neither the full period indicator nor the dates the management and control of trust was outside Australia have been entered</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410076</Code>
      <Description>An IEE election must not contain revocation Income Year</Description>
      <LongDescription>This schedule contains election details, and also the 'income year from which the revocation is to be effective'. If both an election and a revocation are needed, a second schedule is to be submitted with the main return form</LongDescription>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410076.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410076</Code>
      <Description>An IEE election must not contain revocation Income Year</Description>
      <LongDescription>This schedule contains election details, and also the 'income year from which the revocation is to be effective'. If both an election and a revocation are needed, a second schedule is to be submitted with the main return form</LongDescription>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410076.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410076</Code>
      <Description>An IEE election must not contain revocation Income Year</Description>
      <LongDescription>This schedule contains election details, and also the 'income year from which the revocation is to be effective'. If both an election and a revocation are needed, a second schedule is to be submitted with the main return form</LongDescription>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410076.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410076</Code>
      <Description>An IEE election must not contain revocation Income Year</Description>
      <LongDescription>This schedule contains election details, and also the 'income year from which the revocation is to be effective'. If both an election and a revocation are needed, a second schedule is to be submitted with the main return form</LongDescription>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410233</Code>
      <Description>Election status year specified for IEE must be 2011 or later</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410236</Code>
      <Description>Family trust election specified income year must be 1995 or later</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410083</Code>
      <Description>If central mgmnt and control indicator is 'false', full period or dates must not be present</Description>
      <LongDescription>Full period indicator or dates for central management and control of trust was outside Australia have been entered when the answer to the question was central management and control of the trust outside Australia is 'No'</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410238</Code>
      <Description>Year specified for IEE revocation must be 2008 or later</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410084.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410238</Code>
      <Description>Year specified for IEE revocation must be 2008 or later</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410084.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410238</Code>
      <Description>Year specified for IEE revocation must be 2008 or later</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410084.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410238</Code>
      <Description>Year specified for IEE revocation must be 2008 or later</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410085">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410085</Code>
      <Description>If TFN non existent indicator is 'true', TFN of Trustee must not be present</Description>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410086</Code>
      <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
      <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410088</Code>
      <Description>If Full period indicator is 'True', specific dates must not be present</Description>
      <LongDescription>Full period indicator is 'true' and and specific dates have been entered for central management and control of trust was outside Australia. Either delete dates or the full period indicator</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410089">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410089</Code>
      <Description>If Company is non resident for tax purposes, full period indicator or dates must be present</Description>
      <LongDescription>The answer to the company being a non resident for tax purposes is 'Yes' and the full period indicator and the dates the company was a non resident have not been supplied</LongDescription>
      <Location>pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410090">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410090</Code>
      <Description>If company is not a non resident, Full period indicator and dates must not be present</Description>
      <LongDescription>The answer to the company a non resident for tax purposes question is 'No', therefore full period indicator or dates company was not resident are not required</LongDescription>
      <Location>pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410091</Code>
      <Description>Full period indicator and specific dates company was a non resident must not both be present</Description>
      <Location>pyde.02.00:Residency.NonResidentFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410092">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410092</Code>
      <Description>Full period indicator or dates must be present if trustee or partner is a non-resident</Description>
      <LongDescription>The answer to the question was trustee or partner a non-resident for tax purposes is 'Yes' and full period indicator or dates trustee or partner was non-resident have not been supplied</LongDescription>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410093">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410093</Code>
      <Description>Full period indicator and dates must not be present if trustee or partner was not a non-resident</Description>
      <LongDescription>The answer to the question was trustee or partner a non-resident for tax purposes is 'No' and full period indicator or dates company was non-resident have been supplied</LongDescription>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410094">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410094</Code>
      <Description>Full period indicator and dates trustee or partner was a non-resident must not both be present</Description>
      <LongDescription>Both full period indicator and specific dates have been supplied for non-resident trustee or partner</LongDescription>
      <Location>pyde.02.00:Residency.NonResidentFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410097</Code>
      <Description>A Start Date, End Date and a Period Type Code must be present</Description>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410099</Code>
      <Description>The TFN of the trustee or partner or the no TFN indicator must be present</Description>
      <LongDescription>The interposed entity code is '217', '161' or '212' and the field indicating that the trustee or partner does not have a tax file number is blank and no tax file number has been supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410100</Code>
      <Description>The TFN of the trustee or partner or the no TFN indicator must be present</Description>
      <LongDescription>The interposed entity code is '161', '217' or '212' and the field indicating that the 'trustee or partner does not have a tax file number' is blank, and no tax file number has been supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410100.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410100</Code>
      <Description>The TFN of the trustee or partner or the no TFN indicator must be present</Description>
      <LongDescription>The interposed entity code is '161', '217' or '212' and the field indicating that the 'trustee or partner does not have a tax file number' is blank, and no tax file number has been supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410100.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410100</Code>
      <Description>The TFN of the trustee or partner or the no TFN indicator must be present</Description>
      <LongDescription>The interposed entity code is '161', '217' or '212' and the field indicating that the 'trustee or partner does not have a tax file number' is blank, and no tax file number has been supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410104</Code>
      <Description>The 'no TFN' indicator must not be completed if the TFN of the specified individual is present</Description>
      <LongDescription>The 'specified individual does not have a tax file number' indicator' is present and a tax file number has been supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410106</Code>
      <Description>Address Usage Code must be "POS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410110</Code>
      <Description>Specified Individual address usage code must be "RES"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410120</Code>
      <Description>More than one current address for the Interposed Entity must not be present</Description>
      <Location>address2.02.00:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410135">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410135</Code>
      <Description>Organisation name must be present</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410136</Code>
      <Description>Current postal address - Line 1 must be present</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410137</Code>
      <Description>Current postal address suburb must be present</Description>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410138">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410138</Code>
      <Description>Election or revocation question must be answered</Description>
      <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410139</Code>
      <Description>Address Currency Code must be "C"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410142">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410142</Code>
      <Description>Trustee or partner name Currency Code must be 'C'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410143">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410143</Code>
      <Description>Family trust name Currency Code must be 'C'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410145</Code>
      <Description>Person Name Type Code must be "LGL"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410150">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410150</Code>
      <Description>There must be no more than one current and one previous Interposed Entity Name</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410164">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410164</Code>
      <Description>Declaration name currency code must be "C"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410179">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410179</Code>
      <Description>Person Unstructured Name Usage Code must be present</Description>
      <Location>pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410186">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410186</Code>
      <Description>Submission must not contain more than 10 trustees or partners</Description>
      <Location>iee.0002.lodge.req.02.00:TrusteeOrPartner</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410187">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410187</Code>
      <Description>More than four periods must not be specified</Description>
      <LongDescription>More than four periods must not be specified for central management and control of the trust outside of Australia</LongDescription>
      <Location>period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410188">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410188</Code>
      <Description>More than four periods must not be specified</Description>
      <LongDescription>More than four periods must not be specified for company being a non-resident for tax purposes</LongDescription>
      <Location>period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410189">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410189</Code>
      <Description>More than four periods must not be specified for a trustee or partner</Description>
      <LongDescription>More than four periods must not be specified for trustee or partner being a non-resident for tax purposes</LongDescription>
      <Location>iee.0002.lodge.req.02.00:TrusteeOrPartner/period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410069.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410069</Code>
      <Description>Questions about revocation must not be answered if the form is used for an election</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410069.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410069</Code>
      <Description>Questions about revocation must not be answered if the form is used for an election</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410069.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410069</Code>
      <Description>Questions about revocation must not be answered if the form is used for an election</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410193.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410193</Code>
      <Description>For a revocation, Family Trust tax file number must be present</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410193.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410193</Code>
      <Description>For a revocation, Family Trust tax file number must be present</Description>
      <Location>iee.0002.lodge.req.02.00:FamilyTrust/pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410193.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410193</Code>
      <Description>For a revocation, Family Trust tax file number must be present</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410197</Code>
      <Description>Revocation can not be made on stand-alone form</Description>
      <LongDescription>Only an election may be made on the stand-alone form. A revocation can be made only using a schedule lodged with a main form</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410086</Code>
      <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
      <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410198.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410086</Code>
      <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
      <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
      <Location>iee.0002.lodge.req.02.00:SpecifiedIndividual/pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410198.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410086</Code>
      <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
      <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410198.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410086</Code>
      <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
      <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410051</Code>
      <Description>Election Commencement Time must not be present if Income Year Specified is before 2010</Description>
      <Location>rvctc3.02.00:Elections.Commencement.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410221">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410223.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410223.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410223.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410224.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410224.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410224.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410223</Code>
      <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
      <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
      <Location>address2.02.00:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410225">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410225.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410225.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410225.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410226.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410226.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402063</Code>
      <Description>Name on schedule does not match parent form</Description>
      <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410222</Code>
      <Description>An ARBN and an ACN must not both be provided</Description>
      <Location>pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Lodgment.PeriodYear.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410231</Code>
      <Description>Income year must not be less than 2011</Description>
      <Location>pyin.02.00:Lodgment.PeriodYear.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410232">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410232</Code>
      <Description>Invalid value for Non Resident Status; valid values are 01, 02, 03</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410234">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410234</Code>
      <Description>More than one period must not be specified</Description>
      <LongDescription>More than one period must not be specified for substitued accounting period</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410237">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410237</Code>
      <Description>More than one period must not be specified</Description>
      <LongDescription>More than one period must not be specified for substitued accounting period of family trust</LongDescription>
      <Location>period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410239">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410239</Code>
      <Description>Person name - Usage Code must be 'Identifier'</Description>
      <Location>ieee.002.lodge.req.02.00:TrusteeOrPartner/pyde.02.05:PersonNameDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410239</Code>
      <Description>Person name - Usage Code must be 'Identifier'</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410241">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410125</Code>
      <Description>Person name - Usage Code must be 'DeclarationSignatory'</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.05:PersonNameDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410243">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410243</Code>
      <Description>Person Unstructured Name must not be present</Description>
      <Location>prsnunstrcnm1.02.01:PersonUnstructuredName</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410247">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410247</Code>
      <Description>Trustee or partner declaration must contain either an individual name or a non-individual name</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410248">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410248</Code>
      <Description>Declaration name must have Type -'LGL', Usage - 'DeclarationSignatory' and Currency - 'C'</Description>
      <LongDescription>Each individual name for a trustee or partner declaration must include a Name Type Code of 'LGL', a Usage Code of  'DeclarationSignatory' and a Currency Code of 'C'</LongDescription>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410249">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410249</Code>
      <Description>Non-individual declaration Name Type Code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>Each non-individual name of a trustee or partner declaration must include a Name Type Code of 'MN' and a Currency Code of 'C'</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410250">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410250</Code>
      <Description>Number of trustee or partner declarations supplied must not exceed 10</Description>
      <Location>iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410251">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410251</Code>
      <Description>Number of trustee or partner declarations supplied must be equal to the number of trustees or partners.</Description>
      <Location>iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410252">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410252</Code>
      <Description>Trustee or partner declaration - Statement Accepted Indicator must be 'TRUE'</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410254</Code>
      <Description>Trustee or partner declaration -Statement Type Code must be either 'TrueAndCorrect' or 'HardCopy'</Description>
      <Location>iee.0002.lodge.req.02.00:DeclarationOfTrusteeOrPartner/declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410255">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410255</Code>
      <Description>Trustee or partner declaration -Statement Type Code must have one 'TrueAndCorrect'</Description>
      <LongDescription>Trustee or partner declaration must have one statement type code of 'TrueAndCorrect'. The other trustee or partner declarations statement type code must be 'HardCopy'</LongDescription>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410258">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410258</Code>
      <Description>Person Unstructured Name must not be present</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.05:PersonNameDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410259</Code>
      <Description>If Entity type is Trust, Fund or Partnership, reporting party declaration must not be present</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410260">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410260</Code>
      <Description>If Entity type is Company, trustee or partner declaration must not be present</Description>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410261">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410261</Code>
      <Description>If intermediary is present, then reporting party declaration or trustee or partner declaration must not be present</Description>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410262</Code>
      <Description>If IEE is lodged as a schedule intermediary declaration must not be present for IEE</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410262.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410262</Code>
      <Description>If IEE is lodged as a schedule intermediary declaration must not be present for IEE</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410262.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410262</Code>
      <Description>If IEE is lodged as a schedule intermediary declaration must not be present for IEE</Description>
      <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410263</Code>
      <Description>Contact name must have a Usage code of 'Contact'</Description>
      <LongDescription>The unstructured person name for the contact must include a usage Code of 'Contact'. Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410264">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410264</Code>
      <Description>Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410265</Code>
      <Description>Declaration Statement Type Code must be 'TrueAndCorrect'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410266">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410266</Code>
      <Description>Declaration must be completed</Description>
      <LongDescription>Declaration must contain statement type code, accepted indicator and signature date. One or more of these fields have been omitted</LongDescription>
      <Location>declaration2.02.01:Declaration</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IEE.410267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410264</Code>
      <Description>Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.LS ========= -->
  <diagnostic id="DVR.ATO.IEE.410268">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IEE.410265</Code>
      <Description>Declaration Statement Type Code must be 'TrueAndCorrect'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414000</Code>
      <Description>Complete (Tax losses) at (Ownership and same business test), label (I)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414001</Code>
      <Description>Tax losses carried forward to later income years - Total is incorrect</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414000</Code>
      <Description>Complete (Tax losses) at (Ownership and same business test), label (I)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414000</Code>
      <Description>Complete (Tax losses) at (Ownership and same business test), label (I)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414000</Code>
      <Description>Complete (Tax losses) at (Ownership and same business test), label (I)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414000</Code>
      <Description>Complete (Tax losses) at (Ownership and same business test), label (I)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414000</Code>
      <Description>Complete (Tax losses) at (Ownership and same business test), label (I)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414008</Code>
      <Description>(Tax losses carried forward to later income years, Total) is not equal to Part (F), label (J)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414009</Code>
      <Description>Complete (Net capital losses) at (Ownership and same business test), label (J)</Description>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414010</Code>
      <Description>(Net capital losses carried forward to later income years - Total) is incorrect</Description>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414011</Code>
      <Description>Complete (Net capital losses) at (Ownership and same business test), label (J)</Description>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414011</Code>
      <Description>Complete (Net capital losses) at (Ownership and same business test), label (J)</Description>
      <Location>rvctc3.02.00:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414011</Code>
      <Description>Complete (Net capital losses) at (Ownership and same business test), label (J)</Description>
      <Location>rvctc3.02.00:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414011</Code>
      <Description>Complete (Net capital losses) at (Ownership and same business test), label (J)</Description>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414011</Code>
      <Description>Complete (Net capital losses) at (Ownership and same business test), label (J)</Description>
      <Location>rvctc3.02.00:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414017</Code>
      <Description>Continuity of majority ownership test only required for companies or widely held trusts</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414020</Code>
      <Description>Please complete (Ownership and same business test), questions (2, 3, 4)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414021</Code>
      <Description>You must answer (Ownership and same business test), (Do current year loss provisions apply?)</Description>
      <Location>rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414022</Code>
      <Description>Unrealised losses are not required</Description>
      <Location>rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414023</Code>
      <Description>Answer to changeover time question is required</Description>
      <Location>rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414024</Code>
      <Description>You must answer (Unrealised losses), label (M)</Description>
      <Location>rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414025</Code>
      <Description>Answers to questions at (Unrealised losses), labels (M), (N), or (O) are not required</Description>
      <Location>rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414026</Code>
      <Description>Answers to questions at (Unrealised losses), labels (N) or (O) are not required</Description>
      <Location>rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414027</Code>
      <Description>You must answer (Unrealised losses), label (N)</Description>
      <Location>rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414028</Code>
      <Description>The amount of unrealised net loss calculated under section 165-115E of ITAA 1997 is required</Description>
      <Location>rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414047">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!--<diagnostic id="DVR.ATO.LS.414064" xmlns="http://purl.oclc.org/dsdl/schematron">
<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
<Code>CMN.ATO.GEN.400011</Code>
        </ProcessMessage>
    </diagnostic>
<diagnostic id="DVR.ATO.LS.414065" xmlns="http://purl.oclc.org/dsdl/schematron">
<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
<Code>CMN.ATO.GEN.400011</Code>
        </ProcessMessage>
    </diagnostic>-->
  <diagnostic id="DVR.ATO.LS.414053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414067">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414068">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414077">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414092">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414093">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001019</Code>
      <Description>Invalid 'ReportingParty' entity segment detail supplied.</Description>
      <LongDescription>Invalid entity segment details supplied for 'ReportingParty'.  It does not match the definitional taxonomy.</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414094">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414105</Code>
      <Description>The number of RP.Y0 contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414095">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414106</Code>
      <Description>The number of RP.Y0-1 contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414107</Code>
      <Description>The number of RP.Y0-2 contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414108</Code>
      <Description>The number of RP.Y0-3 contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414109</Code>
      <Description>The number of RP.Y0-4 contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414110</Code>
      <Description>The number of RP.Y0-5 contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414111</Code>
      <Description>The number of RP.All contexts must not exceed 1.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.MONEY ========= -->
  <diagnostic id="DVR.ATO.LS.414113">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.S.11.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.U.11.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.U.13.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.NIPSS ========= -->
  <diagnostic id="DVR.ATO.MONEY.S.13.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416000</Code>
      <Description>Only a Payer ABN or Payer WPN may be supplied</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416001</Code>
      <Description>Payer ABN is not valid. An ABN must conform to the ABN algorithm</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416002</Code>
      <Description>The total amount of tax withheld from a foreign resident is too high</Description>
      <Location>nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416003</Code>
      <Description>Both Trading name and person name have been supplied. Only one is permitted</Description>
      <Location>nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416004</Code>
      <Description>Either ABN or WPN must be supplied</Description>
      <Location>pyid.02.00:identifiers.australianbusinessnumber.identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416005</Code>
      <Description>Invalid type of Withholding payment</Description>
      <LongDescription>A withholding type code has been provided that is not DFRW or DNOABN</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416006</Code>
      <Description>Tax withheld from  person or organisation that has not quoted an ABN is too high</Description>
      <Location>nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>nipss.0001.lodge.req.02.00:PAYGWithholding/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416008</Code>
      <Description>String is too long</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416008</Code>
      <Description>String is too long</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416008</Code>
      <Description>String is too long</Description>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416014</Code>
      <Description>Payer Organisational name type must be the MTR</Description>
      <LongDescription>Payer Organisational name type must be the Main Trading Name</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416015</Code>
      <Description>Only a current Person Name can be supplied</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416008</Code>
      <Description>String is too long</Description>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416017</Code>
      <Description>Person name type must be LGL</Description>
      <LongDescription>Person name type must be Legal</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.PersonNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416018</Code>
      <Description>Only a single type of withholding can be made for a payer</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416019</Code>
      <Description>Reporting party organisational name type must be MN</Description>
      <LongDescription>Reporting party organisational name type must be Main Name</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.NIPSS.416020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416020</Code>
      <Description>There can be no more than 99 payer records</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.PSI ========= -->
  <diagnostic id="DVR.ATO.NIPSS.416021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.NIPSS.416021</Code>
      <Description>Invalid Withholding Payer Number</Description>
      <LongDescription>The Withholding Payer Number does not conform to the WPN algorithm</LongDescription>
      <Location>pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418001</Code>
      <Description>Personal Services Business tests indicators not required</Description>
      <Location>rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418002</Code>
      <Description>Personal Services Business tests or personal services income required</Description>
      <Location>rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418003</Code>
      <Description>Net personal services income attributable to individuals is incorrect</Description>
      <Location>bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418004</Code>
      <Description>Total amount of personal services income, if entered, must be greater than zero</Description>
      <Location>bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418005</Code>
      <Description>Total number of individuals to whom income is attributed or promptly paid as Salary or Wages required</Description>
      <Location>bafpr3.02.02:Income.PersonalServicesIncome.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418006</Code>
      <Description>Amount attributable or promptly paid salary or wages to individuals required</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418007</Code>
      <Description>The amount attributed must be equal to the total number of individuals to whom income is attributable or promptly paid as salary or wages. If the number of such individuals is greater than 4 then include details of four individuals with the highest amounts</Description>
      <Location>lrla.02.00:Remuneration.PersonalServicesIncome.IndividualsTotal.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418008</Code>
      <Description>Family name required</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418009</Code>
      <Description>A persons first name is required</Description>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418010</Code>
      <Description>Personal Services Income type required</Description>
      <Location>lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418011</Code>
      <Description>Personal Services Income amount required</Description>
      <Location>lrla.02.00:Remuneration.PersonalServicesIncome.AttributedOrPaidAsWagesAndSalaries.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418012</Code>
      <Description>Response required to Personal Services Business Determination question</Description>
      <Location>rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418013</Code>
      <Description>Response required to whether 80% or more of the Personal Services Income comes from one source</Description>
      <Location>rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationButPassPSIOneSourcePercentageBenchmark.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418014</Code>
      <Description>Response required to whether less than 80% of the Personal Services Income comes from each source</Description>
      <Location>rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualFailedResultsTestOrNotHoldPSBDeterminationEachSourcePSIYieldLessThanPercentageBenchmarkOfTheirTotalPSI.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418015</Code>
      <Description>Response required to Personal Services Income details</Description>
      <Location>bafpr3.02.02:Income.PersonalServicesIncome.TotalDerivedDuringTheYear.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418016</Code>
      <Description>Number of individuals to whom income is attributable or was promptly paid as salary or wages must be between 1 and 99</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418017</Code>
      <Description>PSI type code must be indicated using alphabets P, A or B</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418020</Code>
      <Description>Entity Name must have correct type code</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSI.418021</Code>
      <Description>Given Name must be Recipients Legal Name</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSI.418026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.PTR ========= -->
  <diagnostic id="DVR.ATO.PSI.418027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430001</Code>
      <Description>Small business entity depreciating assets must not exceed Depreciation expenses</Description>
      <LongDescription>The sum of deductions for 'Small business entity depreciating assets' must not exceed the 'Depreciation expenses' amount</LongDescription>
      <Location>bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430009</Code>
      <Description>Previous postal address must not be the same as current postal address</Description>
      <LongDescription>Previous postal address is only required when an address change has occurred since the last return.  Delete previous postal address or input the old address if a change of address has occurred.</LongDescription>
      <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430010</Code>
      <Description>Name of company or trust and name of individual must not both be present</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430012</Code>
      <Description>Name of the partner to whom notices should be sent must be present</Description>
      <LongDescription>If the partner is an individual, provide the name of the individual. If the partner is a company or trust, provide the name of the company or trust</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430013</Code>
      <Description>Name of the company or trust must be present if the ABN is present</Description>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430015</Code>
      <Description>Description of main business activity and total business income must be present</Description>
      <LongDescription>If an Industry code is present, then the 'Description of main business activity' and business income (Primary Production and/or Non-Primary Production) must be present</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430016</Code>
      <Description>Description of main business and industry code must be present</Description>
      <LongDescription>If Status of Business code is present, the Description of main business activity and Industry code are also required</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430017</Code>
      <Description>PP business income must be present</Description>
      <LongDescription>Net primary production income/loss amount is present without total business income from primary production (Gross payments subject to Foreign Resident Withholding, Gross payments where ABN not quoted, Assessable government industry payments, Other business income).</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430018</Code>
      <Description>Total business income amount required</Description>
      <LongDescription>Business name of main business or street address of main business is present and total business income (primary production or non-primary production) is missing at business income and expenses.</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430019</Code>
      <Description>Payment Summary schedule must be present if Gross payments where ABN not quoted is present</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430020</Code>
      <Description>Gross payment where ABN not quoted must equal sum of payments on schedule</Description>
      <LongDescription>The sum of gross payment with indicator 'N' in the Payment Summary schedule must equal the sum of Primary production and Non-primary production Gross payments where ABN not quoted on main return form</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430022</Code>
      <Description>Non-PP business income must be present</Description>
      <LongDescription>Net non-primary production income/loss amount is present without total business income non-primary production (Gross payments where ABN not quoted, Gross payments subject to foreign resident withholding, Assessable government industry payments, Other business income).</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430023</Code>
      <Description>Net non-PP income must be present</Description>
      <LongDescription>Total business income from non-primary production (Gross payments where ABN not quoted, Gross payments subject to foreign resident withholding, Assessable government industry payments, Other business income) is present without net non-primary production income/loss amount.</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430025</Code>
      <Description>Gross payment - Foreign Resident Withholding is incorrect</Description>
      <LongDescription>The sum of gross payments with indicator 'F' in the Payment Summary schedule must be equal to the sum of total gross payment subject to foreign resident withholding primary production and total gross payment subject to foreign resident withholding non-primary production on the main return form</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430030</Code>
      <Description>PP Assessable government industry payments amount must be present</Description>
      <LongDescription>If Primary production - Assessable government industry payments action code is present, Primary production - Assessable government industry payments amount must be present and not zero</LongDescription>
      <Location>gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430032</Code>
      <Description>Non-PP Assessable government industry payments amount must be present</Description>
      <LongDescription>If Non-primary production - Assessable government industry payments action code is present, Non-primary production - Assessable government industry payments must be present and not zero</LongDescription>
      <Location>gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430040</Code>
      <Description>Overseas royalty expenses must not exceed Total royalty expenses</Description>
      <LongDescription>Overseas royalty expenses - under Business and professional items must not be greater than Total royalty expenses - under Business income and expenses</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430042</Code>
      <Description>Capital allowances schedule must not be present if Depreciating expenses is under 100001</Description>
      <LongDescription>If Depreciation expenses is less than or equal to $100,000 then a Capital Allowances schedule is not required.</LongDescription>
      <Location>bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430044</Code>
      <Description>Motor vehicle expenses amount must be present if action code is present</Description>
      <LongDescription>If Motor vehicle expenses action code is present, there must be a motor vehicle expense amount</LongDescription>
      <Location>bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430046</Code>
      <Description>Motor vehicle expenses action code must be present</Description>
      <LongDescription>If a motor vehicle expense amount is present, a motor vehicle expense action code must be present. Codes are: S - Cents per Kilometre, T - 12% of cost of car, O - One-third actual expenses, B - Logbook, or N - Expenses of other vehicles</LongDescription>
      <Location>bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430049</Code>
      <Description>PP Net income or loss from business must be present</Description>
      <LongDescription>If Total business income from primary production (Gross payments, Assessable government industry payments, other business income) is present, Primary production Net primary production income or loss from business amount must be present</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430050</Code>
      <Description>Total Net income or loss must equal total Income, plus Reconciliation items, minus total Expenses</Description>
      <LongDescription>The total of Primary production and Non-primary production Net business income must equal the total of all income amounts, plus Reconciliation items, minus the sum of all expenses amounts</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430051</Code>
      <Description>Net income or loss from business must be present</Description>
      <LongDescription>If Tax withheld where ABN not quoted is present or Credit for tax withheld - Foreign resident withholding is present, then Net income or loss from business must be present</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430052</Code>
      <Description>PP Net income or loss from business or a distribution from partnerships or trusts must be present</Description>
      <LongDescription>If an amount, greater than zero, is present for a Partner in the distribution statement at Share of income  - Primary production, there must also be an amount greater than zero at Primary production Net income or loss from business, or Primary production - Distribution from partnerships, or Primary production - Distribution from trusts</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430056</Code>
      <Description>Tax withheld where ABN not quoted cannot be greater than 50% of Gross payments (PP and Non-PP) where ABN not quoted.</Description>
      <LongDescription>Tax withheld where ABN not quoted cannot be greater than 50% of Gross payments (Primary production and Non-primary production) where ABN not quoted.</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430057</Code>
      <Description>PP or Non-PP Gross payments where ABN not quoted must be present</Description>
      <LongDescription>If Tax withheld where ABN not quoted is present there must be an amount at Gross payments where ABN not quoted for either Primary production or Non-primary production</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430058</Code>
      <Description>Tax withheld where ABN not quoted must be present</Description>
      <LongDescription>If either Primary production or Non-primary production Gross payments where ABN not quoted are greater than zero, then an amount at Tax withheld where ABN not quoted must be present</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430070</Code>
      <Description>Distribution from trusts action code must be present</Description>
      <LongDescription>If Non-primary production - Distribution from trusts, less net capital gain and foreign income is greater than zero, the Non-primary production - Distribution from trusts action code must be present</LongDescription>
      <Location>pyde.02.05:Party.TrustType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.431043</Code>
      <Description>Non-PP - Distribution from trusts amount must be present</Description>
      <LongDescription>If Non-primary production - Distribution from trusts action code is present, then Non-primary production - Share of net income from trusts, less capital gains, foreign income and franked distributions must be greater than zero.  A trusts action code is not required for negative or zero amounts</LongDescription>
      <Location>bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430079</Code>
      <Description>Gross rent must be present</Description>
      <LongDescription>If Interest deductions, Capital works deductions, or Other rental deductions are greater than zero, Gross rent must be present</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430080</Code>
      <Description>Rent deductions must be present</Description>
      <LongDescription>If Gross rent is greater than zero, then there must be an amount at Interest deductions, Capital works deductions or Other rental deductions. If there are no rental deductions, then zero must be present in at least one of these fields</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430081</Code>
      <Description>Rental schedule must be present</Description>
      <LongDescription>If there is a positive amount at Gross rent or at any Rental deductions item, then a Rental property schedule must be submitted for each rental property</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430082">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430082</Code>
      <Description>Gross rent and Rental deduction amounts must be present</Description>
      <LongDescription>If a Rental property schedule is present, Gross rent or rental deductions must be present</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432300">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432637</Code>
      <Description>Each Statement of Distribution must contain distribution amounts</Description>
      <LongDescription>A Statement of distribution must include an amount against at least one of: Primary production income, Non-primary production income, Franked distributions, Franking credit, TFN amounts withheld, Australian franking credit from a NZ company, TB Statement-Tax preferred amounts or TB Statement-Untaxed part of share of net income.</LongDescription>
      <Location>bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430083</Code>
      <Description>Gross rent must equal the total Gross rent in the Rental Schedules</Description>
      <LongDescription>The Gross rent amount in the main form must equal the total Gross rent present in all Rental property schedules</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430083</Code>
      <Description>Gross rent must equal the total Gross rent in the Rental Schedules</Description>
      <LongDescription>The Gross rent amount in the main form must equal the total Gross rent present in all Rental property schedules</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430084</Code>
      <Description>Net rent must equal the total net rent in the Rental Schedules</Description>
      <LongDescription>The net rent amount in the main form (Gross rent minus rental deduction amounts) must equal the total Net rent present in all Rental property schedules</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430086</Code>
      <Description>Rental Interest deductions must equal the total Interest deductions in the Rental Schedules</Description>
      <LongDescription>The Interest deductions amount in the main form must equal the total of all Interest deductions in the Rental property schedules</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430088</Code>
      <Description>Capital works deductions must equal the total Capital works deductions in the Rental Schedules</Description>
      <LongDescription>The Capital works deductions amount in the main form must equal the total of all Capital works deductions in the Rental property schedules</LongDescription>
      <Location>bafpr1.02.02:Expense.CapitalWorksDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430090">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430090</Code>
      <Description>Other rental deductions must equal the total other deductions in the Rental Schedules</Description>
      <LongDescription>The Other rental deductions amount in the main form must equal the total of all rental expenses in the Rental property, excluding Interest deductions and Capital works deductions</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430092">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430092</Code>
      <Description>Gross interest amount greater than zero must be present</Description>
      <LongDescription>If an amount greater than zero is present at TFN amounts withheld from gross interest, then an amount greater than zero must also be present at Gross interest</LongDescription>
      <Location>bafpr2.02.02:Income.Interest.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430093">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430093</Code>
      <Description>TFN amounts withheld from dividends must not exceed 50% of Gross interest</Description>
      <Location>rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430095">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430095</Code>
      <Description>Dividends amounts must be present</Description>
      <LongDescription>If an amount greater than zero is present at TFN amounts withheld from dividends, then there must also be an amount greater than zero at Unfranked amount or Franked amount</LongDescription>
      <Location>bafpr1.02.05:Income.DividendsUnfranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430096</Code>
      <Description>TFN amount withheld must not exceed 50% of franked and unfranked dividends</Description>
      <LongDescription>The amount at TFN amounts withheld from dividends must not be greater than 50% of Franked amount plus Unfranked amounts</LongDescription>
      <Location>bafpr1.02.05:Income.DividendsUnfranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430098</Code>
      <Description>Franking credit cannot be greater than 48% of dividends-franked amount.</Description>
      <LongDescription>Franking credit must not exceed 48% of Dividends - Franked amount</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430100</Code>
      <Description>Franking credit amount must be present</Description>
      <LongDescription>If Dividends - Franked amount is present, then Franking credit must be present</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430102</Code>
      <Description>TFN amounts withheld from dividends must not exceed 50% of the Unfranked amount</Description>
      <Location>rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430104</Code>
      <Description>Other Australian income - type and amount must both be present</Description>
      <LongDescription>If Other Australian income - Type of income is present, then the income amount must be present. If Other Australian income - amount is present, then the Type of income must be present.</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430106</Code>
      <Description>Gross interest or dividend income must be present</Description>
      <LongDescription>If Deductions relating to Australian investment income is greater than zero, then Gross interest, Unfranked amount, or Franked amount must be present</LongDescription>
      <Location>bafpr2.02.02:Income.Interest.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430108">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430108</Code>
      <Description>Other deductions - Name of each item of deduction must be present</Description>
      <LongDescription>If Other deductions - Amount is present, the Name of each item of deduction must be present</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430109">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430109</Code>
      <Description>Other deductions must not exceed 99 instances</Description>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430110</Code>
      <Description>Other deductions amount must be present</Description>
      <LongDescription>If Name of each item of deduction is present, then the Other deductions - Amount must be present and greater than zero</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430112">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430112</Code>
      <Description>Net Australian income must equal income less deductions</Description>
      <LongDescription>The Net Australian income or loss amount must equal the sum of all income less the sum of all deductions</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430116</Code>
      <Description>Answer to Attributed foreign income question must be 'yes'</Description>
      <LongDescription>If Attributed foreign income - Listed country, Section 404 country, or Unlisted country is greater than zero, then a yes (true) response to the question "Did you have either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust?" is required</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430120</Code>
      <Description>Other assessable foreign source income 'Gross' amount must not be less than 'Net' amount</Description>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430126">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430126</Code>
      <Description>Personal services income schedule must be present</Description>
      <LongDescription>If the answer to the Person services income - Does your income include an individual's personal services income question is 'yes' (true), then a Personal services income schedule must be present</LongDescription>
      <Location>lrla.02.09:Remuneration.PersonalServicesIncome.MainIncomeReward.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430129">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430129</Code>
      <Description>Business name and business address of main business must be present</Description>
      <LongDescription>If Total business income (Primary production or Non-primary production) is present at business income and expenses, then both the Business name and Business address of main business must be present</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430130">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430130</Code>
      <Description>Key financial information amounts and/or Business and professional amounts must be present</Description>
      <LongDescription>If Net income or loss from business (either Primary production or Non-primary production) is present, then there must be an amount included under Assets, Liabilities or Proprietors' funds or under Business and professional items</LongDescription>
      <Location>bafpo7.02.04:Assets.Inventories.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430131</Code>
      <Description>Total salary and wage expenses amount must be present if the action code is present</Description>
      <LongDescription>If a Total salary and wage expenses action code is present an amount must be present. Either enter an amount or delete the action code</LongDescription>
      <Location>lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430132">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430132</Code>
      <Description>Total salary and wage expenses action code must be present</Description>
      <LongDescription>If a Total salary and wage expenses amount is present, then an action code must be present</LongDescription>
      <Location>lrla.02.05:Remuneration.WagesAndSalariesAction.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430136</Code>
      <Description>Statement of distribution - name must be present</Description>
      <LongDescription>If the partner/beneficiary tax file number or current postal address is present in the Statement of distribution, then an individual  name or non-individual name must be present</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430139</Code>
      <Description>Both family name and company name present</Description>
      <LongDescription>Family name and non-individual name line 1 are both present in the distribution statement (Item 65). Please delete the incorrect name as only one individual or non-individual name may be present.</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430141">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430141</Code>
      <Description>TFN or address must be present in each Statement of Distribution</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430142">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430142</Code>
      <Description>Tax file number must not be the TFN of the Trust or Partnership</Description>
      <LongDescription>The TFN provided for a Trustee or Partner in a Statement of distribution must not be the same as the TFN of the Trust or Partnership</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430143">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430707</Code>
      <Description>PP, Non-PP or Franked distributions required</Description>
      <LongDescription>Credit for tax withheld where ABN not quoted is greater than zero and there is no Primary production or Non-primary production income distribution, or Franked Distributions</LongDescription>
      <Location>bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430144">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430144</Code>
      <Description>Distribution of PP income cannot exceed net PP income</Description>
      <LongDescription>The amount of primary production income in the distribution statement (Item 65 Label A) is greater than the net primary production income received - net primary production income (Item 5 Label Q) plus primary production distribution from partnerships (Item 8 Label A) plus primary production distribution from trusts (Item 8 Label Z) less primary production deductions relating to distribution (Item 8 Label S).</LongDescription>
      <Location>ptr.0003.lodge.req.02.00:StatementOfDistribution/bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430706</Code>
      <Description>Net Australian income/loss must equal total Distributed PP, non-PP income and Franked distributions</Description>
      <LongDescription>The Net Australian income/loss amount must equal the sum of Share of income - Primary production plus Share of income - Non-primary production in all Statements of distribution plus Franked distributions</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430146">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430708</Code>
      <Description>Partner distribution amount(s) missing</Description>
      <LongDescription>There must be an amount at either Share of income Primary Production, Share of income Non-primary production, Franked Distributions, Franking credit, TFN amounts withheld or Australian franking credits from a New Zealand company, for each partner listed in the statement of distributiont. Where the amount is nil, zero (0) is to be inserted at the relevant label</LongDescription>
      <Location>bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430148">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430710</Code>
      <Description>Share of income - Non-PP income distribution or Franked distributions must be present</Description>
      <LongDescription>In the statement of distribution, if there is an amount at either Credit for tax withheld where ABN not quoted, Franking Credit, TFN amounts withheld, or Credit for tax withheld - foreign resident withholding, then there must be an amount at either Share of income - Non-primary production or Franked distributions</LongDescription>
      <Location>bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430149">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430709</Code>
      <Description>Share of income must be present</Description>
      <LongDescription>In a Statement of distribution, if Credit for tax withheld - foreign resident withholding is greater than zero, then there must be an amount at Share of income - primary production or Share of income - non-primary production or Franked distibutions</LongDescription>
      <Location>bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430151">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430151</Code>
      <Description>Tax withheld where ABN not quoted must equal distributed amounts</Description>
      <LongDescription>The total amount of Credit for tax withheld where ABN not quoted in the Statements of distribution, must equal the sum of Tax withheld where ABN not quoted, and Share of credit for tax withheld where ABN not quoted</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430153">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431007</Code>
      <Description>Non-PP - Deductions relating to distribution amounts can not be more than zero</Description>
      <LongDescription>If there is an amount present at Non-primary production- Deductions relating to amounts shown at Distribution from partnerships less foreign income or Non-primary production - Share of net income from trusts less capital gains, foreign income and franked distributions there must be an amount at either Non-primary production - Distribution from partnerships less foreign income or Non-primary production - Share of net income from trusts less capital gains, foreign income and franked distributions</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430155">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430155</Code>
      <Description>TFN amounts withheld must equal distributed amounts</Description>
      <LongDescription>The sum of TFN amounts withheld in the Statements of distribution must equal the sum of Share of credit for TFN amounts withheld from interest, dividends and unit trust distributions, TFN amounts withheld from gross interest, and TFN amounts withheld from dividends</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430158">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430158</Code>
      <Description>Credit for tax withheld - foreign resident withholding amounts must equal distributed amounts</Description>
      <LongDescription>The total of Credit for tax withheld - foreign resident withholding in the Statements of distribution, must equal the sum of Credit for tax withheld - foreign resident withholding, plus Share of credit for tax withheld from foreign resident withholding</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430166">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430166</Code>
      <Description>Total National rental affordability scheme tax offset amount must equal sum of distributed amounts</Description>
      <LongDescription>The National rental affordability scheme tax offset entitlement amount must equal the sum of the Share of National rental affordability scheme tax offset amounts in the Statements of distribution</LongDescription>
      <Location>gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430168">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430168</Code>
      <Description>Answer to TOFA question must be 'yes'</Description>
      <LongDescription>If there is an amount for any Taxation of financial arrangements (TOFA) present, the answer to the question 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules', must be 'yes' (true)</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430171">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430171</Code>
      <Description>Net rental income must equal the sum of all partners' Share of net rental income</Description>
      <LongDescription>The amount at Net rental property income or loss must equal the sum of all amounts recorded in the Statement of distribution - Share of net rental property income or loss</LongDescription>
      <Location>bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430172">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430172</Code>
      <Description>Net financial investment income must equal the sum of all partners' Share of net financial income</Description>
      <LongDescription>The amount at Net financial investment income or loss must equal the sum of all amounts recorded in the Statement of distribution - Share of net financial investment income or loss</LongDescription>
      <Location>bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430176">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430176</Code>
      <Description>Year of revocation must be the same as the year of the return</Description>
      <LongDescription>The income year for which the details of the Interposed Entity Election are being revoked must equal the income year of the main return being lodged.</LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430177">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430702</Code>
      <Description>Interposed Entity Election Status - Specified income year must be in range 1995 to current year</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430178">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430178</Code>
      <Description>IEE specified income year must be present</Description>
      <LongDescription>If an IEE schedule is present, the Interposed entity election status - Specified income year must be present</LongDescription>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430179">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430179</Code>
      <Description>If revoking an interposed entity election, the Revocation code must be 'R'</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430180">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430180</Code>
      <Description>If the Interposed Entity Election revocation code is present, an IEE schedule must be present</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430181">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430181</Code>
      <Description>Industry code must be a valid ANZSIC code</Description>
      <LongDescription>The Industry code must be a valid extended ATO ANZSIC code.  Please supply a valid industry code which accurately describes the main business activity</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430183">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430183</Code>
      <Description>Payment Summary schedule must include Tax withheld where ABN not quoted amount</Description>
      <LongDescription>If an amount greater than zero has been entered at Tax withheld from payments where ABN no quoted, then a Payment Summary schedule must be present and it must include the same total amount of Tax withheld from payments where ABN no quoted</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430189">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430189</Code>
      <Description>FMIS ruling code must be present</Description>
      <LongDescription>For each Forestry managed investment scheme, a ruling Code must be present. 'PR' for Private ruling or 'AN' for Product ruling</LongDescription>
      <Location>gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430190">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430190</Code>
      <Description>Forestry managed investment scheme - Rulings must not exceed 99 instances</Description>
      <LongDescription>There must not be more than 99 instances of Forestry managed investment scheme deductions - Product or private ruling information details (Code, Year and Number)</LongDescription>
      <Location>gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430194">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430194</Code>
      <Description>All current assets must not exceed Total assets</Description>
      <Location>bafpo1.02.00:Assets.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430195</Code>
      <Description>All current liabilities must not exceed Total liabilities</Description>
      <Location>bafpo1.02.00:Liabilities.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430197</Code>
      <Description>Closing stock amount must be present if Code is present</Description>
      <Location>bafpo7.02.04:Assets.Inventories.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430198</Code>
      <Description>Closing stock action code must be present if Closing stock amount is present</Description>
      <Location>bafpo7.02.02:Assets.Inventories.ValuationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430199</Code>
      <Description>Trade debtors amount must not exceed All current assets amount</Description>
      <Location>bafpo1.02.00:Assets.TradeandReceivablesOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430200</Code>
      <Description>Trade creditors cannot exceed all current liabilities in Financial and other information</Description>
      <Location>bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430207</Code>
      <Description>If  business income (PP or non-PP) is present, an Industry code (ANZSIC) must be present</Description>
      <Location>pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430212</Code>
      <Description>Net rental property income or loss, and shared distributions must be present</Description>
      <LongDescription>If Rent amounts greater than zero (including Gross rent and deductions) are present, then Net rental property income or loss must be present, and Share of net rental property income or loss must be present in each partner's Statement of distribution</LongDescription>
      <Location>bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430213</Code>
      <Description>Net financial investment income or loss, and shared distributions must be present</Description>
      <LongDescription>If an amount greater than zero is present at FMIS income, or Dividend income, or Deductions relating to Australian investment income and Gross interest is not present, then Net financial investment income or loss must be present, and Share of net financial investment income or loss must be present in each partner's Statement of Distribution</LongDescription>
      <Location>ptr.0003.lodge.req.02.00:StatementOfDistribution/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430215</Code>
      <Description>TOFA gains, losses, or balancing adjustment amount must be present</Description>
      <LongDescription>If the answer to the question 'Did you make a gain, loss, or transitional balancing adjustment from a financial arrangement subject to the TOFA rules' is 'Yes' (true), then a Taxation of financial arrangements (TOFA) gains, losses, or balancing adjustment amount must be present</LongDescription>
      <Location>bafpr1.02.04:Income.GainsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430216">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430217">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Lodgment.FinalReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430218">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430218</Code>
      <Description>Current name of partnership must be present</Description>
      <LongDescription>There must be one instance of the current name of the partnership. This name must be submitted with a currency code 'C' and a type of 'MN'</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430219">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430221">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430221</Code>
      <Description>Current postal address of the Partnership must be present</Description>
      <LongDescription>There must be one instance of the current postal address of the Partnership. This address must be submitted with a Currency Code 'C' and a Usage of 'POS'. Line 1, Suburb/Town/City must be present</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430222">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430242">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430242</Code>
      <Description>Tax Agent contact name must be present</Description>
      <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430247">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430248">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430248</Code>
      <Description>The number of Statements of distribution must not exceed 160</Description>
      <Location>lrla.02.00:Remuneration.PartnerWithNoControlAndShareDisposalInPartnershipIncome.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430249">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430248</Code>
      <Description>The number of Other Australian income types and amounts must not exceed 99</Description>
      <Location>ptr.0003.lodge.req.02.00:OtherAustralianIncome/bafpr1.02.00:Income.Other.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430280">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430280</Code>
      <Description>Individual name must be present</Description>
      <LongDescription>If the Partner Aged 18 or Over without real and  effective control of income share indicator is set to true then person name details must be present</LongDescription>
      <Location>lrla.02.00:Remuneration.PartnerWithNoControlAndShareDisposalInPartnershipIncome.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430281">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430305</Code>
      <Description>Organisation Name Type code must be 'MN' or 'MTR' and Currency Code must be 'C' or 'P'</Description>
      <LongDescription>A non-individual name must have the Name Type code 'MN' (main) or 'MTR' (main trading name) and a Currency Code 'C' (current) or 'P' (previous). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430303">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430303</Code>
      <Description>Organisation Name Type code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>Each non-individual name within the Statement of Distribution must have the Name Type code 'MN' (main) and Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>ptr.0003.lodge.req.02.00:StatementOfDistribution/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430304">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430304</Code>
      <Description>Organisation Name Type code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>The name of the non-individual partner to whom notices should be sent must have the Name Type code 'MN' (main) and Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430309">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430309</Code>
      <Description>Address usage code must be 'POS' and Currency Code must be 'C'</Description>
      <LongDescription>Each address within the Statement of Distribution must have the Addres Usage code 'POS' (postal) and Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430310">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430310</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>The name of the person to whom notices should be sent must have the Name Type code 'LGL' (legal), Currency Code 'C' (current) and Usage code 'MailRecipient'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430311">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430311</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>The Individual name of each person in each Statement of Distribution must have the Name Type code 'LGL' (legal), Currency Code 'C' (current) and Usage code 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:PersonnameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430314">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430314</Code>
      <Description>Amount withheld from closely held trusts must equal sum of all partners' shares</Description>
      <LongDescription>The 'Share of credit for TFN amounts withheld from payments from closely held trusts' must equal the sum all 'Partner share - Share of credit for TFN amounts withheld from payments from closely held trusts' in the Statements of Distribution</LongDescription>
      <Location>rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430856">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430860">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430860</Code>
      <Description>Description of main business activity must not exceed 100 characters</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430987">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430987</Code>
      <Description>Client's reference must not exceed 12 characters in length</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430996">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430996</Code>
      <Description>Royalties deductions incorrect</Description>
      <LongDescription>If Royalties deductions has been completed on the IDS then it must be less than or equal to Royalty expenses overseas on the partnership return form.</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430999">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430999</Code>
      <Description>Attributed foreign income incorrect</Description>
      <LongDescription>Assessable income of controlled foreign companies and controlled foreign trusts under section 456 for Listed countries on the IDS should be equal to or less than Attributed foreign income - Listed country on the partnership return.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430995">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430995</Code>
      <Description>Royalty expenses overseas required</Description>
      <LongDescription>If a Royalties deduction amount has been completed on the IDS then Royalty expenses overseas must be greater than zero on the partnership form.</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431000</Code>
      <Description>Number of controlled foreign companies or trusts required</Description>
      <LongDescription>Listed country, Section 404 country, Unlisted country or Transferor trust has been completed on the company return form and the number of controlled foreign companies or trusts on the IDS has not been shown. Show zero on the IDS if at the end of your income year you no longer held an interest in CFCs or CFTs.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431008</Code>
      <Description>Franking credits from a New Zealand franking company must not be less than distributed amounts</Description>
      <LongDescription>The sum of Australian franking credits from a New Zealand franking company in the Statements of distribution must not be greater than Australian franking credits from a New Zealand franking company reported at Other assessable foreign income</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431001</Code>
      <Description>Transactions with specified countries question incorrect</Description>
      <LongDescription>If there is a 'True' response at 'Did you have dealings with international related parties located in specified countries?' on the IDS then the response at Overseas transactions - Transactions with specified countries on the partnership return must be 'True'.</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431003</Code>
      <Description>Gross other assessable foreign source income required</Description>
      <LongDescription>If Total amount of your share of net income/distribution of profit has been completed on the IDS then the Gross Other assessable foreign source income must be completed on the partnership return form.</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431009</Code>
      <Description>Share of net income from trusts action code must be present</Description>
      <LongDescription>If Primary production - Share of net income  from trusts is greater than zero, the Primary production - Share of net income trusts action code must be present</LongDescription>
      <Location>pyde.02.05:Party.TrustType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430998">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.430998</Code>
      <Description>Attributed foreign income incorrect</Description>
      <LongDescription>The sum of amounts at attributable income of controlled foreign companies and controlled foreign trusts on the IDS should be equal to or less than the sum of amounts at Listed country, Section 404 country and Unlisted country on the partnership return form.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.RSPT ========= -->
  <diagnostic id="DVR.ATO.PTR.431033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420000</Code>
      <Description>Entity type code must be '161' - Partnership or '212' - Trust</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeks.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420003</Code>
      <Description>Number of weeks property was rented this year must not exceed 52</Description>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeks.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420004</Code>
      <Description>Number of weeks property was available for rent this year must not exceed 52</Description>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.00:RealEstateProperty.Ownership.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420007</Code>
      <Description>Capital gain/loss must be present</Description>
      <LongDescription>If property originally purchased after 19/09/1985 and has been sold, capital gain/loss on sale of property must be present</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.00:RealEstateProperty.Acquisition.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430002</Code>
      <Description>Date of disposal in the rental schedule must be during the financial year of the return</Description>
      <LongDescription>The date of disposal of the property recorded in the rental schedule must not be before or after the financial year of the return</LongDescription>
      <Location>bafot.02.00:RealEstateProperty.Disposal.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420011</Code>
      <Description>Date property sold must be present</Description>
      <LongDescription>Date property sold must be present if Sale price of property or Value of depreciation recouped on sale of the property or Value of building write-off recouped on the sale of the property are present</LongDescription>
      <Location>bafot.02.00:RealEstateProperty.Disposal.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420012</Code>
      <Description>Sale price and amounts recouped must be present</Description>
      <LongDescription>If date property sold is present then sale price of property, depreciation recouped on sale of property and building write-off recouped on sale of property must be present</LongDescription>
      <Location>bafot.02.00:RealEstateProperty.Disposal.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420013</Code>
      <Description>Amounts recouped on sale must be present</Description>
      <LongDescription>If a value is present at 'Sale price of property', then there must be a value present at 'Value of capital allowances' and at 'Value of capital works deductions'.</LongDescription>
      <Location>bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.00:RealEstateProperty.LoanRenegotiated.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420015</Code>
      <Description>Net rental income must equal income minus expenses</Description>
      <LongDescription>The Net rental income  must equal the sum of Rental income and Other rental related income, minus the sum of all the Rental expenses</LongDescription>
      <Location>bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420044</Code>
      <Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a non negative integer field. Field either exceeds maximum digits and/or contains illegal characters.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420044</Code>
      <Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a non negative integer field. Field either exceeds maximum digits and/or contains illegal characters.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420046</Code>
      <Description>Percentage must not exceed 100%</Description>
      <Location>bafot.02.00:RealEstateProperty.Ownership.Percent</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420048</Code>
      <Description>Address currency code must be present and must be 'C'</Description>
      <Location>pyde.02.00:AddressDetails.Currency.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420052</Code>
      <Description>Field incorrect format. Exceeds maximum digits and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a pure item type. Field either exceeds maximum digits and/or contains illegal characters.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420055</Code>
      <Description>Address of investment property must be present</Description>
      <Location>address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420056</Code>
      <Description>Organisation name must be present</Description>
      <Location>orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420058</Code>
      <Description>The address of the investment property must be in Australia</Description>
      <LongDescription>The Overseas address indicator must be set to 'No' (false) to indicate the address of the property is in Australia</LongDescription>
      <Location>address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RSPT.420060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420060</Code>
      <Description>The Entity name must be the same as the name on the main form</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.SMSFAR ========= -->
  <diagnostic id="DVR.ATO.RSPT.420061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RSPT.420061</Code>
      <Description>Invalid Context: ReportPartyType dimension must be 'RprtPyType.02.04:ReportingParty'</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430008</Code>
      <Description>The Family Trust TFN on the IEE must not be the same as the main entity TFN</Description>
      <LongDescription>An Entity cannot interpose itself; therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the tax file number of the entity making the election</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436050</Code>
      <Description>Number of transfers must be an integer between 0 and 999 (inclusive)</Description>
      <Location>rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434044</Code>
      <Description>Payment summary schedule must be present when Payments where ABN not quoted amount is present</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434046</Code>
      <Description>Gross payment amount must equal the sum of amounts in the Payment Summary schedule</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436334</Code>
      <Description>Tax withheld amount must not be less than the sum of amounts present in the schedule</Description>
      <LongDescription>The 'Credit for tax withheld - where TFN or ABN not quoted' amount must equal the sum of the Tax withheld amounts on the Payment Summary schedule</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434056</Code>
      <Description>Other income must not be less than Gross payment amounts on Payment Summary schedule</Description>
      <LongDescription>The 'Other income' amount must not be less than the sum of all 'Gross payment' amounts on the Payment Summary schedule</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434055</Code>
      <Description>Other income amount must be present</Description>
      <LongDescription>The 'Other income' amount must be greater than zero if the 'Other income - code' is present</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434058</Code>
      <Description>Other income code must be present if Other income amount is present.</Description>
      <LongDescription>Other income codes are:    'B' - Assessable balancing adjustment amount,    'C' - LIC capital gain amount,    'F' - Forex gains,    'O' - Other income received not listed,    'R' - Rebate or refund of death or disability premiums,    'W' - Gross payments subject to foreign resident withholding, 'T' - TOFA gains or assessable TOFA balancing adjustment</LongDescription>
      <Location>bafpr1.02.05:Income.Other.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436082">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434073</Code>
      <Description>Tax losses carried forward amount must be present</Description>
      <LongDescription>If the Taxable income or loss amount is less than zero, there must be an 'Exempt current pension income' amount or a 'Tax losses carried forward to later income years' amount</LongDescription>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436118">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436331</Code>
      <Description>Credit for tax withheld - foreign resident withholding amount doesn’t match the total amount on the schedule</Description>
      <Location>rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436194">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432017</Code>
      <Description>Family trust election or revocation schedule must be present</Description>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436196">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430178</Code>
      <Description>IEE specified income year must be present</Description>
      <LongDescription>If an IEE schedule is present, the Interposed entity election status - Specified income year must be present</LongDescription>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430180</Code>
      <Description>If the Interposed Entity Election revocation code is present, an IEE schedule must be present</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436202</Code>
      <Description>The name of the intermediary contact must be present</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436205</Code>
      <Description>Member number must be unique</Description>
      <LongDescription>Each instance of a Member number that is allocated to Member information must be unique. The same number must not be used for more than one member.</LongDescription>
      <Location>pyin.02.00:Report.ItemOrder.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436252">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430176</Code>
      <Description>Year of revocation must be the same as the year of the return</Description>
      <LongDescription>The income year for which the details of the Interposed Entity Election are being revoked must equal the income year of the main return being lodged.</LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436211</Code>
      <Description>A member must not be reported more than once</Description>
      <LongDescription>A member statement must not contain the same member as another member statement, where a same member is one with the same First given name, Family name, TFN and Date of birth</LongDescription>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436347</Code>
      <Description>The 'No-TFN quoted contributions' amount must be present</Description>
      <LongDescription>If a Member information statement contains an 'Employer contribution' amount greater than zero and the 'Member's TFN' is blank, then there must be a 'No-TFN quoted contributions'  amount in the Income section of the return</LongDescription>
      <Location>emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436349">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436349</Code>
      <Description>Total Australian and Overseas assets and member entitlements must be greater than zero unless the fund has been wound up</Description>
      <LongDescription>A self-managed superannuation fund is a trust and it must have assets set aside for the benefit of its members to legally exist.</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.OperationCease.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436541">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436541</Code>
      <Description>Invalid context. The number of Reporting party: Australian Jurisdiction: OverseasRealProperty asset type contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436542">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436542</Code>
      <Description>Invalid context. The number of Reporting party: Australian Jurisdiction: Australian Shares asset type contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436543">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436543</Code>
      <Description>Invalid context. The number of Reporting party: Australian Jurisdiction: OverseasShares asset type contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436544">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436544</Code>
      <Description>Invalid context. The number of Reporting party: Australian Jurisdiction: Other asset type contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436545">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436545</Code>
      <Description>Invalid context. The number of Reporting party: Deductible contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436547">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436547</Code>
      <Description>Invalid context. The number of Reporting party: Deductible: Foreign Jurisdiction contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436572">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436572</Code>
      <Description>Exemption or rollover code is invalid for SMSFAR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- ========= DVR.ATO.FTER ========= -->
  <diagnostic id="DVR.ATO.SMSFAR.436574">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436574</Code>
      <Description>Net capital gain in return must equal net capital gain in CGT schedule</Description>
      <LongDescription>Net capital gain amount on the company return  must equal the net capital gain amount on the CGT schedule</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408085">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408085</Code>
      <Description>Trustee non-resident period must not be before the election commencement time</Description>
      <LongDescription>The start time during the relevant period at which the trustee was a non-resident for tax purposes must not be earlier than start of the election commencement time</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408086</Code>
      <Description>Trustee non-resident period must not be before the start of income year specified</Description>
      <LongDescription>The start time during the relevant period at which the trustee was a non-resident for tax purposes must not be earlier than 1 July of the income year specified</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408088</Code>
      <Description>Election commencement time must not be before the start of specified income year</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408097</Code>
      <Description>Specified individuals date of birth must not be after the election commencement time</Description>
      <Location>fter.0001.lodge.req.02.00:SpecifiedIndividual/pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408114">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408114</Code>
      <Description>Specified individual TFN or 'No TFN indicator' must be present for revocation</Description>
      <LongDescription>For a revocation, the TFN of the specified individual must be present or the 'No TFN indicator' must be 'yes' (true)</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408118">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408118</Code>
      <Description>No TFN indicator  must NOT be 'yes' (true)</Description>
      <LongDescription>If the TFN for an interposed entity is present, then the 'entity does not have a TFN' indicator must be 'no' (false) or blank</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408119">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408119</Code>
      <Description>Entity TFN must be present or 'No TFN indicator' must be 'yes' (true)</Description>
      <LongDescription>For a revocation, the TFN of the company/partnership/trust which has an interposed entity election in force must be present, or the 'No TFN indicator' must be 'yes' (true)</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408120</Code>
      <Description>Interposed Entity Name Type Code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>Interposed Entity Name Type Code must be 'MN' (Main Name) and Currency Code must be 'C' (Current name).</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408130">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408130</Code>
      <Description>Trustee declaration must contain either an individual name or a non-individual name</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408131</Code>
      <Description>Trustee declaration name must be Type -'LGL', Usage - 'DeclarationSignatory', Currency - 'C'</Description>
      <LongDescription>Each trustee declaration individual name must include a Name Type Code of 'LGL', a Usage Code of  'DeclarationSignatory' and a Currency Code of 'C'</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408135">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408135</Code>
      <Description>Individual name and non-individual name of a trustee declaration must not both be present</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408158</Code>
      <Description>Individual trustee declaration First name must be present</Description>
      <LongDescription>If a trustee's family name or other given name is present, first given name must be present</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408137</Code>
      <Description>Non-individual declaration Name Type Code must be 'MN' and Currency Code must be 'C'</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408108">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408108</Code>
      <Description>Specified Individual Address Usage Code must be 'RES' and Currency Code must be 'C'</Description>
      <LongDescription>Specified Individual Address Usage Code must be 'RES' (Residential Address) and Currency Code must be 'C' (Current address).</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408005</Code>
      <Description>Question regarding non-residency of trustee must be answered for each trustee</Description>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408008</Code>
      <Description>Fund address Usage Code must be 'POS'</Description>
      <LongDescription>Fund address Usage Code must be 'POS' (Postal)</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408009</Code>
      <Description>The name of trust must have Type Code - 'MN'</Description>
      <LongDescription>The name of trust must have Type Code - 'MN' (Main Name)</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408022</Code>
      <Description>Answer to election, revocation or election question must be present</Description>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408023</Code>
      <Description>Year of return must be present when FTER is a stand-alone form</Description>
      <Location>pyin.02.00:Lodgment.PeriodYear.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408024</Code>
      <Description>Answer to Election, revocation or variation question must be 'E', 'R' or 'V'</Description>
      <LongDescription>The answer to 'Are you using this form for an election, revocation or variation?' must be either 'E' for election, 'R' for revocation or 'V' for variation</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408025</Code>
      <Description>Answer to Election, revocation or variation question must be 'E'</Description>
      <LongDescription>The answer to 'Are you using this form for an election, revocation or variation?" must be 'E' - for election - on the stand-alone form version of the FTER. Revocations and variations can be supplied using a FTER schedule accompanying a Trust or SMSF return</LongDescription>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408027</Code>
      <Description>Family trust revocation details must be left blank</Description>
      <LongDescription>If the election-revocation code is  'E' - election or 'V' - variation, then revocation details must not be completed</LongDescription>
      <Location>rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408030</Code>
      <Description>Details required for a variation must be completed</Description>
      <LongDescription>When used for a variation the 'Income Year Specified' or 'Commencement Year' must be completed; and the TFN, name, address and date of birth of the Specified Individual must be completed</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408031</Code>
      <Description>Variation must not include central mgmnt or trustee details</Description>
      <LongDescription>If the form is used to advise of a variation, details regarding central management and control and of the trustees must not be completed</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408032</Code>
      <Description>Either the date the election ceases to be in force, or the income year of revocation must be present</Description>
      <LongDescription>For a revocation, either the date the election ceases to be in force must be present or the income year from which the revocation is to be effective must be present</LongDescription>
      <Location>rvctc3.02.00:Elections.Revocation.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408033.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408033</Code>
      <Description>Revocation income year must be the same as the year of the return</Description>
      <LongDescription>For a revocation, the income year from which the revocation is to be effective must be the same as the year of the parent return</LongDescription>
      <Location>rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408033.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408033</Code>
      <Description>Revocation income year must be the same as the year of the return</Description>
      <LongDescription>For a revocation, the income year from which the revocation is to be effective must be the same as the year of the parent return</LongDescription>
      <Location>rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408051</Code>
      <Description>Dates central management and control of trust was outside Australia must be present</Description>
      <LongDescription>If the answer to the central management and control of the trust outside Australia question is 'Yes' and central management and control of the trust was outside Australia for Full Period indicator is not 'yes' (true), then the dates that the management and control of the trust were outside Australia must be present</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408052</Code>
      <Description>Time central management and control of trust was outside Australia must NOT be present</Description>
      <LongDescription>If the answer to the central management and control of the trust was outside Australia is 'No' (false), then the Full Period indicator and dates must be left blank.</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408053</Code>
      <Description>Election details must be completed</Description>
      <LongDescription>For an election, the central management question, details of at least one trustee, income year and details of the specified individual must all be present</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408054</Code>
      <Description>Revocation details must not be provided with election or variation details</Description>
      <LongDescription>A single FTER schedule must not contain details of a revocation in addition to details related to an election or a variation</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408055</Code>
      <Description>Central management and control - full period indicator and dates must not both be present</Description>
      <LongDescription>If Full period indicator for Central management and control outside Australia is 'yes' (true), then specific dates must not be present</LongDescription>
      <Location>pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408058</Code>
      <Description>Period Type Code must be 'ControlOutsideAustraliaPartPeriod' or 'SubstitutedAccountingPeriod'</Description>
      <LongDescription>For each central management and control outside Australia period and the Substituted Account Period, the Period Type Code must be 'ControlOutsideAustraliaPartPeriod' or 'SubstitutedAccountingPeriod', respectively</LongDescription>
      <Location>pyin.02.05:Period.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408080</Code>
      <Description>Number of separate Non-resident periods must not exceed 4</Description>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408081</Code>
      <Description>Trustee non-resident Period Type Code must be 'NonResidentPartPeriod'</Description>
      <Location>pyin.02.05:Period.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408084</Code>
      <Description>Trustee non-resident period must not be before the substituted accounting period</Description>
      <LongDescription>The start time during the relevant period at which the trustee was a non-resident for tax purposes must not be earlier than the substituted accounting period</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408101">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408101</Code>
      <Description>No TFN indicator must not be 'yes' (true)</Description>
      <LongDescription>If the TFN of the Specified individual is present, then the 'does not have a TFN indicator' must be 'no' (false) or left blank</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408102</Code>
      <Description>Income Year must be present</Description>
      <LongDescription>For a revocation, if the TFN or 'No TFN indicator' of the individual specified in the election is present, then the Income Year for the tax return that the election details were provided, and/or the  Income year specified in the election being revoked must be present</LongDescription>
      <Location>rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408113">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408113</Code>
      <Description>Income year must not be less than 1998</Description>
      <LongDescription>For a revocation, the Income year for which details of the election being revoked were included in the tax return must not be less than 1998</LongDescription>
      <Location>rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408115</Code>
      <Description>Income year must not be less than 1995</Description>
      <LongDescription>For a revocation, the Income year as it appeared in the family trust election must not be less than 1995</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408116</Code>
      <Description>Year of election must not be later than return year</Description>
      <LongDescription>For a revocation, the income year as it appeared in the family trust election included in the return for the trust, must not be later than the income year of the tax return in which the election was made</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408117">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408117</Code>
      <Description>Interposed Entity Party Type Code must be either '051', '161', '212' or '217'</Description>
      <LongDescription>Interposed entity type must be '051' - Company, '161' - Partnership, '212' - Trust, '217' - Fund</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408144">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408144</Code>
      <Description>Current full name of the trust must match parent form</Description>
      <LongDescription>When used as a schedule, the name of the trust must be the same as the name of the trust on the parent form</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408144.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408144</Code>
      <Description>Current full name of the trust must match parent form</Description>
      <LongDescription>When used as a schedule, the name of the trust must be the same as the name of the trust on the parent form</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408145</Code>
      <Description>Current full name of the trust must be present (once only)</Description>
      <LongDescription>The name of the trust must be present with a Currency Code of 'C' and a Name Type code of 'MN'. No more than once instance may be present</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408146">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408146</Code>
      <Description>Current postal address of the trust must be present (once only)</Description>
      <Location>address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408150">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408150</Code>
      <Description>An address for the Specified individual must be present (one only)</Description>
      <Location>address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408154">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408154</Code>
      <Description>Number of Trustee Declarations supplied must not exceed 10</Description>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408155">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408155</Code>
      <Description>Number of Trustee Declarations supplied must equal the number of trustees</Description>
      <LongDescription>All of the trustees identified in an election must supply a Trustee Declaration</LongDescription>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408161">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408161</Code>
      <Description>Year of return must not be less than 2011</Description>
      <Location>pyin.02.00:Lodgment.PeriodYear.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408162">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408110</Code>
      <Description>Revocation date must not be after 30 June of the year of the return</Description>
      <Location>rvctc3.02.00:Elections.Revocation.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408061</Code>
      <Description>Central mgmnt and control outside Australia period must not be before start of the SAP</Description>
      <LongDescription>The 'from' date of a period of Central management and control of the trust outside of Australia must not be before the start of the substituted accounting period</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408063</Code>
      <Description>Central mgmnt period must not be before Income year</Description>
      <LongDescription>The 'from' date of a period of Central management and control of the trust outside of Australia must not be before 1 July of the Income year specified</LongDescription>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408064">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408064</Code>
      <Description>Number of Trustees must not exceed 10</Description>
      <Location>fter.0001.lodge.req.02.00:Trustee/pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408066</Code>
      <Description>TFN of trustee must be present</Description>
      <LongDescription>Either the TFN of trustee must be present or the 'trustee does not have a TFN' indicator must be 'yes' (true)</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408091</Code>
      <Description>Number of separate Substituted Accounting Periods must not exceed 1</Description>
      <Location>period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408096</Code>
      <Description>Election commencement time must not be before the start of the substituted accounting period</Description>
      <Location>pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408071</Code>
      <Description>A trustee must not include both an individual and a non-individual name</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408072</Code>
      <Description>First name must be present</Description>
      <LongDescription>Trustee family name is present without trustee first name.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408075</Code>
      <Description>Trustee postal address Usage Code must be 'POS' and Currency Code must be 'C'.</Description>
      <LongDescription>Trustee postal address Usage Code must be 'POS' (Postal address) and Currency Code must be 'C' (Current address).</LongDescription>
      <Location>address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408157">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432435</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>Each person name must have the Name Type code 'LGL' (legal), Currency Code 'C' (current) and Usage code 'Contact'. Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408121">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408122</Code>
      <Description>ACN and ARBN must not both be present</Description>
      <LongDescription>Australian Company Number and Australian Registered Body Number for the company which has an interposed entity election in force must not both be supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434240</Code>
      <Description>Invalid context. The number of Reporting Party: Closing contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434243">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434250</Code>
      <Description>The amount at Tax on no-TFN quoted contributions is incorrect</Description>
      <LongDescription>A 'yes' response has been given to the Australian superannuation fund question however the No-TFN quoted contributions amount is greater than zero and the Tax on no-TFN contributions amount is not equal to No-TFN quoted contributions amount multiplied by 0.015 or 0.315</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434244">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434251</Code>
      <Description>The amount at Tax on no-TFN quoted contributions is incorrect</Description>
      <LongDescription>A 'no' response has been given to the Australian superannuation fund question however the Tax on no-TFN quoted contributions amount is not equal to No-TFN quoted contributions amount mulitplied by 0.015</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434292">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434292</Code>
      <Description>Remainder of refundable tax offsets must be zero.</Description>
      <LongDescription>If Refundable tax offsets is less than Subtotal then Remainder of refundable tax offsets must be zero.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434293">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434295">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434295</Code>
      <Description>Amount due or refundable must be rounded down to the nearest 5 cents.</Description>
      <LongDescription>Where the calculated amount due is greater than 50 cents, the amount supplied must be rounded down to the nearest 5 cents. Amount due or refundable is the sum of tax payable plus section 102AAM interest charge less eligible credits, remainder of refundable tax offsets and PAYG instalments raised.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434296">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434296</Code>
      <Description>Amount due or refundable must be equal to the calculated value.</Description>
      <LongDescription>Where the calculated amount refundable is 50 cents or more, the amount supplied must be equal to the calculated value. Amount due or refundable is the sum of tax payable plus section 102AAM interest charge less eligible credits, remainder of refundable tax offsets and PAYG instalments raised.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408065">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408065</Code>
      <Description>Trustee does not have a TFN indicator must not be 'yes' (true)</Description>
      <LongDescription>If the TFN of trustee is present, then the 'trustee does not have a TFN must not be 'yes' (true)</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408077">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408077</Code>
      <Description>Non residency question must be 'yes' (true) or periods must not be present</Description>
      <LongDescription>If the answer to the question 'was trustee a non resident for tax purposes' is 'No' (false), then the Full period indicator must not be present and a period of non residency must NOT be present</LongDescription>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408003</Code>
      <Description>Trustee individual name or non-individual name must be present</Description>
      <LongDescription>For an election, details of each trustee's family name or non-individual name must be present</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408004</Code>
      <Description>For each trustee one address must be present</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408007</Code>
      <Description>Trustee Non-individual Name Type Code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>Trustee Non-individual Name Type Code must be 'MN' (Main Name) and Currency Code must be 'C' (Current)</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408107">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408107</Code>
      <Description>TFN of specified individual or 'no TFN indicator' must be present</Description>
      <LongDescription>The TFN of the specified individual must be present or the 'specified individual does not have a TFN indicator' must be 'yes' (true)</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408100</Code>
      <Description>No TFN indicator must not be 'yes' (true)</Description>
      <LongDescription>If the TFN of the Specified individual is present, then the 'does not have a TFN indicator' must be 'no' (false) or left blank</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408095">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408095</Code>
      <Description>Specified individual's date of birth must not be after start of substituted accounting period</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408090">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408090</Code>
      <Description>Specified individual's date of birth must not be before the start of specified income year</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408122">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408122</Code>
      <Description>ACN and ARBN must not both be present</Description>
      <LongDescription>Australian Company Number and Australian Registered Body Number for the company which has an interposed entity election in force must not both be supplied</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408087">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408087</Code>
      <Description>Income year specified must not be less than 2005</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408089">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408089</Code>
      <Description>A name for the Specified Individual must be present (one only)</Description>
      <LongDescription>A name for the Specified Individual must be present (one only)</LongDescription>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408098</Code>
      <Description>Specified individual's date of birth must be before the election commencement date</Description>
      <LongDescription>Date of birth of the specified individual must not be after the commencement time for the election or before the start of the substituted account period</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408099</Code>
      <Description>Date of Birth for the Specified Individual must be present (one only)</Description>
      <LongDescription>Date of Birth for the Specified Individual must be present (one only)</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408079</Code>
      <Description>Full period indicator and dates must not both be present</Description>
      <LongDescription>If trustee was a non-resident for the full period indicator is 'yes' (true), then specific dates specifying the time(s) the trustee was a non-resident must not be present</LongDescription>
      <Location>pyde.02.00:Residency.NonResidentFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408123">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408123</Code>
      <Description>Interposed Entity address Usage Code must be 'POS' and Currency Code must be 'C'</Description>
      <LongDescription>Interposed Entity address Usage Code must be 'POS' (Postal address) and Currency Code must be 'C' (Current address).</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408078</Code>
      <Description>Trustee full period indicator or period of non-residency dates must be present</Description>
      <LongDescription>If the answer to the question 'was trustee a non resident for tax purposes is 'Yes' (true), then the Full period indicator or Dates of non residency must be present</LongDescription>
      <Location>pyde.02.00:Residency.NonResidentFullPeriod.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410115</Code>
      <Description>TFN on Schedule must match TFN on main form</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408006</Code>
      <Description>Schedule must not have an intermediary</Description>
      <LongDescription>Any intermediary on a parent return also applies to its schedules therefore a schedule cannot have an intermediary.</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408056</Code>
      <Description>Number of separate Periods of central management and control must not exceed 12</Description>
      <Location>period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408166">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408166</Code>
      <Description>The Declaration must be complete</Description>
      <LongDescription>Within the Declaration, Statement Accepted must be 'Yes' (true), and the Signatory Identifier and Signature Date must be present.</LongDescription>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408167">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430250</Code>
      <Description>The Declaration must be complete</Description>
      <LongDescription>Within the Declaration, the Statement Type must be 'TrueAndCorrect', Statement Accepted must be 'Yes' (true), and the Signatory Identifier and Signature Date must be present.</LongDescription>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408029</Code>
      <Description>Income year for variation must match the year of return on the main form</Description>
      <LongDescription>Income year specified for the purpose of the FTE variation must match the year of return on the main form</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408029.SMSF">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408029</Code>
      <Description>Income year for variation must match the year of return on the main form</Description>
      <LongDescription>Income year specified for the purpose of the FTE variation must match the year of return on the main form</LongDescription>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!--DVR.ATO.SMSFAR-->
  <diagnostic id="DVR.ATO.FTER.408112.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408112</Code>
      <Description>Income year specified on main return form must equal the income year specified on the FTE schedule.</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436539">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436539</Code>
      <Description>Invalid context. The number of Reporting party: Australian Jurisdiction: AustResidentialRealProperty asset type contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436540">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436540</Code>
      <Description>Invalid context. The number of Reporting party: Australian Jurisdiction: AustNonResidentialRealProperty asset type contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436546">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436546</Code>
      <Description>Invalid context. The number of Reporting party: Deductible: Australian Jurisdiction contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436548">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436548</Code>
      <Description>Invalid context. The number of Reporting party: Non-Deductible contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436549">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436549</Code>
      <Description>Invalid context. The number of Reporting party: Non-Deductible: Australian Jurisdiction contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436550">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436550</Code>
      <Description>Invalid context. The number of Reporting party: Non-Deductible: Foreign Jurisdiction contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436014</Code>
      <Description>Fund auditor's name must be present</Description>
      <LongDescription>There must be one instance of the current legal Name of the Fund auditor.</LongDescription>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436333</Code>
      <Description>Credit for tax withheld - where ABN or TFN not quoted must be present</Description>
      <LongDescription>If 'Gross payments where ABN not quoted' is greater than zero, then 'Credit for tax withheld - where TFN or ABN not quoted' must be present</LongDescription>
      <Location>rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436124">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436663</Code>
      <Description>Supervisory levy for 2014 must equal $388</Description>
      <Location>rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436126">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436127">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434085</Code>
      <Description>Losses schedule must be attached if losses carried forward exceeds $100,000</Description>
      <LongDescription>If the sum of 'Tax losses carried forward to later income years' and 'Net capital losses carried forward to later income years' is greater than $100000, a Losses schedule must be present</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436129">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434086</Code>
      <Description>Tax losses carried forward to later income years in schedule must equal amount in main form</Description>
      <LongDescription>The total of the 'Tax losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Tax losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436012</Code>
      <Description>Current postal address of the SMSF must be present</Description>
      <LongDescription>There must be one instance of the current postal address of the self-managed superannuation fund. This address must be an Australian address submitted with a Currency Code 'C' and a Usage of 'POS'. Line 1, Suburb/Town/City, State/Territory and Postcode must be present</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.05:OrganisationDetails.OperationCease.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436173">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.09:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436132">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434087</Code>
      <Description>Net capital losses carried forward to later income years must equal amount in Losses schedule</Description>
      <LongDescription>The total of the 'Net capital losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Net capital losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436133</Code>
      <Description>Date of death must be less than or equal to today's date</Description>
      <LongDescription>The date entered is a future date, date of death cannot be in the future.</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Death.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436230</Code>
      <Description>Member's Total contributions must equal the sum of the member's contribution amounts</Description>
      <Location>emsup.02.02:SuperannuationContribution.MemberTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436239">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436650</Code>
      <Description>Members' Closing account balance must not be less than net contributions</Description>
      <LongDescription>A Member's 'Closing account balance' amount must not be less than the sum of 'Total contributions', plus 'Allocated earnings or losses', plus 'Inward rollover amounts', minus 'Outward rollover amounts', minus 'Lump sum payments', minus 'Income stream payments'</LongDescription>
      <Location>emsup.02.01:SuperannuationBenefit.AccountBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436274">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436274</Code>
      <Description>Name of self-managed superannuation fund must be present</Description>
      <LongDescription>There must be one instance of the current Name of the SMSF. This name must be submitted with a Currency Code 'C' and a Type of 'MN'</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436281">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436281</Code>
      <Description>A single auditor telephone number is required.</Description>
      <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436282">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436282</Code>
      <Description>A single auditor address is mandatory</Description>
      <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436287">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436287</Code>
      <Description>A single trustee or director telephone number is required.</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436288">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436288</Code>
      <Description>If there is an intermediary, there must be a single declaration by them.</Description>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436289">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436289</Code>
      <Description>Answer to 'Have all lodgment and payment obligations been met?' must not be 'yes' (true)</Description>
      <LongDescription>If the answer to the question  'Have all lodgment and payment obligations been met?' is 'yes' (true), then the answer to the question  ''Was the fund wound up during the income year' must be 'yes' (true)'.</LongDescription>
      <Location>emsup.02.00:SuperannuationFundDetails.TaxObligationsMet.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432413</Code>
      <Description>Family trust revocation code must be 'R' for revocation or 'V' for variation</Description>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430179</Code>
      <Description>If revoking an interposed entity election, the Revocation code must be 'R'</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436199</Code>
      <Description>The name of the Preferred trustee or director contact must be present</Description>
      <Location>smsfar.0004.lodge.req.02.00:TrusteeOrDirector/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436021</Code>
      <Description>Audit date incorrect.</Description>
      <LongDescription>Audit date must not be prior to year of return or after date of lodgement.</LongDescription>
      <Location>emfsm.02.00:AuditorReport.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434042</Code>
      <Description>Gross foreign income must be present if Net foreign income is present</Description>
      <Location>bafpr1.02.04:Income.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emfsm.02.07:AuditorReport.OpinionQualified.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emfsm.02.00:AuditorReport.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434026</Code>
      <Description>Date wound up must be present if the fund wound up during the income year</Description>
      <Location>pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434145</Code>
      <Description>Fund wound up date must be within year of assessment.</Description>
      <LongDescription>The date the fund wound up must fall within the year of assessment.  For example, if the year of the return being lodged is 2010, then the date must not be before 1 July 2009 and must not be after 30 June 2010.</LongDescription>
      <Location>pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436300">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436300</Code>
      <Description>Account name must begin with an alpha character in the range 'A to Z' or 'a to z'</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436293">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436293</Code>
      <Description>Member's given name must be the real name of the member</Description>
      <LongDescription>Member's given name must not contain superannuation or investment related terms</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436294">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436294</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>Each person name must have the Name Type code 'LGL' (legal) , Currency Code 'C' (current) and Usage code 'Contact'. Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436296">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436296</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>Each person name must have the Name Type code 'LGL' (legal) , Currency Code 'C' (current) and Usage code 'Contact'. Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436297">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436297</Code>
      <Description>Member name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>Each member name must have the Name Type code 'LGL' (legal) , Currency Code 'C' (current) and Usage code 'Identifier'. Please contact your software vendor in order to rectify this error</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436298">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436298</Code>
      <Description>Member's given name must not contain any numeric characters</Description>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436299">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436299</Code>
      <Description>Member's other given name must be the real name of the member</Description>
      <LongDescription>Member's other given name must not contain superannuation or investment related terms</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436305">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436305</Code>
      <Description>Member's other given name must not contain any numeric characters</Description>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436222">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.SpouseAndChildContributions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.08:SuperannuationContribution.OtherThirdPartyContributions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436225">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.TransferFromReserveAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436228">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02::SuperannuationContribution.TransferFromReserveNonAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436229">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.TotalOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationContribution.MemberTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436234">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.02:SuperannuationRollover.Paid.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>emsup.02.01:SuperannuationBenefit.AccountBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436283">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436283</Code>
      <Description>Auditor address must be in Australia</Description>
      <Location>pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436204</Code>
      <Description>The phone number of the intermediary must be present</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436207</Code>
      <Description>Member number must be present for each member</Description>
      <Location>pyin.02.00:Report.ItemOrder.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436213</Code>
      <Description>Member TFN must not be reported more than once.</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier </Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436214">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436214</Code>
      <Description>Member TFN must not have less than 9 characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436215</Code>
      <Description>In each Member information statement the member's date of birth or the member's TFN must be present</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436216">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436216</Code>
      <Description>Member's Date of birth must not be later than Date of death</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436272">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436272</Code>
      <Description>Date of birth must not be a future date</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436273">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436273</Code>
      <Description>Date of birth must not be more than 120 years in the past</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436306">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436306</Code>
      <Description>Invalid context. The no. of Reporting party: Closing:Year 0, plus contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436156">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436156</Code>
      <Description>Total member closing account balances must equal the sum of all members' closing balances</Description>
      <Location>bafpo1.02.00:Equity.MemberAccountBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436108">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436108</Code>
      <Description>Gross tax must be not be less than 45% of taxable income</Description>
      <LongDescription>If the fund is not an Australian superannuation fund and the 'Taxable income/loss' amount is greater than zero, then the Gross tax amount must not be less than 45% of the Taxable income/loss amount</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436295">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436295</Code>
      <Description>Invalid context. TFN must be present in the context</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436109">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434074</Code>
      <Description>Gross tax must not be less than 15% of Taxable income</Description>
      <LongDescription>If the Taxable income or loss amount is greater than zero, then the Gross tax amount must not be less than 15% of the Taxable income or loss amount</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436330</Code>
      <Description>Credit for interest on early payments amount must not be less than 50 cents</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436292">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436292</Code>
      <Description>Member's family name must not contain any numeric characters</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436291">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436291</Code>
      <Description>Member's family name must be the real name of the member</Description>
      <LongDescription>Member's family name must not contain superannuation or investment related terms</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436301">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436328</Code>
      <Description>The amount at the Tax on no -TFN quoted contributions is incorrect</Description>
      <LongDescription>A 'true' response has been given to the Australian superannuation fund question however the No-TFN quoted contributions amount is greater than zero and Tax on no-TFN quoted contributions is not equal to No-TFN quoted contributions amount multiplied by 0.015 or 0.315</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436302">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436329</Code>
      <Description>The amount at the Tax on no -TFN quoted contributions is incorrect</Description>
      <LongDescription>A 'false' response has been given to the Australian superannuation fund question however the Tax on no-TFN quoted contributions amount is not equal to No-TFN quoted contributions amount multiplied by 0.015</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436345</Code>
      <Description>Exempt current pension income equal to gross income and other deduction labels are greater than 0.</Description>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434068</Code>
      <Description>If 'Other deductions - code' is present, 'Other deductions' amount greater than zero must be present</Description>
      <Location>bafpr1.02.15:Expense.Other.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436101">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434069</Code>
      <Description>If an 'Other deductions' amount is present, an 'Other deductions' code must be present</Description>
      <Location>bafpr1.02.15:Expense.Other.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.434224.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434224</Code>
      <Description>Gross Tax must be greater than zero if 'No-TFN quoted contributions' are greater than zero</Description>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436212</Code>
      <Description>Member TFN must not be the same as the Fund TFN</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430100</Code>
      <Description>Franking credit amount must be present</Description>
      <LongDescription>If Dividends - Franked amount is present, then Franking credit must be present</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436259</Code>
      <Description>Invalid context. The number of Auditor contexts must equal 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436263</Code>
      <Description>Invalid context. The number of Reporting party Instant: Closing: Aust contexts must not exceed 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436264">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436264</Code>
      <Description>Invalid context. The number of Reporting party Instant: Closing: Foreign contexts must not exceed 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436265</Code>
      <Description>Invalid context. The number of Reporting Party: Closing contexts must not exceed 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.236267</Code>
      <Description>Invalid context. The no. of Reporting party Instant: Closing:Year 0, plus contexts must not exceed 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428016.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428016.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428016</Code>
      <Description>Tax File Number has failed the algorithm check</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434015</Code>
      <Description>Trustee name must be present if the Trustee ABN is present</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436254</Code>
      <Description>Professional body Membership number of Fund auditor must be supplied</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436268">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436651</Code>
      <Description>Entity identifier scheme for Auditor must be "http://www.asic.gov.au/san"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436155">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436155</Code>
      <Description>If the fund was wound up, closing account balances must be zero</Description>
      <LongDescription>If the answer to the question 'Was the fund wound up during the income year' is 'yes' (true), then the 'Total member closing account balances' amount must not be greater than zero</LongDescription>
      <Location>bafpo1.02.00:Equity.MemberAccountBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436062">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434041</Code>
      <Description>Gross foreign income must not be less than Net foreign income.</Description>
      <Location>bafpr1.02.04:Income.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436061</Code>
      <Description>Gross distribution from trusts' amount must be present</Description>
      <LongDescription>If 'Gross distribution from trusts - action code' is present, then a 'Gross distribution from trusts' amount must be present</LongDescription>
      <Location>bafpr1.02.04:Income.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436064">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436064</Code>
      <Description>Gross distribution from trusts - action code must be present</Description>
      <LongDescription>If a 'Gross distribution from trusts' amount is present, then a 'Gross distribution from trusts - action code' must be present</LongDescription>
      <Location>pyde.02.05:Party.TrustType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430098</Code>
      <Description>Franking credit cannot be greater than 48% of dividends-franked amount.</Description>
      <LongDescription>Franking credit must not exceed 48% of Dividends - Franked amount</LongDescription>
      <Location>bafpr1.02.00:Income.DividendsFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436030</Code>
      <Description>An answer to 'Have all lodgment and payment obligations been met?' must be present</Description>
      <LongDescription>If the answer to the question 'Was the fund wound up during the income year' is 'yes' (true), then an answer to the question 'Have all lodgment and payment obligations been met?' must be present</LongDescription>
      <Location>emsup.02.00:SuperannuationFundDetails.TaxObligationsMet.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434035</Code>
      <Description>Answer to CGT event question must be 'yes' (true)</Description>
      <LongDescription>If a Net capital gain amount is entered, then the answer to the question 'Did you have a CGT event during the year' must be 'yes' (true)</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436251">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436251</Code>
      <Description>Overseas address indicator must be 'no' (false).</Description>
      <LongDescription>Current postal address must be an Australian address. The overseas indicator must therefore be 'no' (false)</LongDescription>
      <Location>pyde.02.00:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.436279.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436279</Code>
      <Description>Declaration name must have a usage code of 'DeclarationSignatory'</Description>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436245">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430170</Code>
      <Description>A TOFA gain, loss or balancing adjustment amount must be present</Description>
      <LongDescription>If the answer to 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules' is 'Yes' (true), you must enter an amount greater than zero at TOFA gain, TOFA loss or TOFA balancing adjustment.</LongDescription>
      <Location>bafpr1.02.04:Income.GainsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436193">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436355</Code>
      <Description>Specified income year for FTE or IEE must be 2012 or later</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434075</Code>
      <Description>Gross tax must not be greater than zero</Description>
      <LongDescription>If a 'No-TFN quoted contributions' amount is not present, and 'Taxable income or loss' amount is less than or equal to zero, then the Gross Tax amount cannot be greater than zero</LongDescription>
      <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428253.FTER">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200011</Code>
      <Description>Invalid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428253.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200011</Code>
      <Description>Invalid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428253.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200011</Code>
      <Description>Invalid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428253.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200011</Code>
      <Description>Invalid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428253.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.200011</Code>
      <Description>Invalid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436210">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436210</Code>
      <Description>The name of the member must be present in the member information statement</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436246">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430168</Code>
      <Description>Answer to TOFA question must be 'yes'</Description>
      <LongDescription>If there is an amount for any Taxation of financial arrangements (TOFA) present, the answer to the question 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules', must be 'yes' (true)</LongDescription>
      <Location>bafpr1.02.04:Income.GainsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436208">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436208</Code>
      <Description>There must be Members Information for at least one member if the fund is not wound up</Description>
      <LongDescription>If the fund has not been wound up during the income year then there must be the Members information for at least one member</LongDescription>
      <Location>smsfar.0004.lodge.req.02.00:MemberInformation/pyin.02.00:Report.ItemOrder.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436066</Code>
      <Description>Assessable employer contributions must be present</Description>
      <LongDescription>If a Member information statement contains an 'Employer contribution' amount greater than zero, an 'Inward rollover amounts' greater than zero and the 'Member's TFN' is present, then there must be an 'Assessable employer contributions' amount in the Income section of the return</LongDescription>
      <Location>emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436249">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436249</Code>
      <Description>Answer to TOFA question must be true</Description>
      <LongDescription>If  'Other Income - Code' is "T - TOFA gains or TOFA balancing adjustment income" or 'Other deductions - Code' or 'Other non-deductible expenses - Code'  is "T - TOFA losses or deductible TOFA balancing adjustment", then the answer to the question 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules', must be true</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436332</Code>
      <Description>Gross payments subject to foreign resident withholding amount required</Description>
      <LongDescription>If there is an amount greater than zero at 'Credit for tax withheld - foreign resident withholding', then there must be an amount at 'Gross distributions from partnerships', 'Gross distributions from trusts' or 'Other income'</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436352</Code>
      <Description>Exempt current pension income cannot be greater than gross income</Description>
      <LongDescription>Exempt current pension income cannot be greater than Gross income less Transfers from foreign funds less Assessable contributions less Assessable income due to changed tax status of fund less Net non-arm's length income</LongDescription>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436153">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436153</Code>
      <Description>The sum of all Australian and overseas assets amounts must equal the sum of all liabilities amounts</Description>
      <Location>bafpo1.02.00:Liabilities.Borrowings.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436105</Code>
      <Description>Taxable income/loss must equal the sum of income amounts minus all deductions</Description>
      <Location>bafpr1.02.09:Income.Taxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408164">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408164</Code>
      <Description>Trustee declaration statement type code must have one 'TrueAndCorrect'</Description>
      <LongDescription>The FTER form must have one declaration that has type 'TrueAndCorrect'</LongDescription>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408165</Code>
      <Description>The ABN of the Reporting Party must be supplied on the standalone form if no intermediary.</Description>
      <LongDescription>The ABN of the Reporting Party is required for authentication on the standalone form unless the from is submitted by a tax agent intermediary.</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408151">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408151</Code>
      <Description>Number of interposed entities supplied must not exceed 120</Description>
      <LongDescription>SBR limits the submission within a single FTER schedule of the number of entities which have an interposed entity election in force in respect of a trust to 120</LongDescription>
      <Location>fter.0001.lodge.req.02.00:InterposedEntity</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408112.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408112</Code>
      <Description>Income year specified on main return form must equal the income year specified on the FTE schedule.</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436327">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436357</Code>
      <Description>Total of Eligible Credits amount incorrect</Description>
      <LongDescription>Total of Eligible credits must equal the sum of Credit for interest on early payments, Credit for tax withheld - foreign resident withholding, Credit for tax withheld - where ABN or TFN not quoted (non-individual), Credit for TFN amounts withheld from payments from closely held trusts and Credit for interest on no-TFN tax offset.</LongDescription>
      <Location>rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436632">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436632</Code>
      <Description>Account status must be 'Closed' if closing account balance is nil and account has outgoing amounts</Description>
      <LongDescription>If member is not deceased and account has amounts at 'Outward amounts less any rolled out contributions' or ' Lump sum payment' or 'Income stream payment', and 'Closing account balance' is zero then Member account status code must be 'closed'</LongDescription>
      <Location>emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!--
    
                            TRT Messages
    -->
  <diagnostic id="DVR.ATO.SMSFAR.436633">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436633</Code>
      <Description>A deceased member with closing account balance greater than zero must have account status 'Open'</Description>
      <Location>emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432433">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430310</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>The name of the person to whom notices should be sent must have the Name Type code 'LGL' (legal), Currency Code 'C' (current) and Usage code 'MailRecipient'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432347">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432347</Code>
      <Description>TB Statement information amount must be present</Description>
      <LongDescription>If within a Statement of Distribution the answer to the question 'TB statement' is 'yes' (true), then there must be an amount greater than zero at 'Tax preferred amounts' or Untaxed part of share of net income'</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432294">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432294</Code>
      <Description>Address of beneficiary must be present and be an overseas address</Description>
      <LongDescription>If you are making a TB Statement for a non-resident beneficiary (using Assessment calculation code 120 or 140) the address of the beneficiary must be present in the Statement of Distribution. The overseas address indicator must be 'yes' (true)</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432356">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430168</Code>
      <Description>Answer to TOFA question must be 'yes'</Description>
      <LongDescription>If there is an amount for any Taxation of financial arrangements (TOFA) present, the answer to the question 'Did you make a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules', must be 'yes' (true)</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432429">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432429</Code>
      <Description>Losses schedule must be attached</Description>
      <LongDescription>Public unit trust (listed other than cash management unit trust) that have Tax losses deducted of greater than $100,000 must complete Part B1 of the Losses schedule for unconsolidated entities</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432124">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430088</Code>
      <Description>Capital works deductions must equal the total Capital works deductions in the Rental Schedules</Description>
      <LongDescription>The Capital works deductions amount in the main form must equal the total of all Capital works deductions in the Rental property schedules</LongDescription>
      <Location>bafpr1.02.02:Expense.CapitalWorksDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430180</Code>
      <Description>If the Interposed Entity Election revocation code is present, an IEE schedule must be present</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432022</Code>
      <Description>s98(4) assessable amount must be present</Description>
      <LongDescription>In a Statement of Distribution, if the Assessment calculation code is 140, then there must be an amount present at 's98(4) assessable amount'</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432348">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432348</Code>
      <Description>TB Statement information amount must NOT be present</Description>
      <LongDescription>If within a Statement of Distribution the answer to the question 'TB statement' is not 'yes' (false or blank), then there must NOT be an amount greater than zero at 'Tax preferred amounts' or Untaxed part of share of net income'</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432430">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432430</Code>
      <Description>The number of Other Australian income items must not exceed 50</Description>
      <Location>trt.0003.lodge.req.02.00:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432122">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430086</Code>
      <Description>Rental Interest deductions must equal the total Interest deductions in the Rental Schedules</Description>
      <LongDescription>The Interest deductions amount in the main form must equal the total of all Interest deductions in the Rental property schedules</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432095">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434079</Code>
      <Description>Credit: Interest on early payments must not be less than 50 cents</Description>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432389">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430109</Code>
      <Description>Other deductions must not exceed 99 instances</Description>
      <Location>trt.0003.lodge.req.02.00:OtherDeductions/bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432390">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432390</Code>
      <Description>The number of Statements of distribution must not exceed 130</Description>
      <Location>trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary/address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432425">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432425</Code>
      <Description>At least one amount must be present for Other Australian Income - withholding details</Description>
      <LongDescription>For each ABN that is provided against Other Australian income - Withholding details, at least one payment amount must be present</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432164">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432164</Code>
      <Description>Each Other Australian income item must include both an amount and a description</Description>
      <LongDescription>For each Other Australian income amount, a description must be present; and for each description, an amount must be present</LongDescription>
      <Location>bafpr1.02.00:Income.Other.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432601">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432601</Code>
      <Description>IncomeNoBeneficiaryPresentlyEntitled tuple can only appear once</Description>
      <LongDescription>IncomeNoBeneficiaryPresentlyEntitled tuple can only appear once. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432602">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432602</Code>
      <Location>bafpr1.02.05:Expense.DistributionBeneficiaryCloselyHeldTrust.Amount</Location>
      <Severity>Information</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432603">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432603</Code>
      <Location>trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails/rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount</Location>
      <Severity>Information</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432604">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432604</Code>
      <Description>SuperannuationIncomeStreamWithholdingPaymentDetails tuple can only appear once</Description>
      <LongDescription>SuperannuationIncomeStreamWithholdingPaymentDetails tuple can only appear once. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432605">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432605</Code>
      <Description>SuperannuationLumpSumWithholdingPaymentDetails tuple can only appear once</Description>
      <LongDescription>SuperannuationLumpSumWithholdingPaymentDetails tuple can only appear once. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails/crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432606">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432606</Code>
      <Description>MailRecipient tuple can only appear once</Description>
      <LongDescription>MailRecipient tuple can only appear once. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:MailRecipient/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432607">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432625</Code>
      <Description>PP or Non PP Share of income or franked distributions  must be present</Description>
      <LongDescription>If within a Statement of Distribution there is an amount greater than zero at 'Credit for tax withheld - foreign resident withholding', then there must be an amount at either 'Share of income - primary production'  or 'Share of income - non-primary production' or 'Franked distributions' where 'Income to which no beneficiary is presently entitled'.</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432646">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432646</Code>
      <Description>Attributed foreign income incorrect</Description>
      <LongDescription>The sum of amounts at attributable income of controlled foreign companies and controlled foreign trusts on the IDS should be equal to or less than the sum of amounts at Listed country, Section 404 country and Unlisted country on the trust return form.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432647">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432647</Code>
      <Description>Attributed foreign income incorrect</Description>
      <LongDescription>Assessable income of controlled foreign companies and controlled foreign trusts under section 456 for Listed countries (Question 22 Label A) on the IDS should be equal to or less than Attributed foreign income - Listed country on the trust return.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432648">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432648</Code>
      <Description>Number of controlled foreign companies or trusts required</Description>
      <LongDescription>Listed country, Section 404 country, Unlisted country or Transferor trust (Item 8 Labels B, C, U or V) has been completed on the trust return form and the number of controlled foreign companies or trusts (Question 21) on the IDS has not been shown. Show zero at Question 21 Labels B, C or D on the IDS if at the end of your income year you no longer held an interest in CFCs or CFTs.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432649">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432649</Code>
      <Description>Transactions with specified countries question incorrect</Description>
      <LongDescription>If there is a 'True' response at 'Did you have dealings with international related parties located in specified countries?' on the IDS then the response at Overseas transactions - Transactions with specified countries on the trust return must be 'True'.</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432650">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432650</Code>
      <Description>Interest expenses required</Description>
      <LongDescription>If Debt deductions in earning non-assessable foreign income claimed under s25-90 has been completed on the IDS then Total interest expenses or Other deductions or Interest expenses overseas must be greater than zero on trust return form.</LongDescription>
      <Location>bafpr2.02.04:Expense.Operating.InterestTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432651">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432651</Code>
      <Description>Gross other assessable foreign source income required</Description>
      <LongDescription>If Total amount of your share of net income/distribution of profit (Question 29 Label C) has been completed on the IDS then the Gross Other assessable foreign source income (Item 23 Label B) must be completed on the trust return form.</LongDescription>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432652">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432652</Code>
      <Description>Check response to CGT event question</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any capital gains tax (CGT) events in relation to your interest in a foreign company?' On the IDS then a 'True' response is required at 'Did you have a CGT event during the year?' on the trust return.</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432653">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432653</Code>
      <Description>Net capital gain required</Description>
      <LongDescription>If Capital gain amounts has been completed on the IDS then Net capital gain must be completed on the trust return.</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432654">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432654</Code>
      <Description>Response to TOFA question required</Description>
      <LongDescription>If there is a 'True' response to 'Are you subject to the Taxation of Financial Arrangements rules contained in Division 230 of the ITAA 1997?' on the IDS, then there must be a 'True' response to 'Did you make a gain, loss or balancing adjustment from a financial arrangement subject to the TOFA rules?' on the trust return.</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432655">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432655</Code>
      <Description>Royalty expenses overseas required</Description>
      <LongDescription>If a Royalties deduction amount (Question 6a Label C) has been completed on the IDS then Royalty expenses overseas (BPI Label R) must be greater than zero on the partnership or trust return form.</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432656">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432656</Code>
      <Description>Royalties deductions incorrect</Description>
      <LongDescription>If Royalties deductions has been completed on the IDS then it must be less than or equal to Royalty expenses overseas on the trust return form</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432292">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432616</Code>
      <Description>Assessment calculation code must be present</Description>
      <LongDescription>If a Statement of Distribution contains an amount at Primary production income, Non-primary production income, Credit for tax withheld where ABN not quoted, Franked distributions, Franking credit, TFN amounts withheld, or Australian franking credit from a NZ company, then an Assessment calculation code must be present in the statement.</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430093</Code>
      <Description>TFN amounts withheld from dividends must not exceed 50% of Gross interest</Description>
      <Location>rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430095</Code>
      <Description>Dividends amounts must be present</Description>
      <LongDescription>If an amount greater than zero is present at TFN amounts withheld from dividends, then there must also be an amount greater than zero at Unfranked amount or Franked amount</LongDescription>
      <Location>bafpr1.02.05:Income.DividendsUnfranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432134">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430096</Code>
      <Description>TFN amount withheld must not exceed 50% of franked and unfranked dividends</Description>
      <LongDescription>The amount at TFN amounts withheld from dividends must not be greater than 50% of Franked amount plus Unfranked amounts</LongDescription>
      <Location>bafpr1.02.05:Income.DividendsUnfranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432112">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432112</Code>
      <Description>TFN amounts withheld from interest must equal beneficiaries amount</Description>
      <LongDescription>The sum of 'TFN amounts withheld' recorded in the Statements of distribution must equal the sum of 'Share of credit for TFN amounts withheld from interest...' plus 'TFN amounts withheld from gross interest' plus 'TFN amounts withheld from dividends'</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432277">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432614</Code>
      <Description>Levy exemption days exceeds limit</Description>
      <LongDescription>The number of days full levy exemption and/or the number of days half levy exemption exceed 365 (366 in leap years).</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432280">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432280</Code>
      <Description>Trust beneficiary cannot have a zero or a negative income distribution</Description>
      <LongDescription>A trust can only make an overall distribution of net income to each individual or non-individual beneficiary.  Please adjust distributed income until the overall negative amount no longer exists.</LongDescription>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432286">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432286</Code>
      <Description>Beneficiary's tax file number must be present if the TFN identifier is present</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432284">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430141</Code>
      <Description>TFN or address must be present in each Statement of Distribution</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432285">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430142</Code>
      <Description>Tax file number must not be the TFN of the Trust or Partnership</Description>
      <LongDescription>The TFN provided for a Trustee or Partner in a Statement of distribution must not be the same as the TFN of the Trust or Partnership</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432314">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432314</Code>
      <Description>Foreign income tax offsets must not be present if trust has zero net income or incurs a loss</Description>
      <LongDescription>If there is zero net income or an overall trust loss (the sum of net Australian income/loss, net capital gains, attributed foreign income, other assessable foreign source income; minus allowable tax losses is less than or equal to zero) then a 'Foreign income tax offset' amount must not be present in a Statement of Distribution or at 'Income to which no beneficiary is presently entitled..'. Foreign income tax offsets cannot be distributed when there is zero net income or an overall trust loss. Delete the Foreign income tax offsets from the distribution statement.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432315">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432315</Code>
      <Description>Foreign income tax offsets amount must equal distributed amounts</Description>
      <LongDescription>If the overall net trust income is greater than zero (the sum of net Australian income/loss, net capital gains, attributed foreign income, other assessable foreign source income; minus allowable tax losses), then the sum of Foreign income tax offsets in the Statements of Distribution, including 'Income to which no beneficiary is presently entitled', must equal the Foreign income tax offsets' of the trust</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432189">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434036</Code>
      <Description>Net capital gains in return must equal total net capital gain in CGT schedule.</Description>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432042</Code>
      <Description>Capital Gains Tax schedule must be present</Description>
      <LongDescription>If Net capital gain is greater than $10,000, a Capital Gains Tax schedule must be present</LongDescription>
      <Location>pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432367">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432365">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432365</Code>
      <Description>Current name of trust must be present</Description>
      <LongDescription>There must be one instance of the current main Name of the trust. This name must be submitted with a Currency Code 'C' and a Type of 'MN'</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432366">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432366</Code>
      <Description>Current postal address of the trust must be present</Description>
      <LongDescription>There must be one instance of the current postal address of the Trust. This address must be submitted with a Currency Code 'C' and a Usage of 'POS'. Line 1, Suburb/Town/City must be present</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432368">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432369">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432370">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.00:Lodgment.FinalReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432374">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432377">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432378">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432379">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432383">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432384">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432384</Code>
      <Description>Death benefit superannuation lump sum must be complete</Description>
      <LongDescription>The 'Death benefit superannuation lump sum where the beneficiary is a non-dependant' must include a 'Taxed element' amount or 'Untaxed element' amount (or both), plus Beneficiary type code 'O', plus Death benefit indicator set to 'TRUE'</LongDescription>
      <Location>emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432570">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432373">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432375">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434088</Code>
      <Description>Net capital losses carried forward to later income years must equal amount in CGT schedule</Description>
      <LongDescription>The total of the 'Unapplied net capital losses carried forward'  in the Capital Gains Tax schedule must equal 'Net capital losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430176</Code>
      <Description>Year of revocation must be the same as the year of the return</Description>
      <LongDescription>The income year for which the details of the Interposed Entity Election are being revoked must equal the income year of the main return being lodged.</LongDescription>
      <Location>bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432017</Code>
      <Description>Family trust election or revocation schedule must be present</Description>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430178</Code>
      <Description>IEE specified income year must be present</Description>
      <LongDescription>If an IEE schedule is present, the Interposed entity election status - Specified income year must be present</LongDescription>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432234">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430129</Code>
      <Description>Business name and business address of main business must be present</Description>
      <LongDescription>If Total business income (Primary production or Non-primary production) is present at business income and expenses, then both the Business name and Business address of main business must be present</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432235">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432235</Code>
      <Description>Business and professional items amounts must be present</Description>
      <LongDescription>If Net business income is present under Business income and deductions, then at least one Business and professional items amount must be present</LongDescription>
      <Location>bafpo7.02.04:Assets.Inventories.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430050</Code>
      <Description>Total Net income or loss must equal total Income, plus Reconciliation items, minus total Expenses</Description>
      <LongDescription>The total of Primary production and Non-primary production Net business income must equal the total of all income amounts, plus Reconciliation items, minus the sum of all expenses amounts</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432041</Code>
      <Description>If  business income (primary production or non-primary production) is present, an Industry code (ANZSIC) must be present</Description>
      <Location>pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430018</Code>
      <Description>Total business income amount required</Description>
      <LongDescription>Business name of main business or street address of main business is present and total business income (primary production or non-primary production) is missing at business income and expenses.</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432193">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432193</Code>
      <Description>Attributed foreign income must equal distributed amounts</Description>
      <LongDescription>If the overall net trust income is greater than zero (the sum of net Australian income/loss, net capital gains, attributed foreign income, other assessable foreign source income; minus allowable tax losses), then the sum of Attributed Foreign Income in the Statements of distribution must equal to the sum of the Attributed Foreign Income amounts for the Trust</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432358">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430215</Code>
      <Description>TOFA gains, losses, or balancing adjustment amount must be present</Description>
      <LongDescription>If the answer to the question 'Did you make a gain, loss, or transitional balancing adjustment from a financial arrangement subject to the TOFA rules' is 'Yes' (true), then a Taxation of financial arrangements (TOFA) gains, losses, or balancing adjustment amount must be present</LongDescription>
      <Location>bafpr1.02.04:Income.GainsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432683</Code>
      <Description>An overall trust loss must not be distributed between trusts</Description>
      <LongDescription>The sum of Share of net income from trusts, plus Net capital gains, plus Attributed foreign income, plus Other assessable net foreign source income, plus Aust'n franking credits from a NZ coy, must not total less than zero. This indicates that an overall trust loss is being distributed between trusts.</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432298">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432667</Code>
      <Description>Australian franking credits from a NZ franking company amount must not be less than distributed amounts</Description>
      <LongDescription>If the overall net trust income is greater than zero (the sum of net Australian income/loss, net capital gains, attributed foreign income, other assessable foreign source income; minus allowable tax losses), and 'Australian franking credits from a NZ franking company' is present for the trust, then this amount must be greater than or equal to the amount of 'Australian franking credits from a NZ franking company' in the Statements of distribution</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432207</Code>
      <Description>Tax losses deducted must not exceed total income.</Description>
      <LongDescription>The amount at 'Tax losses deducted' must not be greater than the sum of 'Net Aust'n income or loss', plus 'Net capital gain', plus 'Attributed foreign income' amounts, plus 'Net - Other assessable foreign income', plus 'Aust'n franking credits from a NZ coy'</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434087</Code>
      <Description>Net capital losses carried forward to later income years must equal amount in Losses schedule</Description>
      <LongDescription>The total of the 'Net capital losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Net capital losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432687</Code>
      <Description>Small business entity simplified depreciation must not exceed Depreciation expenses</Description>
      <LongDescription>The sum of deductions for 'Small business entity simplified depreciation' must not exceed the 'Depreciation expenses' amount</LongDescription>
      <Location>bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432030</Code>
      <Description>Date of death must not be after the financial year of the return</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Death.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430015</Code>
      <Description>Description of main business activity and total business income must be present</Description>
      <LongDescription>If an Industry code is present, then the 'Description of main business activity' and business income (Primary Production and/or Non-Primary Production) must be present</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432689</Code>
      <Description>PP income/loss from business and/or PP distribution from partnerships or share of net income from trusts must be present</Description>
      <LongDescription>If an amount greater than zero is present in a distribution statement at Share of income: primary production, then there must also be an amount greater than zero at primary production income or loss from business, or primary production distribution from partnerships, or primary production share of net income from trusts</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430023</Code>
      <Description>Net non-PP income must be present</Description>
      <LongDescription>Total business income from non-primary production (Gross payments where ABN not quoted, Gross payments subject to foreign resident withholding, Assessable government industry payments, Other business income) is present without net non-primary production income/loss amount.</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430056</Code>
      <Description>Tax withheld where ABN not quoted cannot be greater than 50% of Gross payments (PP and Non-PP) where ABN not quoted.</Description>
      <LongDescription>Tax withheld where ABN not quoted cannot be greater than 50% of Gross payments (Primary production and Non-primary production) where ABN not quoted.</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430183</Code>
      <Description>Payment Summary schedule must include Tax withheld where ABN not quoted amount</Description>
      <LongDescription>If an amount greater than zero has been entered at Tax withheld from payments where ABN no quoted, then a Payment Summary schedule must be present and it must include the same total amount of Tax withheld from payments where ABN no quoted</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432210">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432210</Code>
      <Description>Losses schedule must be attached where total of tax losses and net capital losses exceeds $100000</Description>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430019</Code>
      <Description>Payment Summary schedule must be present if Gross payments where ABN not quoted is present</Description>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430020</Code>
      <Description>Gross payment where ABN not quoted must equal sum of payments on schedule</Description>
      <LongDescription>The sum of gross payment with indicator 'N' in the Payment Summary schedule must equal the sum of Primary production and Non-primary production Gross payments where ABN not quoted on main return form</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432669</Code>
      <Description>Gross payment - Foreign Resident Withholding is incorrect</Description>
      <LongDescription>The sum of gross payments with indicator 'F' in the Payment Summary schedule must be equal to total gross payment subject to foreign resident withholding non-primary production on the main return form</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432670</Code>
      <Description>NPP Gross payments subject to foreign resident withholding must be present</Description>
      <LongDescription>If Credit for tax withheld - foreign resident withholding is present, then Non Primary production Gross payment subject to foreign resident withholding must be present</LongDescription>
      <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430030</Code>
      <Description>PP Assessable government industry payments amount must be present</Description>
      <LongDescription>If Primary production - Assessable government industry payments action code is present, Primary production - Assessable government industry payments amount must be present and not zero</LongDescription>
      <Location>gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430032</Code>
      <Description>Non-PP Assessable government industry payments amount must be present</Description>
      <LongDescription>If Non-primary production - Assessable government industry payments action code is present, Non-primary production - Assessable government industry payments must be present and not zero</LongDescription>
      <Location>gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432089">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432089</Code>
      <Description>Total Tax withheld where ABN not quoted must equal beneficiaries amounts</Description>
      <LongDescription>The sum of 'Credit for tax withheld where ABN not quoted' recorded in the Statements of distribution must equal the sum of 'Credit for tax withheld where ABN not quoted' plus 'Share of credit for tax withheld where ABN not quoted'</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432342">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432342</Code>
      <Description>National rental affordability scheme tax offset amount must equal distributed amounts</Description>
      <LongDescription>The sum of 'Share of National rental affordability scheme tax offset' amounts in the Statements of Distribution must equal the amount at 'National rental affordability scheme tax offset entitlement' for the trust</LongDescription>
      <Location>gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432208">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432208</Code>
      <Description>Widely held trusts must indicate whether continuity of majority ownership test passed for each year of loss</Description>
      <LongDescription>Public unit trust (listed other than cash management unit trust) that have Tax losses deducted of greater than $100,000 must complete Part B1 of the Losses schedule for unconsolidated entities</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432578">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432624</Code>
      <Description>Sum of Share of credit for TFN amounts withheld not equal to Credit for TFN amounts withheld</Description>
      <LongDescription>In the distribution statement the sum of Share of credit for TFN amounts withheld from payments from closely held trusts to which beneficiaries are entitled to and to which beneficiaries are not entitled to is not equal to the Credit for TFN amounts withheld from payments from closely held trusts.</LongDescription>
      <Location>rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432179">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432179</Code>
      <Description>Net trust income must equal distributed income</Description>
      <LongDescription>If the overall net trust income is greater than zero (the sum of net Australian income/loss, net capital gains, attributed foreign income, other assessable foreign source income; minus allowable tax losses of earlier income years deducted this year) and the sum of the income amounts in the statements of distribution must equal the overall net trust income.</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432180">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432613</Code>
      <Description>Net Australian income must equal income less deductions</Description>
      <LongDescription>The amount of net Australian income/loss is not equal to the sum of all Australian income less all Australian source deductions.</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432181">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432181</Code>
      <Description>Zero net income or an overall trust loss cannot be distributed</Description>
      <LongDescription>If there is an overall trust loss (i.e. the sum of net Australian income/loss plus net capital gains, plus attributed foreign income plus other assessable foreign source income minus allowable tax losses of earlier income years deducted this year, is less than zero) there can not be income distribution amounts present in any statement of distribution</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432110</Code>
      <Description>Sum of Franking credit amounts must equal beneficiaries amounts</Description>
      <LongDescription>If Total net income is greater than zero, then the sum of 'Franking credit' recorded in the Statements of distribution must equal the sum of 'Share of franking credit from franked dividends', 'Franking credit' and 'Australian franking credits from a New Zealand franking company'.</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432593">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432593</Code>
      <Description>The beneficiary TFN reported must not be reported more than once.</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432594">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432594</Code>
      <Description>Client's reference must not exceed 12 characters in length</Description>
      <Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432561">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432561</Code>
      <Description>Maximum Length for Suburb/Town is 60 characters</Description>
      <LongDescription>Field has incorrect format. The maximum number of characters for Suburb/Town is 60.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432563">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432563</Code>
      <Description>Previous postal address is only required when an address change has occurred since the last return</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432568">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432568</Code>
      <Description>Current Business Address required for non individual beneficiary.</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432577">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432577</Code>
      <Description>The Other attachments schedule must not exceed 3000 characters</Description>
      <LongDescription>Tthe 'Other attachments' schedule is represented by the 'Regulatory Disclosures. General Information About Financial Statements.Text' element</LongDescription>
      <Location>bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432336">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432704</Code>
      <Description>Code value must be 'Resident' or 'NonResidentNoPermEstab'</Description>
      <LongDescription>To indicate the trust is a non-resident trust, use code 'NonResidentNoPermEstab' - Non Resident. To indicate the trust is not a non-resident trust use code 'Resident'.</LongDescription>
      <Location>pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432339">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432703</Code>
      <Description>Non-resident trust income amount must not be present</Description>
      <LongDescription>If the answer to the question 'Is the trust a non-resident trust' is 'Resident', indicating 'resident', then an amount must NOT be present at '...the amount of income derived outside Australia to which no beneficiary is presently entitled...'</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432023</Code>
      <Description>Trust code must be  '039', '059', '071', '072', '077', '089', '090', '112', '179', '184 or '203'</Description>
      <LongDescription>Trust codes are: 039' - cash management unit trust; '059' - deceased estate;  '071' - discretionary investment trust; '072' - discretionary service trust; '077' - discretionary trading trust; '089' - fixed unit trust-other than public unit trust as described in 179 or 184; '090' - fixed trust-other than a fixed unit trust or public unit trust as described in 089, 179 or 184; '112' - hybrid trust-trust with fixed AND discretionary elements; '179' - public unit trust-listed other than cash management unit trust; '184' - public unit trust-unlisted other than cash management unit trust. '203' - special disability trust</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432560">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432560</Code>
      <Description>Invalid context. The number of Reporting Party Closing contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430181</Code>
      <Description>Industry code must be a valid ANZSIC code</Description>
      <LongDescription>The Industry code must be a valid extended ATO ANZSIC code.  Please supply a valid industry code which accurately describes the main business activity</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434086</Code>
      <Description>Tax losses carried forward to later income years in schedule must equal amount in main form</Description>
      <LongDescription>The total of the 'Tax losses carried forward to later income years'  for unconsolidated entities in the Losses schedule must equal 'Tax losses carried forward to later income years' on the main form</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432622</Code>
      <Description>Assessment calculation code must be: 15, 16, 17, 36, 37</Description>
      <LongDescription>The choice for resident trustee to be assessed to capital gains on behalf of beneficiaries assessment calculation code must be 15 - Trust where the deceased person died less than three years before the end of the income year; 16 - Trust where the deceased person died three or more than three years before the end of the income year; 36 - Inter vivos trusts - no beneficiary entitled to income; 37 - Inter vivos trusts - bankrupt estate or subsection 99A(2) of ITAA 1936 is to be applied.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432595">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432595</Code>
      <Description>Organisation Name Type code must be 'MN' or 'MTR'</Description>
      <LongDescription>A non-individual name must have the Name Type code 'MN' (main) or 'MTR' (main trading name). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432413">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432413</Code>
      <Description>Family trust revocation code must be 'R' for revocation or 'V' for variation</Description>
      <Location>rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432582">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432582</Code>
      <Description>Individual name must be present for individual beneficiaries.</Description>
      <Location>rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432581">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432581</Code>
      <Description>In distribution statement the entity type of beneficiary code must be present</Description>
      <LongDescription>Family name or non-individual name line 1 is present in the distribution statement without the entity type of beneficiary code.</LongDescription>
      <Location>rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432597">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432597</Code>
      <Description>ETP payments can only be made to beneficiary type code "D" or "O"</Description>
      <Location>trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails/emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432573">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432573</Code>
      <Description>Contact name must not exceed 200 characters in length</Description>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432240">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430198</Code>
      <Description>Closing stock action code must be present if Closing stock amount is present</Description>
      <Location>bafpo7.02.02:Assets.Inventories.ValuationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432569">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432569</Code>
      <Description>Current Residential Address required for individual beneficiary.</Description>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432572">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432572</Code>
      <Description>Telephone must include area code for landline numbers.</Description>
      <LongDescription>Telephone must include area code for landline numbers.</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432238">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430197</Code>
      <Description>Closing stock amount must be present if Code is present</Description>
      <Location>bafpo7.02.04:Assets.Inventories.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432241">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430199</Code>
      <Description>Trade debtors amount must not exceed All current assets amount</Description>
      <Location>bafpo1.02.00:Assets.TradeandReceivablesOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432243">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430200</Code>
      <Description>Trade creditors cannot exceed all current liabilities in Financial and other information</Description>
      <Location>bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432245">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430131</Code>
      <Description>Total salary and wage expenses amount must be present if the action code is present</Description>
      <LongDescription>If a Total salary and wage expenses action code is present an amount must be present. Either enter an amount or delete the action code</LongDescription>
      <Location>lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432247">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430132</Code>
      <Description>Total salary and wage expenses action code must be present</Description>
      <LongDescription>If a Total salary and wage expenses amount is present, then an action code must be present</LongDescription>
      <Location>lrla.02.05:Remuneration.WagesAndSalariesAction.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432418">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432418</Code>
      <Description>Assessment calculation code must be:11-14,25-30,34,35,45,111,118 -120,125-129,138,139,140,145</Description>
      <LongDescription>Beneficiary Assessment calculation code must be: RESIDENT - INTER VIVOS TRUSTS: 25 - Over 18 years of age under a legal disability or an excepted person; 26 - A prescribed person receiving excepted income only; 27 - A prescribed person receiving eligible income only; 28 - A prescribed person receiving excepted and eligible income only; 29 - A prescribed person receiving eligible income from more than one trust; 30 - Not under any legal disability; 34 - A company; 35 - A trustee. NON-RESIDENT - INTER VIVOS TRUSTS: 125 - Over 18 years of age under a legal disability or an excepted person; 126 - A prescribed person receiving excepted income only; 127 - A prescribed person receiving eligible income only; 128 - A prescribed person receiving excepted and eligible income only; 129 - A prescribed person receiving eligible income from more than one trust; 138 - Not under any legal disability; 139 - A company; 140  - A trustee. RESIDENT - DECEASED ESTATE: 11 - Under a legal disability; 12 - Not under a legal disability; 13 - A company; 14 - A trustee. NON-RESIDENT DECEASED ESTATE: 111 - Under a legal disability; 118 - Not under a legal disability; 119 - A company; 120 - A trustee. SPECIAL DISABILITY TRUSTS: 45 - Resident beneficiary; 145 - Non-resident beneficiary.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432288">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432288</Code>
      <Description>TFN trailing number must be in the range 1 to 49.</Description>
      <Location>trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary/pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432583">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432583</Code>
      <Description>Non-individual name must be present for non-individual beneficiaries.</Description>
      <Location>trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary/rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432419">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432419</Code>
      <Description>The number of ETP payments for a dependent beneficiary must not exceed 1.</Description>
      <LongDescription>You may provide a maximum of two instances of Eligible termination payments. One for where the beneficiary is a dependant and another where the beneficiary is a non-dependant.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails/emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432432">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430304</Code>
      <Description>Organisation Name Type code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>The name of the non-individual partner to whom notices should be sent must have the Name Type code 'MN' (main) and Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432422">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430303</Code>
      <Description>Organisation Name Type code must be 'MN' and Currency Code must be 'C'</Description>
      <LongDescription>Each non-individual name within the Statement of Distribution must have the Name Type code 'MN' (main) and Currency Code 'C' (current). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432173">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430188</Code>
      <Description>FMIS deduction amount must be present</Description>
      <LongDescription>If one or more Forestry managed investment scheme - Ruling codes are present, a FMIS deduction amount must be present</LongDescription>
      <Location>bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432311">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432311</Code>
      <Description>Attributed foreign income or Other assessable foreign source income must be present</Description>
      <LongDescription>If 'Foreign income tax offsets' is greater than zero in the 'Income to which no beneficiary is presently entitled', then there must be 'Attributed foreign income' or 'Other assessable foreign source income' against the 'Income to which no beneficiary is presently entitled'</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432177">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430110</Code>
      <Description>Other deductions amount must be present</Description>
      <LongDescription>If Name of each item of deduction is present, then the Other deductions - Amount must be present and greater than zero</LongDescription>
      <Location>bafpr1.02.04:Expense.DeductibleOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432192">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432192</Code>
      <Description>Answer to the 'Did you have a CGT event..?' question must be 'yes'</Description>
      <LongDescription>If an amount is present at Net capital gain, then the answer to the question 'Did you have a CGT event during the year?' must be 'yes' (true)</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430116</Code>
      <Description>Answer to Attributed foreign income question must be 'yes'</Description>
      <LongDescription>If Attributed foreign income - Listed country, Section 404 country, or Unlisted country is greater than zero, then a yes (true) response to the question "Did you have either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust?" is required</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432283">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432283</Code>
      <Description>Attributed foreign income or Other assessable foreign source income must be present</Description>
      <LongDescription>If 'Foreign income tax offsets' is greater than zero in a Statement of Distribution',  then there must be 'Attributed foreign income' or 'Other assessable foreign source income' within a beneficiary's Statement of Distribution or against the 'Income to which no beneficiary is presently entitled'</LongDescription>
      <Location>rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432013</Code>
      <Description>Name of individual AND name of company must not both be present</Description>
      <Location>trt.0003.lodge.req.02.00:MailRecipient/prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430194</Code>
      <Description>All current assets must not exceed Total assets</Description>
      <Location>bafpo1.02.00:Assets.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432138">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430100</Code>
      <Description>Franking credit amount must be present</Description>
      <LongDescription>If Dividends - Franked amount is present, then Franking credit must be present</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432424">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430311</Code>
      <Description>Individual name Type code, Currency code and Usage code must be present and correct</Description>
      <LongDescription>The Individual name of each person in each Statement of Distribution must have the Name Type code 'LGL' (legal), Currency Code 'C' (current) and Usage code 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432263</Code>
      <Description>No amount in Unpaid present entitlement to a private company.</Description>
      <LongDescription>Unpaid present entitlement to a private company does not contain an amount and code is D or X.</LongDescription>
      <Location>rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430195</Code>
      <Description>All current liabilities must not exceed Total liabilities</Description>
      <Location>bafpo1.02.00:Liabilities.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430133</Code>
      <Description>Interest expenses overseas must not exceed Total interest expenses</Description>
      <LongDescription>Interest expenses overseas under Business and professional items, must not be greater than Total interest expenses under Business income and expenses</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432289">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432289</Code>
      <Description>Beneficiary's date of birth must be present</Description>
      <LongDescription>If the Assessment calculation code in the distribution statement is 11, 25 to 29, 111, 125 to 129, the beneficiary's Date of birth must be present</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432256">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430133</Code>
      <Description>Interest expenses overseas must not exceed Total interest expenses</Description>
      <LongDescription>Interest expenses overseas under Business and professional items, must not be greater than Total interest expenses under Business income and expenses</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430040</Code>
      <Description>Overseas royalty expenses must not exceed Total royalty expenses</Description>
      <LongDescription>Overseas royalty expenses - under Business and professional items must not be greater than Total royalty expenses - under Business income and expenses</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430009</Code>
      <Description>Previous postal address must not be the same as current postal address</Description>
      <LongDescription>Previous postal address is only required when an address change has occurred since the last return.  Delete previous postal address or input the old address if a change of address has occurred.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432015</Code>
      <Description>Name of the trustee to whom notices should be sent must be present</Description>
      <LongDescription>If the trustee is an individual, provide the name of the individual. If the trustee is a company, provide the name of the company</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432031</Code>
      <Description>Date of death must be present if the Type of trust estate is a deceased estate (code 059)</Description>
      <Location>pyde.02.00:PersonDemographicDetails.Death.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432352">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432660</Code>
      <Description>Share of net income from trusts action code must be present</Description>
      <LongDescription>If Primary production- Share of net income from trusts is greater than zero, the Primary production - Share of net income from trusts action code must be present</LongDescription>
      <Location>pyde.02.05:Party.TrustType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432276">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432276</Code>
      <Description>Number of dependent children and students is greater than 12</Description>
      <LongDescription>The number of dependent children and students shown for Medicare levy reduction or exemption cannot be greater than 12.</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432281">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432281</Code>
      <Description>Either an individual or non-individual name must be present in each Statement of distribution</Description>
      <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432290">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432290</Code>
      <Description>Further information must be provided at Other attachments schedule</Description>
      <LongDescription>If the Assessment calculation code in a Statement of Distribution is a non-resident code (111, 118, 119, 120, 125 to 129, 138, 139 or 140) then further details must be supplied using the 'Other Attachments' schedule</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432337">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432705</Code>
      <Description>Non-resident trust - amount of income must be present</Description>
      <LongDescription>If the answer to the question 'Is the trust a non-resident trust' is 'NonResidentNoPermEstab', indicating non-resident, then an amount must be present at '...the amount of income derived outside Australia to which no beneficiary is presently entitled...'</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432287">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432287</Code>
      <Description>To make a correct TB statement, TFN must be present for resident trustee beneficiary</Description>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432303">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432618</Code>
      <Description>Non-PP income or franked distributions amount must be present in Statement of distribution</Description>
      <LongDescription>If within a Statement of Distribution ''Franking credit' or 'TFN amount withheld' is present, then there must be an amount at 'Non-primary production income' or 'Franked distributions'. Zero is acceptable if there is an overall trust loss.</LongDescription>
      <Location>bafpr1.02.04:Income.BeneficiaryShare.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432567">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432567</Code>
      <Description>The number of ETP payments for a non-dependent beneficiary must not exceed 1.</Description>
      <LongDescription>You may provide a maximum of two instances of Eligible termination payments. One for where the beneficiary is a dependant and another where the beneficiary is a non-dependant.</LongDescription>
      <Location>trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails/emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432027</Code>
      <Description>If there is a Date of death, then the Type of trust must be a 'deceased estate' - code '059'</Description>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432026</Code>
      <Description>Special disability trust must not have income to which no beneficiary is presently entitled</Description>
      <LongDescription>If the Type of trust is a special disability trust (code 203), then there must not be any 'income to which no beneficiary is presently entitled' and that Assessment calculation code must be blank</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430098</Code>
      <Description>Franking credit cannot be greater than 48% of dividends-franked amount.</Description>
      <LongDescription>Franking credit must not exceed 48% of Dividends - Franked amount</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.FrankingCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432293">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432293</Code>
      <Description>Assessment calculation code must be present</Description>
      <LongDescription>If within a Statement of Distribution the answer to the TB statement question is either 'no' (false) or absent, then an Assessment calculation code must be present</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432087">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430057</Code>
      <Description>PP or Non-PP Gross payments where ABN not quoted must be present</Description>
      <LongDescription>If Tax withheld where ABN not quoted is present there must be an amount at Gross payments where ABN not quoted for either Primary production or Non-primary production</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432282">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432615</Code>
      <Description>Both family name and company name present</Description>
      <LongDescription>Family name and non-individual name line 1 are both present in the distribution statement. Please delete the incorrect name as only one individual or non-individual name may be present.</LongDescription>
      <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432596">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432596</Code>
      <Description>Address usage code must be 'POS' or 'BUS'</Description>
      <LongDescription>An address must have a Usage code 'POS' (postal) or 'BUS' (business). Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432599">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432599</Code>
      <Description>Address usage code must be 'RES' or 'BUS' .</Description>
      <LongDescription>An address must have a Usage code 'RES' (residential) or 'BUS' (business) for beneficiary. Please contact your software vendor in order to rectify this error.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432265</Code>
      <Description>Unpaid present entitlement to a private company code must be 'D' - Dividend, or 'X' - No dividend</Description>
      <Location>rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430120</Code>
      <Description>Other assessable foreign source income 'Gross' amount must not be less than 'Net' amount</Description>
      <Location>bafpr1.02.04:Income.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432600">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432620</Code>
      <Description>PP or Non-PP income distribution or franked distributions must be present in Statement of distribution</Description>
      <LongDescription>If an amount greater than zero is present at 'Credit for tax withheld where ABN not quoted' against 'Income to which no beneficiary is presently entitled...', then there must be Primary production or Non-primary production income or franked distributions amount for 'income to which no beneficiary is presently entitled'.</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430082</Code>
      <Description>Gross rent and Rental deduction amounts must be present</Description>
      <LongDescription>If a Rental property schedule is present, Gross rent or rental deductions must be present</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432353">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432663</Code>
      <Description>Distribution from trusts action code must be present</Description>
      <LongDescription>If Non-primary production - Share of net income from trusts, less net capital gain, foreign income and franked distributions is greater than zero, the Non-primary production - Distribution from trusts action code must be present</LongDescription>
      <Location>pyde.02.05:Party.TrustType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430016</Code>
      <Description>Description of main business and industry code must be present</Description>
      <LongDescription>If Status of Business code is present, the Description of main business activity and Industry code are also required</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432117">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430084</Code>
      <Description>Net rent must equal the total net rent in the Rental Schedules</Description>
      <LongDescription>The net rent amount in the main form (Gross rent minus rental deduction amounts) must equal the total Net rent present in all Rental property schedules</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432118">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430079</Code>
      <Description>Gross rent must be present</Description>
      <LongDescription>If Interest deductions, Capital works deductions, or Other rental deductions are greater than zero, Gross rent must be present</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432119">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430080</Code>
      <Description>Rent deductions must be present</Description>
      <LongDescription>If Gross rent is greater than zero, then there must be an amount at Interest deductions, Capital works deductions or Other rental deductions. If there are no rental deductions, then zero must be present in at least one of these fields</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432420">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432420</Code>
      <Description>Amount, type code and indicator must be present for a death benefit ETP</Description>
      <LongDescription>For each Death benefit employment termination payment, an amount, a type code - indicating 'd' - dependant or 'o' -non-dependant, and a death benefit indicator set to 'yes' (true), must all be present.</LongDescription>
      <Location>emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432092">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432673</Code>
      <Description>Credit for tax withheld - foreign resident withholding must be present</Description>
      <LongDescription>If Non-primary production Gross payments subject to foreign resident withholding is greater than zero, then there must be an amount at Credit for tax withheld - foreign resident withholding</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432584">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432584</Code>
      <Description>Date of birth must be present for individual beneficiaries.</Description>
      <Location>rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432585">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432585</Code>
      <Description>Assessment calculation codes are not correct for company beneficiaries.</Description>
      <Location>rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432586">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432586</Code>
      <Description>Assessment calculation codes are not correct for trustee beneficiaries</Description>
      <Location>rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432024</Code>
      <Description>Assessment calculation code(s) must be a Deceased trust estate code</Description>
      <LongDescription>If the Type of trust is '059' (deceased estate), then the assessment calculation code for each Statement of Distribution must be 11 to 17, 119 or 120 and the assessment calculation code  in the distribution statement where no beneficiary is entitled, if present, mnust be 36 or 37.</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432025</Code>
      <Description>Assessment calculation code must be an Inter vivos trust estate code</Description>
      <LongDescription>If the Type of trust estate is not a Deceased estate, (code '059') then the Assessment calculation codes in a beneficiary distribution statement must not be a deceased estate code</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432120">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430081</Code>
      <Description>Rental schedule must be present</Description>
      <LongDescription>If there is a positive amount at Gross rent or at any Rental deductions item, then a Rental property schedule must be submitted for each rental property</LongDescription>
      <Location>bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432690</Code>
      <Description>PP - Income distribution from partnerships and/or share of net income from trusts must be present</Description>
      <LongDescription>If there is an amount present at 'Primary production - Deductions relating to distribution', then there must also be an amount at 'Primary production - Distribution from partnerships' or 'Primary production - Share of net income from trusts'</LongDescription>
      <Location>bafpr1.02.02:Income.PartnershipDistributionGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432318">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432318</Code>
      <Description>s98(3) assessable amount must be present</Description>
      <LongDescription>In a Statement of Distribution, if the Assessment calculation code is 138 or 139, then there must be an amount present at 's98(3) assessable amount'</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432335">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432335</Code>
      <Description>Other attachments schedule must be present</Description>
      <LongDescription>If a non-resident beneficiary or a beneficiary under a legal disability is entitled to a share of trust income, or if the trust is a non-resident trust, then further information must be provided against the 'Other Attachments' element</LongDescription>
      <Location>rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432028</Code>
      <Description>Beneficiary assessment calculation code must be '45' or '145' for special disability trust</Description>
      <LongDescription>Assessment calculation code 45 or 145 can only be used by Special Disability Trusts.</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432029</Code>
      <Description>Beneficiary assessment calculation code must not be special disability trust code</Description>
      <LongDescription>A beneficiary must NOT use a special disability Trust Assessment calculation code (code 45 or 145) unless the Type of trust is a special disability trust (code 230)</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432107">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432664</Code>
      <Description>Non-PP - Deductions relating to distributions/share of net income can not be more than zero</Description>
      <LongDescription>If there is an amount present at Non-primary production - Deductions relating to amounts shown at distribution from partnerships less foreign income and share of net income from trusts less capital gains, foreign income and franked distributions, there must be an amount at either Non-primary production - Distribution from partnerships less foreign income, or Non-primary production - Share of net income from trusts less capital gains, foreign income and franked distributions</LongDescription>
      <Location>bafpr1.02.04:Expense.DistributionDeductionsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430051</Code>
      <Description>Net income or loss from business must be present</Description>
      <LongDescription>If Tax withheld where ABN not quoted is present or Credit for tax withheld - Foreign resident withholding is present, then Net income or loss from business must be present</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount </Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432686</Code>
      <Description>PP business income must be present</Description>
      <LongDescription>Net primary production income/loss amount is present without total business income from primary production (Gross payments where ABN not quoted, Assessable government industry payments, Other business income).</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432691</Code>
      <Description>Distribution/share of net income from partnerships or trusts must be present</Description>
      <LongDescription>If an amount is present at 'Deductions relating to distribution', 'Share of credit for tax withheld where ABN not quoted', 'Deductions relating to franked distributions from trusts', 'Share of franking credit from franked dividends', 'Share of credit for TFN amounts withheld from interest dividends and unit trust distributions', or 'Share of credit for tax withheld from foreign resident withholding'; then there must be an amount present at 'Primary production - Distribution from partnerships', 'Primary production - Share of net income from trusts', 'Non-primary production - Distribution from partnerships less foreign income', 'Non-primary production - Share of net income from trusts less capital gains, foreign income and franked distributions' and 'Non-primary production - Franked distributions from trusts'.</LongDescription>
      <Location>bafpr1.02.02:Income.PartnershipDistributionGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432693">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432693</Code>
      <Description>Invalid exemption or rollover code</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432325">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432623</Code>
      <Description>Non-PP income or franked distributions amount must be present in 'no beneficiary entitled' distribution</Description>
      <LongDescription>If within the 'Income to which no beneficiary is presently entitled' Statement of Distribution, a 'Franking credit' or 'TFN amount withheld' amount is present, then there must be an amount at 'Non-primary production income' or 'franked distributions'. Zero is acceptable if there is an overall trust loss.</LongDescription>
      <Location>rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432688</Code>
      <Description>Primary Production Net income or loss from business must be present</Description>
      <LongDescription>If Total business income from primary production (Assessable government industry payments, other business income) is present, Primary production Net primary production income or loss from business amount must be present</LongDescription>
      <Location>bafpr1.02.09:Income.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432387">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432387</Code>
      <Description>The must be no more than 20 instances of Other Australian Income - Tax withheld details</Description>
      <Location>trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430022</Code>
      <Description>Non-PP business income must be present</Description>
      <LongDescription>Net non-primary production income/loss amount is present without total business income non-primary production (Gross payments where ABN not quoted, Gross payments subject to foreign resident withholding, Assessable government industry payments, Other business income).</LongDescription>
      <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432321">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432621</Code>
      <Description>Assessment calculation code must be present</Description>
      <LongDescription>If the 'Income to which no beneficiary is presently entitled' Statement of Distribution contains an amount at Primary production income, Non-primary production income, Credit for tax withheld where ABN not quoted, Franked distributions, Franking credit, TFN amounts withheld, or Australian franking credit from a NZ company, then an Assessment calculation code must be present in the statement.</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432296">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432617</Code>
      <Description>PP or Non PP Share of income or franked distributions  must be present</Description>
      <LongDescription>If within a Statement of Distribution there is an amount greater than zero at 'Credit for tax withheld - foreign resident withholding', then there must be an amount at either 'Share of income - primary production'  or 'Share of income - non-primary production' or 'Franked distributions' within the Statement of Distribution.</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432295">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432295</Code>
      <Description>TB statement must not be made if the distribution is not to a trustee beneficiary</Description>
      <LongDescription>If within a Statement of Distribution the answer to the 'TB statement' question is 'yes' (true), then the 'Assessment calculation code' must be a trustee beneficiary code (14, 35, 120 or 140) or blank.</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432085">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430058</Code>
      <Description>Tax withheld where ABN not quoted must be present</Description>
      <LongDescription>If either Primary production or Non-primary production Gross payments where ABN not quoted are greater than zero, then an amount at Tax withheld where ABN not quoted must be present</LongDescription>
      <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432100">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432659</Code>
      <Description>PP - Share of net income from trusts amount must be greater than zero if action code is present</Description>
      <LongDescription>If the Primary production - Share of net income from trusts action code is present, then the Primary production - Share of net income from trusts must be present and greater than zero. An action code is not required for negative or zero amounts</LongDescription>
      <Location>bafpr1.02.13:Income.TrustShareNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432662</Code>
      <Description>Non-PP - Share of net income from trusts amount must be present</Description>
      <LongDescription>If Non-primary production - Share of net income from trusts action code is present, then Non-primary production- Share of net income from trusts less capital gains, foreign income and franked distributions must be greater than zero.  A trusts action code is not required for negative or zero amounts</LongDescription>
      <Location>bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432103">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432692</Code>
      <Description>Non-PP distribution amount must be present</Description>
      <LongDescription>If there is an amount at Share of franking credits from franked dividends, and Share of credit for TFN amounts withheld from interest, dividends and unit trust distributions; then there must be an amount at Non-Primary Production Distribution from partnerships less foreign income; Share of net income from trusts less capital gains, foreign income and franked distributions; Deductions relating to distribution; Franked distributions from trusts or Deductions relating to franked distributions from trusts.</LongDescription>
      <Location>bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432421">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430092</Code>
      <Description>Gross interest amount greater than zero must be present</Description>
      <LongDescription>If an amount greater than zero is present at TFN amounts withheld from gross interest, then an amount greater than zero must also be present at Gross interest</LongDescription>
      <Location>bafpr2.02.02:Income.Interest.Gross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432562">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432562</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432675">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432675</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>An ‘International dealings schedule’ (IDS) is not attached when a value greater than zero is present at label Interest expenses overseas</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432676">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432676</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>An ‘International dealings schedule’ (IDS) is not attached when a value greater than zero is present at label Royalty expenses overseas</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432666">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432668">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.10:Income.TrustEstateIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432681">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438030.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438030</Code>
      <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408163">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FTER.408163</Code>
      <Description>Trustee declaration statement type code must be either 'TrueAndCorrect' or 'HardCopy'</Description>
      <Location>pyin.02.03:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FTER.408168">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430249</Code>
      <Description>Declaration by the person submitting the return must be present</Description>
      <LongDescription>If an Intermediary is present, there must be a Declaration by the Intermediary. If an Intermediary is not present, there must be a Declaration by the Reporting Party</LongDescription>
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>rvctc3.02.06:CapitalGainsTax.CapitalGainsorLossesOnEarnoutArrangementNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402130">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>rvctc3.02.06:CapitalGainsTax.EarnoutArrangementEstimatedCapitalProceedsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402132">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402132</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428366">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428366</Code>
      <Description>Invalid Ultimate holding company country code - Australia is not a valid code</Description>
      <Location>pyde.02.08:Residency.TaxPurposesCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428347">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428347</Code>
      <Description>Eligible credits is incorrect in the Calculation statement</Description>
      <LongDescription>Eligible credits is equal to credit for interest on early payments - amount of interest plus credit for tax withheld - foreign resident withholding plus credit for tax withheld where ABN is not quoted plus tax withheld from interest or investments plus credit for TFN amounts withheld from payments from closely held trusts plus other credits</LongDescription>
      <Location>rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432268.CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432268</Code>
      <Description>Financial institution details must be entered when a credit (refund) is due.</Description>
      <LongDescription>Based on the return calculation details a credit or refund is due. In order for the ATO to pay this credit or refund, Australian financial institution account details must be provided. If account details are not available please phone the Tax Office on: For self lodgers 13 28 61 options 2 2 and for tax agents 13 72 86 options 1 3 1 2.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428350">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428350</Code>
      <Description>Gross foreign income is less than Net foreign income</Description>
      <Location>rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428351">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428351</Code>
      <Description>Net foreign income is present and Gross foreign income is missing.</Description>
      <Location>rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428352">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428352</Code>
      <Description>International Dealings schedule required</Description>
      <LongDescription>There is an amount present at Offshore banking unit adjustment or there is a 'yes' response to any of the questions concerning whether the value of dealings with international related parties is greater than $2 million or whether the entity had either a direct or indirect interest in a foreign trust, foreign company, controlled foreign entity or transferor trust or there is a 'yes' response to the question "Did the thin capitalisation provisions apply" and an International Dealings schedule is not attached.</LongDescription>
      <Location>gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428353">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430050</Code>
      <Description>International Dealings schedule not required</Description>
      <LongDescription>If 'Royalty expense within Australia', 'Royalty expenses overseas', 'Section 46fa deduction for flowon dividends' and 'Offshore banking unit adjustment' are not present and there is a 'no' response to the questions concerning whether the value of dealings with international related parties is greater than $2 million and whether the entity had either a direct or indirect interest in a foreign trust, foreign company, controlled foreign entity or transferor trust and there is a 'no' response to the question 'Did the thin capitalisation provisions apply' and an International Dealings schedule is attached</LongDescription>
      <Location>gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428418">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428418</Code>
      <Description>Cost of sales required</Description>
      <LongDescription>If an expenditure amount has been completed at 'Tangible property of a revenue nature including trading stock and raw materials' on the IDS then Cost of sales must be completed on the company return form.</LongDescription>
      <Location>bafpr2.02.00:Expense.Operating.CostOfSales.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428419">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428419</Code>
      <Description>Other sales of goods and services required</Description>
      <LongDescription>If a revenue amount has been completed at 'Tangible property of a revenue nature including trading stock and raw materials' on the IDS then Other sales of goods and services must be greater than zero on the company return form.</LongDescription>
      <Location>bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428421">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428421</Code>
      <Description>Other assessable income required</Description>
      <LongDescription>If Total amount of your share of net income/distribution of profit has been completed on the IDS then Other assessable income must be completed on the company return form.</LongDescription>
      <Location>bafpr1.02.02:Income.AssessableOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428424">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428424</Code>
      <Description>Offshore banking unit adjustment required</Description>
      <LongDescription>If there is a 'True' response to 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' on the IDS then Offshore banking unit adjustment must be completed (zero is acceptable) on the company return form.</LongDescription>
      <Location>gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428428">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430061</Code>
      <Description>Tax offset refunds must be zero</Description>
      <LongDescription>If Refundable tax offsets is less than Subtotal 2 then Tax offset refunds must be zero</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Information</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428357">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428357</Code>
      <Description>Gross tax calculation incorrect</Description>
      <LongDescription>Gross Tax must be equal to Tax on taxable income plus R&amp;D Recoupment tax</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432608">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438033</Code>
      <Description>Reporting year must be 2014</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432610">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432610</Code>
      <Description>Interposed Entity Election Status - Specified income year must not be less than 1995 or greater than the current reporting year.</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432609">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432609</Code>
      <Description>Family Trust Election Status - Specified income year must not be less than 1995 or greater than the current reporting year.</Description>
      <Location>rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432632">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432632</Code>
      <Description>Share of income of the trust estate is incorrect</Description>
      <LongDescription>The sum of Share of income of the trust estate (beneficiary entitled and no beneficiary entitled) does not equal the income of the trust estate amount.</LongDescription>
      <Location>bafpr1.02.10:Income.TrustEstateIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432634">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432634</Code>
      <Description>Franked Dividends Amount must be present</Description>
      <LongDescription>If 'Deductions relating to franked distributions' is greater than zero, then there must be a 'Dividends - Franked Amount'</LongDescription>
      <Location>bafpr1.02.00:Income.DividendsFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432631">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432631</Code>
      <Description>Non-primary production franked distributions from trusts amount must be present</Description>
      <LongDescription>Non-primary production 'Deductions relating to franked distributions from trusts' is greater than zero, however no non-primary production 'Franked distributions from trusts' amount exists.</LongDescription>
      <Location>bafpr1.02.04:Income.TrustDistributionFranked.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432635">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432635</Code>
      <Description>Assessment calculation code must be present</Description>
      <LongDescription>Choice for resident trustee to be assessed to capital gains on behalf of beneficiaries assessment calculation code required.</LongDescription>
      <Location>rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432633">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432633</Code>
      <Description>Assessment calculation code is not correct</Description>
      <LongDescription>No beneficiary presently entitled assessment calculation code and Choice for resident trusteee to be assessed to capital gains on behalf of beneficiaries assessment calculation code are present, but the assessment calculation code value of each are not identical.</LongDescription>
      <Location>rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428337">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428337</Code>
      <Description>Subtotal 2 must equal Subtotal 1 less Non-refundable carry forward tax offsets</Description>
      <LongDescription>Where non-refundable carry forward tax offsets is less than subtotal 1, subtotal 2 must equal subtotal 1 less non-refundable carry forward tax offsets</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428335">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428335</Code>
      <Description>Subtotal 1 must equal zero</Description>
      <LongDescription>Where Gross Tax is less than or equal to non-refundable non-carry forward tax offsets; subtotal 1 must be zero</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428336">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428336</Code>
      <Description>Where subtotal 1 equals zero - subtotal 2 all must also equal zero</Description>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428358">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428358</Code>
      <Description>Subtotal 1 must be equal to Gross Tax less non-refundable non-carry forward tax offsets</Description>
      <LongDescription>Where Gross Tax is greater than non-refundable non-carry forward tax offsets; subtotal 1 must be equal to Gross Tax less non-refundable non-carry forward tax offsets</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428398">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428355</Code>
      <Description>R&amp;D label mismatch</Description>
      <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428404">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428404</Code>
      <Description>An amended R&amp;D tax incentive schedule may only be attached to an amended main form</Description>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428414">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428414</Code>
      <Description>Response required at overseas interests question</Description>
      <LongDescription>If assessable income of controlled foreign companies and controlled foreign trusts under sections 456, 457 or 459A has been completed on the IDS then the response to the Overseas interests question on the company return form must be 'True'.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428415">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428415</Code>
      <Description>Response required at overseas interests question</Description>
      <LongDescription>If assessable income of controlled foreign companies and controlled foreign trusts under sections 456, 457 or 459A has been completed on the IDS then the response to the Overseas interests question on the company return form must be 'True'.</LongDescription>
      <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428416">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428416</Code>
      <Description>Number of controlled foreign companies or trusts required</Description>
      <LongDescription>There is an amount at Listed country or Section 404 country or Unlisted country or Transferor trust on the company tax return form and the number of controlled foreign companies or trusts on the IDS has not been supplied.</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428420">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430046</Code>
      <Description>Interest expenses required</Description>
      <LongDescription>If Debt deductions in earning non-assessable non-exempt foreign income claimed under s25-90 or 230-15(3) has been completed on the International dealings schedule (IDS) then Interest expenses within Australia or Interest expenses overseas must be greater than zero on the company return</LongDescription>
      <Location>bafpr2.02.02:Expense.Operating.Interest.Amount</Location>
      <Severity>Information</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428423">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428423</Code>
      <Description>Response to TOFA question required</Description>
      <LongDescription>If there is a 'True' response to 'Are you subject to the Taxation of Financial Arrangements rules contained in Division 230 of the ITAA 1997?' on the IDS, then there must be a 'True' response to 'Did you make a gain, loss or balancing adjustment from a financial arrangement subject to the TOFA rules?' on the company return.</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428408">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428408</Code>
      <Description>Royalties deductions incorrect</Description>
      <LongDescription>If Royalties deductions has been completed on the IDS then it must be less than or equal to Royalty expenses overseas on the Company return form</LongDescription>
      <Location>bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428425">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428425</Code>
      <Description>Incorrect response for an OBU</Description>
      <LongDescription>If Offshore banking unit adjustment has been completed (including zero) on the company return form then there must be a 'True' response at 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' on the IDS, and the relevant amount must be completed.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428427">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428427</Code>
      <Description>Check response to CGT event question</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any capital gains tax (CGT) events in relation to your interest in a foreign company?' On the IDS then a 'True' response is required at 'Did you have a CGT event during the year?' on the company return.</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428417">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428417</Code>
      <Description>Transactions with specified countries question incorrect</Description>
      <LongDescription>If there is a 'True' response at 'Did you have dealings with international related parties located in specified countries?' on the International Dealings Schedule (IDS) then the response at Overseas transactions - Transactions with specified countries on the company return must be 'True'.</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428401">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428401</Code>
      <Description>Where subtotal 1 equals zero - subtotal 3 all must also equal zero</Description>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428339">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428339</Code>
      <Description>Subtotal 3 and Tax Payable must equal zero</Description>
      <LongDescription>Where subtotal 2 equals zero, subtotal 3 and Tax Payable all must also equal zero</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428338">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428338</Code>
      <Description>Subtotal 2 must equal zero</Description>
      <LongDescription>Where non-refundable carry forward tax offsets greater than or equal to subtotal 1, subtotal 2 must equal zero</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428340">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428340</Code>
      <Description>Subtotal 3 must equal Subtotal 2 less refundable tax offsets</Description>
      <LongDescription>Where refundable tax offsets is less than subtotal 2, subtotal 3 must equal subtotal 2 less refundable tax offsets</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428341">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428341</Code>
      <Description>Subtotal 3 must equal zero</Description>
      <LongDescription>Where refundable tax offsets is greater than or equal to subtotal 2, subtotal 3 must equal zero</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428342">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430060</Code>
      <Description>Tax offset refunds must equal refundable tax offsets less subtotal 2</Description>
      <LongDescription>Where subtotal 3 equals zero, tax offset refunds must equal refundable tax offsets less subtotal 2</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428402">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428402</Code>
      <Description>Where subtotal 1 equals zero - Tax Payable all must also equal zero</Description>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428356">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428356</Code>
      <Description>Refundable R&amp;D tax offset is greater than Refundable tax offsets on the calculation statement</Description>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428344">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428344</Code>
      <Description>Tax Payable must equal subtotal 3 less franking deficit tax offset</Description>
      <LongDescription>Where franking deficit tax offset is less than subtotal 3, Tax Payable must equal subtotal 3 less franking deficit tax offset</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428354">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428354</Code>
      <Description>Research and Development Tax Incentive schedule must be attached</Description>
      <LongDescription>Where R&amp;D labels have been completed a Research and Development Tax Incentive schedule must be attached.</LongDescription>
      <Location>gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428400">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428355</Code>
      <Description>R&amp;D label mismatch</Description>
      <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
      <Location>rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428355">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428355</Code>
      <Description>R&amp;D label mismatch</Description>
      <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
      <Location>gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428345">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428345</Code>
      <Description>Tax payable must equal zero</Description>
      <LongDescription>Where franking deficit tax offset is greater than or equal to subtotal 3, Tax Payable must equal zero</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428399">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428355</Code>
      <Description>R&amp;D label mismatch</Description>
      <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428343">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428343</Code>
      <Description>Tax payable must equal zero</Description>
      <LongDescription>Where subtotal 3 equals zero, Tax Payable must also equal zero</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010030CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010030</Code>
      <Description>Amendment sequence number must be a number between 1 and 9</Description>
      <Location>pyin.02.08:Report.AmendmentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010028.CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010028</Code>
      <Description>If the return is an amendment, sequence number, type and reason must be present</Description>
      <LongDescription>If the Amendment Indicator is 'yes' (true), then the Amendment Sequence Number, Amendment Type and Amendment Reason must be present and not blank.</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.010029.CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010029</Code>
      <Description>If the return is an amendment, Amendment Indicator must be 'yes' (true)</Description>
      <LongDescription>If an Amendment Sequence Number, Amendment Type or Amendment Reason is present, then the Amendment Indicator must be 'yes' (true)</LongDescription>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.429834">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001011</Code>
      <Description>Field value supplied exceeds maximum field length</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434277">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434277</Code>
      <Description>The Other attachments schedule must not exceed 3000 characters</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434255">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434256">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434257">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438002.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438002</Code>
      <Description>International Dealings Schedule is not attached</Description>
      <LongDescription>The answer to the question 'Did the entity have either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust?' is 'Yes', and no International Dealings Schedule is attached.</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438002.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438002</Code>
      <Description>International Dealings Schedule is not attached</Description>
      <LongDescription>The answer to the question 'Did the entity have either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust?' is 'Yes', and no International Dealings Schedule is attached.</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438006</Code>
      <Description>Organisation Name Type Code must be 'MN' and Organisation Name Currency Code must be 'C'.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438006.RDTIS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438006</Code>
      <Description>Organisation Name Type Code must be 'MN' and Organisation Name Currency Code must be 'C'.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434248">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434258">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434253">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434276">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434262</Code>
      <Description>Non-refundable non-carry forward tax offsets amount incorrect.</Description>
      <LongDescription>Non-refundable non-carry forward tax offsets amount must be equal to sum of Foreign income tax offset and Rebates and tax offsets.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434252">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434275">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434275</Code>
      <Description>Transfers from foreign funds number must be between 0 and 999</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434260">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434246">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434247">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434261">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434261</Code>
      <Description>Gross Tax amount incorrect.</Description>
      <LongDescription>Gross Tax must be equal to sum of Tax on taxable income and Tax on no-TFN quoted contributions</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434263</Code>
      <Description>Refundable tax offsets amount incorrect.</Description>
      <LongDescription>Refundable tax offsets amount must be equal to sum of Complying fund's franking credits tax offset, No-TFN tax offset and National rental affordability scheme tax offset.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434264">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434264</Code>
      <Description>Subtotal amount incorrect.</Description>
      <LongDescription>If the Non-refundable non-carry forward tax offset is less than Gross Tax, then Subtotal must be equal to Gross Tax less Non-refundable non-carry forward tax offset amount.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434265</Code>
      <Description>Subtotal amount must equal zero.</Description>
      <LongDescription>If Non-refundable non-carry forward tax offset amount is greater than or equal to Gross Tax, then Subtotal amount must equal zero.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434266">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434266</Code>
      <Description>Tax payable amount must equal zero.</Description>
      <LongDescription>If Subtotal amount equals zero then Tax payable amount must equal zero.</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434267">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434267</Code>
      <Description>Tax payable amount incorrect.</Description>
      <LongDescription>If Refundable tax offsets amount is less than Subtotal then Tax payable amount must be equal to Subtotal amount less Refundable tax offsets.</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434270">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434270</Code>
      <Description>Eligible credits amount incorrect.</Description>
      <LongDescription>Eligible credits must equal the sum of Credit for interest on early payments, Credit for tax withheld - foreign resident withholding, Credit for tax withheld - where ABN or TFN not quoted (non-individual), Credit for TFN amounts withheld from payments from closely held trusts and Credit for interest on no-TFN tax offset.</LongDescription>
      <Location>rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434268">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434268</Code>
      <Description>Tax payable amount must equal zero.</Description>
      <LongDescription>If Refundable tax offsets amount is greater than or equal to Subtotal then Tax payable amount must equal zero.</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434269">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434269</Code>
      <Description>Remainder of refundable tax offsets amount incorrect.</Description>
      <LongDescription>If Refundable tax offsets amount is greater than or equal to Subtotal, then any excess of refundable tax offsets over Subtotal must be transferred to Remainder of refundable tax offsets.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434286">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434286</Code>
      <Description>Exemption or rollover code must be unique</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434287">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434287</Code>
      <Description>Maximum of seventeen exemption or rollover codes allowed for Fund tax return</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436326">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436326</Code>
      <Description>Remainder of refundable tax offsets amount incorrect.</Description>
      <LongDescription>If Refundable tax offsets amount is greater than or equal to Subtotal, then any excess of refundable tax offsets over Subtotal amount must be transferred to Remainder of refundable tax offsets.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436326">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436662</Code>
      <Description>Tax offset refund (remainder of refundable tax offsets) amount incorrect.</Description>
      <LongDescription>If Refundable tax offsets amount is greater than or equal to Subtotal, then any excess of refundable tax offsets over Subtotal amount must be transferred to Tax offset refund (remainder of refundable tax offsets).</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436337">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436337</Code>
      <Description>SAN is invalid</Description>
      <LongDescription>SMSF Auditor Number must pass the SAN algorithm</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMFSAR.436350">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436350</Code>
      <Description>If the fund wound up question is 'false', the 'Total member account balances' cannot be blank or zero</Description>
      <LongDescription>A self managed superannuation fund is a trust and it must have assets set aside for the benefit of its members – there are no assets set aside for members in this fund.</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.OperationCease.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436356">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.06:SuperannuationRegulatoryInformation.AcquiredExemptAssetsFromRelatedParties.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436324">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436324</Code>
      <Description>Tax Payable must equal subtotal less refundable tax offsets</Description>
      <LongDescription>Where Refundable tax offsets is less than Subtotal, Tax payable must equal Subtotal less Refundable tax offsets</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436323">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436323</Code>
      <Description>Where Subtotal equals zero, Tax payable must also equal zero</Description>
      <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436321">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436321</Code>
      <Description>Subtotal must equal zero</Description>
      <LongDescription>Where "Non-refundable non-carry forward tax offsets" is greater than or equal to "Gross Tax", "Subtotal" must equal zero</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436325">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436325</Code>
      <Description>Tax payable amount must equal zero.</Description>
      <LongDescription>If Refundable tax offsets amount is greater than or equal to Subtotal then Tax payable amount must equal zero.</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436318">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436318</Code>
      <Description>Gross tax calculation incorrect</Description>
      <LongDescription>Gross Tax must be equal to Tax on taxable income plus Tax on no-TFN quoted contributions</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436320">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436339</Code>
      <Description>Subtotal must equal Gross Tax less Foreign income tax offset less rebates and tax offsets</Description>
      <LongDescription>Where 'foreign income tax offset' plus 'rebates and tax offsets' is less than 'Gross Tax',  'subtotal' must equal  'Gross Tax' less 'Non-refundable non-carry forward tax offsets'</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436319">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436319</Code>
      <Description>The sum of Non-refundable non-carry forward tax offsets is incorrect.</Description>
      <LongDescription>Non-refundable non-carry forward tax offsets must equal the sum of Foreign income tax offset plus Rebates and tax offsets</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436322">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436652</Code>
      <Description>The sum of Refundable tax offsets is incorrect.</Description>
      <LongDescription>Refundable tax offsets must equal the sum of complying fund's franking credits tax offset plus No-TFN tax offset plus National rental affordability tax offset plus other refundable tax offset amounts (conservation tillage).</LongDescription>
      <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.07:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438022</Code>
      <Description>Foreign owned R&amp;D Total of allocated notional deductions is incorrect</Description>
      <LongDescription>Foreign owned R&amp;D Total of allocated notional deductions must equal the sum of Foreign owned R&amp;D amounts</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438024</Code>
      <Description>Total Notional R&amp;D deductions must be greater than zero</Description>
      <LongDescription>If lodging the Research and Development Tax Incentive Schedule the Total Notional R&amp;D deductions must be greater than zero</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438025</Code>
      <Description>Total Notional R&amp;D deductions is incorrect</Description>
      <LongDescription>If the sum of Australian and Foreign owned R&amp;D Total of allocated notional deductions is equal to or greater than $20,000 then the Total Notional R&amp;D deductions must equal the sum of Australian and Foreign owned R&amp;D Total of allocated notional deductions</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438026</Code>
      <Description>Total Notional R&amp;D deductions is incorrect</Description>
      <LongDescription>If the sum of Australian and Foreign owned R&amp;D Total of allocated notional deductions is less than $20,000 then Total Notional R&amp;D deductions must equal the sum of Australian and Foreign owned R&amp;D expenditure Research service provider amounts plus the sum of Australian and Foreign owned R&amp;D expenditure Cooperative Research Centre contributions amounts</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436351">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436351</Code>
      <Description>U is not a valid code for the SMSFund annual return.</Description>
      <LongDescription>Fund benefit structure code must be 'A' - Accumulation fund, or 'D' - Defined benefit fund, or 'E' - Hybrid fund</LongDescription>
      <Location>emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438053</Code>
      <Description>Only a Refundable or Non-refundable tax offset is claimable.</Description>
      <LongDescription>Only a Refundable or Non-refunable tax offset Total notional R&amp;D deductions should be present</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438052</Code>
      <Description>Refundable tax offset Total notional R&amp;D deductions must equal the Total notional R&amp;D deductions</Description>
      <LongDescription>The Refundable R&amp;D tax offset is being claimed: 'Exempt entity ownership of 50% or greater' question is 'No', 'Aggregated turnover of $20 million or greater' question is 'No' and the Refundable tax offset Total notional R&amp;D deductions is not equal to the Total notional R&amp;D deductions</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438055</Code>
      <Description>Refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Refundable R&amp;D tax offset must equal 45% of the Refundable tax offset Total notional R&amp;D deductions</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438057</Code>
      <Description>Non-refundable tax offset Total notional R&amp;D deductions must equal the Total notional R&amp;D deductions</Description>
      <LongDescription>The Non-refundable R&amp;D tax offset is being claimed: Group Totals Turnover is $20 million or greater or 'Exempt entity ownership of 50% or greater' question is 'Yes' or 'Aggregated turnover of $20 million or greater' question is 'Yes' and the Non-refundable tax offset Total notional R&amp;D deductions is not equal to the Total notional R&amp;D deductions</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438059</Code>
      <Description>Non-refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Non-refundable R&amp;D tax offset must equal 40% of the Non-refundable tax offset Total notional R&amp;D deductions</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438045</Code>
      <Description>Each Group Member must have an Entity name</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438046</Code>
      <Description>Each Group Member must have an Entity turnover</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438060</Code>
      <Description>Group Member context TFN duplicated. Unique TFN required</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438037</Code>
      <Description>R&amp;D expenditure paid to associates is incorrect</Description>
      <LongDescription>R&amp;D expenditure paid to associates in the current year must equal the sum of Australian and Foreign owned R&amp;D expenditure paid to associates in the current year</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438061</Code>
      <Description>R&amp;D expenditure incurred to associates to be carried forward is incorrect.</Description>
      <LongDescription>"R&amp;D expenditure incurred to associates to be carried forward" must equal "R&amp;D expenditure to associates incurred in prior year, not paid, not claimed (carried forward)" plus "Current year R&amp;D expenditure incurred to associates" minus "Current year R&amp;D expenditure incurred to associates claimed under other provisions" minus "R&amp;D expenditure paid to associates in the current year".</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438000</Code>
      <Description>The supplied Reporting Company, Concession Type Australian TFN must be the same as the reporting Company TFN</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438001</Code>
      <Description>The supplied Reporting Company, Concession Type Foreign TFN must be the same as the reporting Company TFN</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438063</Code>
      <Description>The Reporting Party: YPrevious TFN does not match the Reporting Company TFN</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438002</Code>
      <Description>The supplied Group Member TFN must be a valid TFN</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438003</Code>
      <Description>The supplied Group Member TFN must not be the same as the reporting Company TFN</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438004</Code>
      <Description>The number of Reporting party: Concession Type Australian contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438005</Code>
      <Description>The number of Reporting party: Concession Type Foreign contexts must not exceed 1</Description>
      <Location>xbrli:xbrl</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438006</Code>
      <Description>The number of Group Member contexts must not exceed 19</Description>
      <Location>xbrli:xbrl</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438049</Code>
      <Description>The indicated Aggregated Turnover is incorrect</Description>
      <LongDescription>With an indicated Aggregated Turnover of less than $20 million, the Aggregated Turnover must be present and less than $20 million</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438050">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438050</Code>
      <Description>Aggregated Turnover is incorrect</Description>
      <LongDescription>Aggregated Turnover must equal the reporting Company turnover plus the sum of Group Member turnovers minus amounts excluded from aggregated turnover</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438021</Code>
      <Description>Australian owned R&amp;D Total of allocated notional deductions is incorrect</Description>
      <LongDescription>Australian owned R&amp;D Total of allocated notional deductions must equal the sum of Australian owned R&amp;D amounts</LongDescription>
      <Location>bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438043</Code>
      <Description>With one or more Group Members present, the reporting Company turnover must be present</Description>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438062">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438062</Code>
      <Description>The number of Reporting party: YPrevious contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438065">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438065</Code>
      <Description>Other group Members - Annual Turnover must not be completed</Description>
      <LongDescription>Other Group Members - Annual Turnover must not be completed if there are less then 19 specified group members</LongDescription>
      <Location>gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438066</Code>
      <Description>Answer to 'Do you have an aggregated turnover of $20 million or greater?' is required</Description>
      <LongDescription>If your company is not controlled by one or more income tax exempt entities, then you must indicate whether the company's aggreated turnover is $20 million or greater</LongDescription>
      <Location>gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402021</Code>
      <Description>CGT discount on non-active asset capital gains incorrect</Description>
      <LongDescription>Entity is individual or trust and the discount on non-active asset capital gains by discount method (Part F Label J) is not equal to 50% of the non-active asset capital gains by discount method (Part E Label B)</LongDescription>
      <Location>rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <!-- TEMP -->
  <diagnostic id="DVR.ATO.GEN.001021.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001021</Code>
      <Description>Invalid identifier scheme.</Description>
      <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to "http://www.ato.gov.au/tfn"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000209.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428040.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000477</Code>
      <Description>ABN is invalid</Description>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438029.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438000.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438001.IDS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440001</Code>
      <Description>International related party dealings information is not required</Description>
      <LongDescription>If there is a 'False' response to 'Is the total of your international related party dealings over $2 million?' then no information should be entered for International related party dealings</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440002</Code>
      <Description>International related party dealings information is required</Description>
      <LongDescription>If there is a 'True' response to 'Is the total of your international related party dealings over $2 million?' then all International related party dealings questions must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440003">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440003</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If the foreign country codes have been completed then the response to 'Did you have dealings with international related parties, apart from dealings with related parties located in specified countries?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440004</Code>
      <Description>Foreign country code required</Description>
      <LongDescription>If there is a 'True' response to 'Did you have dealings with international related parties, apart from dealings with related parties located in specified countries?' then a foreign country code must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440005</Code>
      <Description>Expenditure and revenue information incomplete</Description>
      <LongDescription>If an expenditure or revenue amount is completed 'Did you have dealings with international related parties?' or 'Did you have dealings with international related parties located in specified countries?', there must be at least one expenditure or revenue amount greater than zero at ''Did you have any international related party dealings involving tangible property of a revenue nature?' or 'Did you have any international related party dealings involving royalties or licence fees?' or 'Did you have any international related party dealings involving rent or leasing? or 'Did you have any service arrangements with international related parties?' or 'Did you have any derivative transactions with international related parties?' or 'Did you enter into any debt factoring or securitisation arrangements with international related parties? or 'Did you have any dealings of a financial nature other than those listed with international related parties?' or Did you have any other international related party dealings of a revenue nature not reported?'</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440010</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If the specified country codes have been completed then the response to 'Did you have dealings with international related parties located in specified countries?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440011</Code>
      <Description>Specified country code required</Description>
      <LongDescription>If there is a 'True' response to 'Did you have dealings with international related parties located in specified countries?' then the specified country code must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440012</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for Tangible property of a revenue nature then the response to 'Did you have any international related party dealings involving tangible property of a revenue nature, including trading stock and raw materials?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440013</Code>
      <Description>Tangible property of a revenue nature information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any international related party dealings involving tangible property of a revenue nature, including trading stock and raw materials?' then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsTangiblePropertyRevenue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440014</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for royalties or licence fees then the response to 'Did you have international related party dealings involving royalties or licence fees?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440015</Code>
      <Description>International related party dealings information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you have international related party dealings involving royalties or licence fees?' then royalties or licence fee information must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsRoyaltiesLicenceFees.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440016</Code>
      <Description>Royalties information incomplete</Description>
      <LongDescription>If royalties information has been completed then deductions or income, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440019</Code>
      <Description>Licence fees information incomplete</Description>
      <LongDescription>If licence fees information has been completed then deductions or income, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.12:Expense.DeductionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440020</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for rent or leasing then the response to 'Did you have any international related party dealings involving rent or leasing?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440021</Code>
      <Description>Rent or leasing information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any international related party dealings involving rent or leasing?' then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsRentLeasing.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440022</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for any service arrangements then the response to 'Did you have any service arrangements with international related parties?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440023</Code>
      <Description>International related party dealings information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any service arrangements with international related parties?' then service arrangements information must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsServiceArrangements.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440024</Code>
      <Description>Treasury related services information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for treasury related services then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440025</Code>
      <Description>Management and administration services information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for management and administration services then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440026</Code>
      <Description>Insurance information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for insurance then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440027</Code>
      <Description>Reinsurance information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for reinsurance then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440028</Code>
      <Description>Research and development information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for research and development then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440029</Code>
      <Description>Sales and marketing services information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for sales and marketing services then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440030</Code>
      <Description>Software and information technology services information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for software and information technology services then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440031</Code>
      <Description>Technical services information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for technical services then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440032</Code>
      <Description>Logistics information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for logistics then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440033</Code>
      <Description>Asset management information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for asset management then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440034</Code>
      <Description>Other services information incomplete</Description>
      <LongDescription>If service arrangements information has been completed for asset management then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440035</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for derivative transactions then the response to 'Did you have any derivative transactions with international related parties?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440036</Code>
      <Description>Derivative transactions information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any derivative transactions with international related parties?' then expenditure or revenue, main pricing methodology code, percentage of dealings with documentation code and principal derivative type code must be completed, and a response must be entered at 'Did you engage in the trading of derivatives globally through a trading structure in which you shared global profits from these activities with international related parties?'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.DerivativeTransactions.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440037</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for debt factoring or securitisation then the response to 'Did you enter into any debt factoring or securitisation arrangements with international related parties?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440038</Code>
      <Description>International related party dealings information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you enter into any debt factoring or securitisation arrangements with international related parties?' then debt factoring or securitisation information must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.DebtFactoringSecuritisation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440039</Code>
      <Description>Debt factoring information incomplete</Description>
      <LongDescription>If debt factoring information has been completed then book value or consideration, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.12:Expense.BookValue.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440042">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440042</Code>
      <Description>Securitisation information incomplete</Description>
      <LongDescription>If securitisation information has been completed then book value or consideration, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.12:Expense.BookValue.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440045</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for financial dealings for amounts borrowed, amounts loaned, interest, guarantees, insurance, reinsurance or other financial dealings then the response to 'Did you have any dealings of a financial nature with international related parties?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440046</Code>
      <Description>Securitisation information incomplete</Description>
      <LongDescription>If securitisation information has been completed then book value or consideration, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.OtherFinancialDealings.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440047">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440047</Code>
      <Description>Interest bearing loans information incomplete</Description>
      <LongDescription>If dealings of a financial nature information has been completed for interest bearing loans, either amounts borrowed or amounts loaned, then an expenditure or revenue amount must be completed for interest</LongDescription>
      <Location>bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440052</Code>
      <Description>Interest information incomplete</Description>
      <LongDescription>If dealings of a financial nature information has been completed for interest then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440053</Code>
      <Description>Guarantees information incomplete</Description>
      <LongDescription>If dealings of a financial nature information has been completed for guarantees then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440054</Code>
      <Description>Insurance information incomplete</Description>
      <LongDescription>If dealings of a financial nature information has been completed for insurance then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440055</Code>
      <Description>Reinsurance information incomplete</Description>
      <LongDescription>If dealings of a financial nature information has been completed for reinsurance then expenditure or revenue, main pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440056</Code>
      <Description>Other financial dealings information incomplete</Description>
      <LongDescription>If dealings of a financial nature information has been completed for other financial dealings then expenditure or revenue, main pricing methodology code, percentage of dealings with documentation code and description must be completed</LongDescription>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440057</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for other dealings of a revenue nature then the response to 'Did you have any other international related party dealings of a revenue nature?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440058</Code>
      <Description>Other dealings of a revenue nature information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any other international related party dealings of a revenue nature?' then expenditure or revenue, main pricing methodology code, percentage of dealings with documentation code and description must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.OtherRevenue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440059</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for tangible or intangible property then the response to 'Did you dispose of or acquire any tangible/intangible property of a non-revenue (capital) nature to or from international related parties?' must be 'True'</LongDescription>
      <Location>bafot.02.11:Miscellaneous.CapitalNature.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440060">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440060</Code>
      <Description>International related party dealings information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you dispose of or acquire any tangible/intangible property of a non-revenue (capital) nature to or from international related parties?' then tangible or intangible property information must be completed</LongDescription>
      <Location>bafot.02.11:Miscellaneous.CapitalNature.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440061</Code>
      <Description>Tangible property information incomplete</Description>
      <LongDescription>If tangible property information has been completed then consideration paid or consideration received, main capital asset pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpo1.02.11:Assets.ConsiderationPaid.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440064">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440064</Code>
      <Description>Intangible property information incomplete</Description>
      <LongDescription>If intangible property information has been completed then consideration paid or consideration received, main capital asset pricing methodology code and percentage of dealings with documentation code must be completed</LongDescription>
      <Location>bafpo1.02.11:Assets.ConsiderationPaid.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440067">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440067</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for No payment or non-monetary payment then the response to 'Did you provide any of the following for no payment or a non-monetary payment, or receive any of the following for a non-monetary payment to/from an international related party?' must be 'True'</LongDescription>
      <Location>bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440068">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440068</Code>
      <Description>International related party dealings information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you provide any of the following for no payment or a non-monetary payment, or receive any of the following for a non-monetary payment to/from an international related party?' then No payment or non-monetary payment information must be completed</LongDescription>
      <Location>bafot.02.11:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440069</Code>
      <Description>Foreign country and nature of item information incomplete</Description>
      <LongDescription>If capital No payment information has been completed then both foreign country code and nature of item code must be completed</LongDescription>
      <Location>pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440070</Code>
      <Description>Foreign country and nature of item information incomplete</Description>
      <LongDescription>If revenue No payment information has been completed then both foreign country code and nature of item code must be completed</LongDescription>
      <Location>pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440071</Code>
      <Description>Foreign country and nature of item information incomplete</Description>
      <LongDescription>If capital non-monetary payment information has been completed then both foreign country code and nature of item code must be completed</LongDescription>
      <Location>pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440072</Code>
      <Description>Foreign country and nature of item information incomplete</Description>
      <LongDescription>If revenue non-monetary payment information has been completed then both foreign country code and nature of item code must be completed</LongDescription>
      <Location>pyde.02.08:OrganisationDetails.InternationalRelatedPartyCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440073">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440073</Code>
      <Description>International related party dealings question incorrect</Description>
      <LongDescription>If International related party dealings information has been completed for recharge amounts then the response to 'Did you provide or receive share-based employee remuneration to or from an international related party?' must be 'True'</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440074">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440074</Code>
      <Description>International related party dealings information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you provide or receive share-based employee remuneration to or from an international related party?' then recharge amounts information must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.ShareBasedEmployeeRemuneration.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440075">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440075</Code>
      <Description>Branch operations restructuring event information is not required</Description>
      <LongDescription>If there is a 'False' response to 'Did a restructuring event occur in the current year involving international related parties or your branch operations?' then restructuring event information should not be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440076">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440076</Code>
      <Description>Branch operations restructuring event information is required</Description>
      <LongDescription>If there is a 'True' response to 'Did a restructuring event occur in the current year involving international related parties or your branch operations?' then restructuring event information must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440077">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440078</Code>
      <Description>Branch operations restructuring event information is incomplete</Description>
      <LongDescription>If information has been completed for restructuring events, then for each restructuring event the entity/branch indicator, capital value code, main nature of restructure code, foreign country code, percentage of dealings with documentation code and description must be completed, and a response must be entered at 'Was there a contemporaneous professional valuation study or transfer pricing analysis of the restructuring event undertaken?'</LongDescription>
      <Location>pyde.02.09:OrganisationDetails.RestructuringEventEntity.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.TransactionsRestructuringEventsAssetRevaluation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440080">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440080</Code>
      <Description>Branch operations information is not required</Description>
      <LongDescription>If there is a 'False' response to 'Do you have any branch operations (including Australian branch operations if you are a non-resident)?' then amounts claimed or returned for internally recorded dealings with branch operations should not be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.BranchOperations.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440081</Code>
      <Description>Branch operations information is required</Description>
      <LongDescription>If there is a 'True' response to 'Do you have any branch operations (including Australian branch operations if you are a non-resident)?' then amounts claimed or returned for internally recorded dealings with branch operations must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.BranchOperations.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440082">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.BranchOperations.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440083</Code>
      <Description>Interest bearing loans Amounts borrowed information incomplete</Description>
      <LongDescription>If internally recorded dealings with branch operations information has been completed for interest bearing loans, either amounts borrowed average balance or amounts borrowed interest, then both of these must be completed</LongDescription>
      <Location>bafpo1.02.11:Liabilities.BorrowedAverageBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440095">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440095</Code>
      <Description>Financial arrangements information not required</Description>
      <LongDescription>If there is a 'False' response to 'Did you hold any financing arrangements during the income year?' then average quarterly balance of debt interests or equity interests information should not be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440096</Code>
      <Description>Financial arrangements information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you hold any financing arrangements during the income year?' then average quarterly balance of debt interests or equity interests information must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440102</Code>
      <Description>Financial arrangements information not required</Description>
      <LongDescription>If there is a 'False' response to 'Are you subject to the Taxation of Financial Arrangements rules contained in Division 230 of the ITAA 1997?' then the tax timing method elections you have made should not be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440103">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440103</Code>
      <Description>Financial arrangements information required</Description>
      <LongDescription>If there is a 'True' response to 'Are you subject to the Taxation of Financial Arrangements rules contained in Division 230 of the ITAA 1997?' then the tax timing method elections you have made must be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440105">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440105</Code>
      <Description>Interests in foreign entities information not required</Description>
      <LongDescription>If there is a 'False' response to 'Did you have any interests in controlled foreign companies (CFCs) or controlled foreign trusts (CFTs)?' then the number of CFCs and CFTs which you had an interest in and amounts included in assessable income under sections 456, 457 or 459A should not be completed, and a response at 'Did you have a CFC that was a resident of an unlisted country that provided a benefit (as defined in section 47A of the ITAA 1936), either directly or indirectly, to you or any of your related entities at any time during the income year?' should not be completed</LongDescription>
      <Location>bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440106">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440106</Code>
      <Description>Interests in foreign entities information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any interests in controlled foreign companies (CFCs) or controlled foreign trusts (CFTs)?' then the number of CFCs and CFTs which you had an interest in and amounts included in assessable income under sections 456, 457 or 459A must be completed, and a response at 'Did you have a CFC that was a resident of an unlisted country that provided a benefit (as defined in section 47A of the ITAA 1936), either directly or indirectly, to you or any of your related entities at any time during the income year?' must be completed</LongDescription>
      <Location>bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440107">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440111">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440111</Code>
      <Description>Total of Section 456 CFCs attributable income incorrect</Description>
      <LongDescription>Section 456 CFCs attributable income Total must equal the sum of listed countries, specified countries and other unlisted countries</LongDescription>
      <Location>bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440115">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440302</Code>
      <Description>Interests in foreign entities information completed incorrectly</Description>
      <LongDescription>If there is a 'true' response to 'Do you have foreign branch operations or any direct or indirect interests in foreign companies or foreign trusts?' then the non-assessable foreign income derived under sections 23AH, 23AI or 23AJ should not be completed, responses at 'Did you have any debt deductions in earning non-assessable non-exempt foreign income?' and 'Did you have any capital gains tax (CGT) events in relation to your interest in a foreign company?' should not be completed and responses at 'During the last three income years did you directly or indirectly transfer property, money or services to a non-resident trust, where that non-resident trust was still in existence during that income year?', 'Were you a beneficiary of a non-resident trust or did you have an interest in, or an entitlement to acquire an interest in, either the income or capital of a non-resident trust during the income year? and 'Were you a partner in a foreign hybrid limited partnership (FHLP) or shareholder in a foreign hybrid company (FHC)?' must be completed.</LongDescription>
      <Location>bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440116">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440116</Code>
      <Description>Interests in foreign entities information required</Description>
      <LongDescription>If there is a 'True' response to 'Do you have foreign branch operations or any direct or indirect interests in foreign companies or foreign trusts?' then the non-assessable foreign income derived under sections 23AH, 23AI or 23AJ must be completed and all interests in foreign entitites questions must be completed</LongDescription>
      <Location>bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440117">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440128">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440303</Code>
      <Description>Interests in foreign entities information completed incorrectly</Description>
      <LongDescription>If 'Debt deductions in earning non-assessable non-exempt foreign income claimed' is greater than zero, a 'true' response is required for 'Did you have any debt deductions in earning non-assessable non-exempt foreign income?'.</LongDescription>
      <Location>rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncome.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440129">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440304</Code>
      <Description>Interests in foreign entities information required</Description>
      <LongDescription>IIf there is a 'true' response to 'Did you have any debt deductions in earning non-assessable non-exempt foreign income?' then 'Debt deductions in earning non-assessable non-exempt foreign income claimed' must be completed.</LongDescription>
      <Location>rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncome.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440130">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440305</Code>
      <Description>Debt deductions incorrect</Description>
      <LongDescription>If 'Debt deductions in earning non-assessable non-exempt foreign income claimed' (Interests in foreign entities) is greater than zero then the value must also be less than or equal to 'General information - Debt deductions' (Thin capitalisation)</LongDescription>
      <Location>rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440132">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440132</Code>
      <Description>Interests in foreign entities question incorrect</Description>
      <LongDescription>If Interests in foreign entities information has been completed for capital gain/loss amounts or capital gain/loss reductions then the response to 'Did you have any capital gains tax (CGT) events in relation to your interest in a foreign company?' must be 'True'</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440133</Code>
      <Description>Interests in foreign entities information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you have any capital gains tax (CGT) events in relation to your interest in a foreign company?' then capital gain/loss amounts or capital gain/loss reductions must be completed</LongDescription>
      <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440135">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440135</Code>
      <Description>Capital gains reductions must not be greater than the Capital gains amounts</Description>
      <LongDescription>If interests in foreign entities information has been completed for capital gains tax events, then the capital gains reductions must not be greater than the capital gains amounts</LongDescription>
      <Location>rvctc1.02.10:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440137</Code>
      <Description>Capital loss reductions must not be greater than the Capital loss amounts</Description>
      <LongDescription>If interests in foreign entities information has been completed for capital gains tax events, then the capital loss reductions must not be greater than the capital loss amounts</LongDescription>
      <Location>rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalLosses.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440141">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440141</Code>
      <Description>Interests in foreign entities question incorrect</Description>
      <LongDescription>If Interests in foreign entities information has been completed for FHLPs or FHCs then the response to 'Were you a partner in a foreign hybrid limited partnership (FHLP) or shareholder in a foreign hybrid company (FHC)?' must be 'True'</LongDescription>
      <Location>bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyShareholder.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440142">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440142</Code>
      <Description>FHLP/FHC information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'Were you a partner in a foreign hybrid limited partnership (FHLP) or shareholder in a foreign hybrid company (FHC)?' then both the number of FHLPs or FHCs you had an interest in and the total amount of your share of net income/distribution of profit must be completed</LongDescription>
      <Location>bafot.02.11:Miscellaneous.ForeignHybridLimitedPartnershipOrForeignHybridCompanyShareholder.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440144">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440144</Code>
      <Description>Interests in foreign entities question incorrect</Description>
      <LongDescription>If Interests in foreign entities information has been completed for FHLPs or FHCs then the response to 'Were you a partner in a foreign hybrid limited partnership (FHLP) or shareholder in a foreign hybrid company (FHC)?' must be 'True'</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440145</Code>
      <Description>FHLP/FHC information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'Were you a partner in a foreign hybrid limited partnership (FHLP) or shareholder in a foreign hybrid company (FHC)?' then both the number of FHLPs or FHCs you had an interest in and the total amount of your share of net income/distribution of profit must be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440146">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440147">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440147</Code>
      <Description>Thin capitalisation information required</Description>
      <LongDescription>If there is a 'False' response to 'Has an Australian resident company elected under subdivision 820-FB of the ITAA 1997 to treat your qualifying Australian branch operations as part of a consolidated group, MEC group or a single company for thin capitalisation purposes?' then the Australian Business Number (ABN) should not be completed and all subsequent Thin capitalisation questions should be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440148">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440148</Code>
      <Description>Thin capitalisation information not required</Description>
      <LongDescription>If there is a 'True' response to 'Has an Australian resident company elected under subdivision 820-FB of the ITAA 1997 to treat your qualifying Australian branch operations as part of a consolidated group, MEC group or a single company for thin capitalisation purposes?' then the Australian Business Number (ABN) should be completed and all subsequent Thin capitalisation questions should not be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.AustralianResidentCompanyElected.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440149">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440149</Code>
      <Description>Entity Type code must be 7 or 8</Description>
      <LongDescription>If there are amounts greater than zero for 'All ADI entities - (adjusted) average equity capital' or 'Outward investing ADI - average value of risk weighted assets', then the entity type at the end of the income year must be 7 = Outward or 8 = Inward</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440150">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440150</Code>
      <Description>Incorrect entity type code for an ADI entity, Entity Type code must be 7</Description>
      <LongDescription>If there are amounts greater than zero for Outward investing ADI at 'Equity capital attributable to overseas permanent establishment(s)' or 'Average value of controlled foreign entity equity' or 'Tier 1 prudential capital deductions', then the entity type at the end of the income year must be 7 = Outward</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440151">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440151</Code>
      <Description>Entity Type code must be 8</Description>
      <LongDescription>If there are amounts greater than zero for Inward investing ADI at 'Average of risk weighted assets attributable to Australian permanent establishment(s)' or 'Average value of dotation capital', then the entity type at the end of the income year must be 8 = Inward</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440152">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440152</Code>
      <Description>Entity Type code must be must be 1, 2, 3, 4, 5 or 6</Description>
      <LongDescription>If there are amounts greater than zero for All non-ADI entities at any of 'Average value of: assets, non-debt liabilities, associate entity debt, associate entity equity, associate entity excess amount' then the entity type at the end of the income year must be 1 = Outward investor (general), 2 = Outward investor (financial), 3 = Inward investment vehicle (general), 4 = Inward investment vehicle (financial), 5 = Inward investor (general) or 6 = Inward investor (financial)</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440153">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440153</Code>
      <Description>Entity Type code must be 2, 4 or 6</Description>
      <LongDescription>If there are amounts greater than zero for 'Average zero capital amount' or 'Average on-lent amount', then the entity type at the end of the income year must be 2 = Outward investor (financial), 4 = Inward investment vehicle (financial) or 6 = Inward investor (financial)</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440154">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440154</Code>
      <Description>Entity Type code must be 1 or 2</Description>
      <LongDescription>If there are amounts greater than zero for 'Average value of controlled foreign entity equity' or 'Average value of controlled foreign entity debt', then the entity type at the end of the income year must be 1 = Outward investor (general) or 2 = Outward investor (financial)</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440155">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440155</Code>
      <Description>Entity Type code must be 7</Description>
      <LongDescription>If there are amounts greater than zero for 'Worldwide group capital ratio' or 'Worldwide capital amount', then the entity type at the end of the income year must be 7 = Outward</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440156">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440156</Code>
      <Description>Entity Type code must be 1 or 2</Description>
      <LongDescription>If there are amounts greater than zero for 'Worldwide debt', 'Worldwide equity' or 'Worldwide gearing debt amount', then the entity type at the end of the income year must be 1 = Outward investor (general) or 2 = Outward investor (financial)</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.EntityType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440157">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440157</Code>
      <Description>Entity status is required</Description>
      <LongDescription>If the entity type at the end of the income year is present, then an answer to "Have you changed your status from 'general' to 'financial' during the income year?" is required</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440158">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440158</Code>
      <Description>Average values method is required</Description>
      <LongDescription>If the entity type at the end of the income year is present, then the method used for calculating 'average values' is required</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440160">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440160</Code>
      <Description>Debt deductions incorrect</Description>
      <LongDescription>If there is an amount at 'General information - Debt deductions on debt from related non-residents'  it must be less than or equal to the amount at 'General information - Debt deductions'</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440162">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440162</Code>
      <Description>Amount of debt deduction disallowed is required</Description>
      <LongDescription>If the entity type at the end of the income year is present, then the amount of debt deduction disallowed is required. If there is no debt deduction disallowed calculated, enter zero</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440163">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440163</Code>
      <Description>Excess debt amount and debt deductions required</Description>
      <LongDescription>If 'General information - Amount of debt deduction disallowed' is greater than zero then 'General information - Debt deductions' and 'All non-ADI entities - Excess debt amount' must be greater than zero</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440166">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440166</Code>
      <Description>Thin capitalisation question incorrect</Description>
      <LongDescription>If Thin capitalisation information has been completed for all ADI entities, outward investing ADI or inward investing ADI then the response to 'Were you an authorised deposit taking institution (ADI) for the income year?' must be 'True'</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440167">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440167</Code>
      <Description>Thin capitalisation information required</Description>
      <LongDescription>If there is a 'True' response to 'Were you an authorised deposit taking institution (ADI) for the income year?' then all applicable ADI entities, outward investing ADI or inward investing ADI information must be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.AuthorisedDepositTakingInstitution.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440178">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440178</Code>
      <Description>Thin capitalisation question incorrect</Description>
      <LongDescription>If Thin capitalisation information has been completed for all non-ADI entities, financial entity or outward investing entity then the response to 'Were you a non-authorised deposit taking institution (non-ADI) for the income year?' must be 'True'</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440179">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440179</Code>
      <Description>Thin capitalisation information required</Description>
      <LongDescription>If there is a 'True' response to 'Were you a non-authorised deposit taking institution (non-ADI) for the income year?' then all applicable non-ADI entities, financial entity or outward investing entity information must be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.NonAuthorisedDepositTakingInstitution.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440183">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440183</Code>
      <Description>Debt deductions and/or amount of debt deduction disallowed required</Description>
      <LongDescription>If 'All non-ADI entities - excess debt amount' is greater than zero then 'General information - debt deductions' and/or 'General information - amount of debt deduction disallowed' must be greater than zero</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ExcessDebt.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440194">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440194</Code>
      <Description>Thin capitalisation question incorrect</Description>
      <LongDescription>If Thin capitalisation information has been completed for arm's length debt (non-ADI) or capital (ADI) amount then the response to 'Did you rely on arm's length tests?' must be 'True'</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440195</Code>
      <Description>Thin capitalisation information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you rely on arm's length tests?' then arm's length debt (non-ADI) or capital (ADI) amount must be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ArmsLengthTests.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440197">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440197</Code>
      <Description>Thin capitalisation question incorrect</Description>
      <LongDescription>If Thin capitalisation information has been completed for worldwide gearing debt/capital tests then the response to 'Did you rely on worldwide gearing debt/capital tests?' must be 'True'</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440198</Code>
      <Description>Thin capitalisation information required</Description>
      <LongDescription>If there is a 'True' response to 'Did you rely on worldwide gearing debt/capital tests?' then all applicable worldwide gearing debt/capital test information must be completed</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.GearingDebtCapitalTest.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440203</Code>
      <Description>Financial services entities information not required</Description>
      <LongDescription>If there is a 'False' response to 'Are you a foreign bank or other qualifying financial entity that has not elected out of Part IIIB of the ITAA 1936?' then amounts under sections 160ZZZ, 160ZZZA or 160ZZZJ should not be completed</LongDescription>
      <Location>bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440204</Code>
      <Description>Financial services entities information required</Description>
      <LongDescription>If there is a 'True' response to 'Are you a foreign bank or other qualifying financial entity that has not elected out of Part IIIB of the ITAA 1936?' then amounts under sections 160ZZZ, 160ZZZA or 160ZZZJ must be completed</LongDescription>
      <Location>bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440210">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440210</Code>
      <Description>Financial services entities information not required</Description>
      <LongDescription>If there is a 'False' response to 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' then assessable OB income, net OB income/loss, assessable OB income from related parties or eligible fraction of foreign income tax on OB income claimed under division 770 should not be completed</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440211">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440211</Code>
      <Description>Financial services entities information required</Description>
      <LongDescription>If there is a 'True' response to 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' then assessable OB income, net OB income/loss, assessable OB income from related parties or eligible fraction of foreign income tax on OB income claimed under division 770 must be completed</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440212">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440212</Code>
      <Description>Incorrect response for an OBU</Description>
      <LongDescription>If 'Notional amount of interest taken to be paid under section 160ZZZA attributable to OB activities of OBUs' is greater than zero then there must be a 'True' response at 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' and the relevant labels in Question 41 must be completed</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440213">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440314</Code>
      <Description>OB income required</Description>
      <LongDescription>If there is a 'True' response to 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' then amounts other than zero must be completed at 'Total assessable OB Income / less Total OB deductions - Assessable OB income', 'Total assessable OB Income / less Total OB deductions - Net OB income/loss' and 'Eligible fraction of foreign income tax on OB income claimed under division 770'</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440214">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440215">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440315</Code>
      <Description>Total assessable OB Income / less Total OB deductions - Assessable OB income incorrect</Description>
      <LongDescription>If assessable OB income has been completed then 'Total assessable OB Income / less Total OB deductions - Assessable OB income' should equal the sum of amounts at borrowing, lending, guarantee-type, trading, eligible contract, investment, advisory, hedging and other</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440217">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440217</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440218">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440316</Code>
      <Description>Total assessable OB Income / less Total OB deductions - Net OB income/loss incorrect</Description>
      <LongDescription>If net OB income/loss has been completed then the 'Total assessable OB Income / less Total OB deductions - Net OB income/loss' should equal the sum of amounts at borrowing, lending, guarantee-type, trading, eligible contract, investment, advisory, hedging and other, less the general OB deduction and apportionable OB deductions</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440220">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440220</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440317">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440317</Code>
      <Description>Total assessable OB Income / less Total OB deductions - Assessable OB income from related parties incorrect</Description>
      <LongDescription>If assessable OB income from related parties has been completed then 'Total assessable OB Income / less Total OB deductions - Assessable OB income from related parties' should equal the sum of amounts at borrowing, lending, guarantee-type, trading, eligible contract, investment, advisory, hedging and other</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440224</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440226</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440229">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440229</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440231</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440234">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440234</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440236">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440236</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440239">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440239</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440241">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440241</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440244">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440244</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440246">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440246</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440249">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440249</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440251">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440251</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440254">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440254</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440256">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440256</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440259">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440259</Code>
      <Description>Net OB income/loss incorrect</Description>
      <LongDescription>For each OB activity, if Net OB income/loss has been completed then it must be less than or equal to the Assessable OB income.</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeOrLossNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440261">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440261</Code>
      <Description>Assessable OB income from related parties incorrect</Description>
      <LongDescription>For each OB activity, if Assessable OB income from related parties has been completed then it must be less than or equal to the Assessable OB income</LongDescription>
      <Location>bafot.02.11:FinancialServices.OffshoreBankingIncomeAssessable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440281">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440281</Code>
      <Description>Activity code can only appear once per foreign country</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440282">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440282</Code>
      <Description>Maximum of three foreign countries allowed</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440283">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440283</Code>
      <Description>Maximum of three activity codes per foreign country</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440284">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440284</Code>
      <Description>Can only have one occurrence of "other amounts" per foreign country</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440285">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440285</Code>
      <Description>Maximum of three specified countries allowed</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440286">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440286</Code>
      <Description>Maximum of three activity codes per specified foreign country</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440287">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440287</Code>
      <Description>Can only have one occurrence of "other amounts" per foreign country</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440288">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440288</Code>
      <Description>Activity code can only appear once per specified country</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440291">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440291</Code>
      <Description>Duplicate derivative code present for derivative transactions</Description>
      <LongDescription>In derivative transactions information the same principal derivative type code has been entered more than once. Each derivative code can only appear once</LongDescription>
      <Location>bafot.02.11:Miscellaneous.PrincipalDerivatives.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440292">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440292</Code>
      <Description>Maximum of three Restructuring Events</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440293">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440293</Code>
      <Description>Tax time method election codes can only occur up to six times</Description>
      <Location>rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440294">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440294</Code>
      <Description>TOFA tax timing method elections incorrect</Description>
      <LongDescription>If the tax timing method election for 'No elections made' is selected then no other tax timing method election should be completed</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440295">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440295</Code>
      <Description>TOFA tax timing method elections incorrect</Description>
      <LongDescription>The tax timing method election code must be unique</LongDescription>
      <Location>rvctc4.02.05:InternationalDealings.TaxTimingMethodElections.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440296">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440296</Code>
      <Description>Interests in foreign entities question incorrect</Description>
      <LongDescription>If Interests in foreign entities information has been completed for transfers of property, money or services then the response to 'During the last three income years, including the current income year, did you directly or indirectly transfer property, money or services to a non-resident trust, where that non-resident trust was still in existence during that income year?' must be 'True'</LongDescription>
      <Location>bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440297">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440297</Code>
      <Description>Transfers information incomplete</Description>
      <LongDescription>If there is a 'True' response to 'During the last three income years, including the current income year, did you directly or indirectly transfer property, money or services to a non-resident trust, where that non-resident trust was still in existence during that income year?' then transfer amount and exemption code must be completed</LongDescription>
      <Location>bafot.02.11:Miscellaneous.TransferPropertyMoneyOrServices.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440298">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440298</Code>
      <Description>Maximum of ninety nine internally recorded dealings are allowed</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440299">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440299</Code>
      <Description>Maximum of three transfers to non-resident trust allowed</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440300">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440301">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440301</Code>
      <Description>ADI - Worldwide group capital ratio cannot be larger than "1.00000"</Description>
      <Location>bafpo6.02.09:Capital.ThinCapitalisation.WorldwideGroupCapitalRatio.Fraction</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440307">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440307</Code>
      <Description>'Conduit foreign income included in balance of unfranked non-portfolio dividend account at year end - code' is required.</Description>
      <LongDescription>'Conduit foreign income included in balance of unfranked non-portfolio dividend account at year end - code' is required when 'Do you have an unfranked non portfolio dividend account (refer section 46FB ITAA )?' is 'Yes'.</LongDescription>
      <Location>rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioAccountConduitForeignIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431004">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431004</Code>
      <Description>If Total amount of your share of net income/distribution of profit has been completed on the IDS then the Gross Other assessable foreign source income must be completed on the partnership return form.</Description>
      <LongDescription>If there is a 'True' response to 'Are you subject to the Taxation of Financial Arrangements rules contained in Division 230 of the ITAA 1997?' on the IDS, then there must be a 'True' response to 'Did you make a gain, loss or balancing adjustment from a financial arrangement subject to the TOFA rules?' on the partnership return.</LongDescription>
      <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430000">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430000</Code>
      <Description>Invalid context. The number of Reporting party:LowCost contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430005</Code>
      <Description>Invalid context. The number of Reporting party:Carried back to middle year contexts must not exceed 1</Description>
      <Location>Context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430006</Code>
      <Description>Invalid context. The number of Reporting party:MiddleYear contexts must not exceed 1</Description>
      <Location>Context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428192">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438033</Code>
      <Description>Reporting year must be 2014</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428426">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430011</Code>
      <Description>Status of company is incorrect</Description>
      <LongDescription>If there is a 'True' response to "Has an Australian resident company elected under subdivision 820-FB of the ITAA 1997 to treat your qualifying Australian branch operations as part of a consolidated group, MEC group or a single company for thin capitalisation purposes?" on the IDS then the residency status at Status of company must be Non-resident with permanent establishment on the company return</LongDescription>
      <Location>pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430012</Code>
      <Description>Total CGT discount applied not applicable</Description>
      <LongDescription>Companies cannot claim CGT discount unless they are life insurance companies or friendly societies or the company type is FHSA Trust</LongDescription>
      <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430013</Code>
      <Description>Specified Income year must not be less than 1995 or greater than the current reporting year</Description>
      <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428062">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430016</Code>
      <Description>Depreciation expenses is greater than accounting expenditure subject to R&amp;D incentive plus non-deductible expenses</Description>
      <LongDescription>Depreciation expenses cannot be greater than accounting expenditure subject to R&amp;D tax incentive plus non deductible expenses for a taxpayer not claiming any small business entity simplified depreciating assets deductions</LongDescription>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430017</Code>
      <Description>Accounting expenditure subject to R&amp;D tax incentive and non-deductible expenses not supplied</Description>
      <LongDescription>Depreciation expenses has a value and accounting expenditure subject to R&amp;D tax incentive and non-deductible expenses are not supplied for a taxpayer not claiming any small business entity simplified depreciating assets deductions</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428122">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430018</Code>
      <Description>Depreciation expenses amount incorrect</Description>
      <LongDescription>Total of the small business entity simplified depreciating deductions is greater than the amount entered at depreciation expenses</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438016">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438019</Code>
      <Description>Exemption or rollover code not supplied</Description>
      <LongDescription>If an exemption or rollover has been applied then the exemption or rollover code(s) must be supplied</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430028</Code>
      <Description>Invalid exemption or rollover code</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430029</Code>
      <Description>Exemption or rollover code must be unique</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430030</Code>
      <Description>Maximum of eighteen exemption or rollover codes allowed for company tax return</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430031</Code>
      <Description>Capital gains disregarded as a result of inter-company assets roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Intercompany rollover Subdivision 126B", then Capital gains disregarded as a result of inter-company assets roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438021</Code>
      <Description>Exemption or rollover applied indicator must be true</Description>
      <LongDescription>If an exemption or rollover code(s) is provided then the exemption or rollover applied indicator must be true</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438022</Code>
      <Description>Small business active asset reduction amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business active asset reduction (Subdivision 152-C)", then Small business active asset reduction amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438023</Code>
      <Description>Small business retirement exemption amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business retirement exemption (Subdivision152-D)", then Small business retirement exemption amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438024</Code>
      <Description>Small business roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business roll-over (Subdivision 152-E)", then Small business roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438025</Code>
      <Description>Small business 15 year exemption amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business 15 year exemption (Subdivision152-B)", then Small business 15 year exemption amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438026">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438026</Code>
      <Description>Capital gains disregarded by a foreign resident amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Foreign resident CGT exemption (Division 855)", then Capital gains disregarded by a foreign resident amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438027.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438027</Code>
      <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438027.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438027</Code>
      <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438027.CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438027</Code>
      <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438027.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438027</Code>
      <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438028</Code>
      <Description>Capital gains disregarded by a demerging entity amount missing from CGT schedule</Description>
      <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Demerger exemption (Subdivision 125-C)", then Capital gains disregarded by a demerging entity amount on attached CGT schedule must be completed</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428098">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430019</Code>
      <Description>Net capital gain in return must equal net capital gain in CGT schedule</Description>
      <LongDescription>Net capital gain amount on the company return  must equal the net capital gain amount on the CGT schedule</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430020">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430020</Code>
      <Description>International dealings schedule required</Description>
      <LongDescription>International dealings schedule must be attached if section 46FA deduction for flow-on dividends amount is greater than zero</LongDescription>
      <Location>bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430021</Code>
      <Description>Check depreciation expenses or deduction for decline in value of  depreciating assets amount</Description>
      <LongDescription>An amount is present at deduction for decline in value of  depreciating assets and there is no amount at depreciation expenses or an amount is present at depreciation expenses and there is no amount at deduction for decline in value of  depreciating asset</LongDescription>
      <Location>bafpr1.02.13:Expense.DepreciationAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430023</Code>
      <Description>Net capital losses carried forward to later income years incorrect</Description>
      <LongDescription>Net capital losses carried forward to later income years on the company return  must equal the total net capital losses carried forward (including collectables) to later income years on the CGT schedule</LongDescription>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430044">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430062</Code>
      <Description>Loss carry back tax offset amount incorrect</Description>
      <LongDescription>
        Loss carry back tax offset cannot be greater than the least
        a The sum of
        i) (“Tax loss for current year chosen to be carried back to middle year” less “Net exempt income for middle year”) multiplied by the corporate tax rate (configurable value)
        PLUS
        ii) ((“Tax loss for middle year (not already utilised) chosen to be carried back to earliest year” plus “Tax loss for current year chosen to be carried back to earliest year”) less “Net exempt income for earliest year”) multiplied by the corporate tax rate.
        b The “Franking account balance” (item 8 label M) where the taxpayer was a resident in the current year.
        c The sum of:
        i) “Income tax liability for earliest year ”
        PLUS
        ii) “Income tax liability for middle year”
        d The tax value of the quantitative cap
        i) The tax value is the quantitative cap multiplied by the corporate tax rate
        ii) The quantitative cap (configurable value).
      </LongDescription>
      <Location>rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430049">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.W00001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.W00002</Code>
      <Description>Loss carry back offset is being claimed</Description>
      <LongDescription>If claiming the loss carry back tax offset, ensure your lodgment is up-to-date.This lodgment may be rejected if your loss carry back tax offset claim is greater than your franking account balance, your income tax liability in the year you are carrying losses back to, the quantitative cap for this year multiplied by the corporate tax rate for this year or your taxable loss for this year</LongDescription>
      <Location>rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438010</Code>
      <Description>Personal services income section completed incorrectly</Description>
      <LongDescription>If the income includes personal services income (PSI) then total amount of income and deductions, results test satisfied and business determination indicators must all be completed</LongDescription>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438011</Code>
      <Description>Personal services income section completed incorrectly</Description>
      <LongDescription>If the income does not include personal services income (PSI) then total amount of income and deductions,results test satisfied,business determination,unrelated clients test,employment test and business premises test indicators must not be completed</LongDescription>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430025</Code>
      <Description>Non-refundable R&amp;D tax offset to be utilised amount incorrect</Description>
      <LongDescription>Non-refundable R&amp;D tax offset to be utilised in the current year cannot be greater than the total sum of Non-refundable R&amp;D tax offset and Non-refundable R&amp;D tax offset carried forward from previous year</LongDescription>
      <Location>gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430043">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430041</Code>
      <Description>Feedstock adjustment amount cannot be greater than other assessable income amount</Description>
      <Location>bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430014</Code>
      <Description>International dealings schedule required</Description>
      <LongDescription>International dealings schedule must be attached if interest expenses overseas amount is greater than zero</LongDescription>
      <Location>bafpr2.02.02:Expense.Operating.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430015</Code>
      <Description>International dealings schedule required</Description>
      <LongDescription>International dealings schedule must be attached if royalty expenses overseas amount is greater than zero</LongDescription>
      <Location>bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430027">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430027</Code>
      <Description>Non-refundable R&amp;D tax offset to be carried forward amount is incorrect</Description>
      <LongDescription>Non-refundable R&amp;D tax offset to be carried forward should be equal to Non-refundable R&amp;D tax offset plus Non-refundable R&amp;D tax offset carried forward from previous year minus Non-refundable R&amp;D tax offset to be utilised in the current year</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430045">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430063</Code>
      <Description>Tax loss for current year chosen to be carried back to middle or earliest year incorrect</Description>
      <LongDescription>Tax loss for current year chosen to be carried back to middle year and Tax loss for current year chosen to be carried back to earliest year cannot be greater than taxable loss of current year</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430051">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430051</Code>
      <Description>Franking account balance is required</Description>
      <LongDescription>Franking account balance is required, when the status of the company is Resident and Loss carry-back tax offset is present</LongDescription>
      <Location>bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430058</Code>
      <Description>Tax loss for current year chosen to be carried back to middle or earliest year incorrect</Description>
      <LongDescription>Tax loss for current year chosen to be carried back to middle year and Tax loss for current year chosen to be carried back to earliest year cannot exist where there is no taxable loss for current year</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400012</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404151">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>rvctc3.02.00:Tax.Losses.Utilised.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGLS.404152">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001021.CGT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001021</Code>
      <Description>Invalid identifier scheme.</Description>
      <LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to "http://www.ato.gov.au/tfn"</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402134">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.CTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402009.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402138">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402141">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402142">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402143">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402144">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402145">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402146">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402147">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402148">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402149">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402150">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402136</Code>
      <Description>The number of earnout arrangment group item dimensions must be between 1 - 20</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402137">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402137</Code>
      <Description>The earnout arrangement report item order number must be unique</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402157">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402157</Code>
      <Description>Total current year capital gains must equal the sum of each unique capital gain reported</Description>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402160">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402160</Code>
      <Description>Total current year capital losses does not equal the sum of each unique capital loss reported</Description>
      <Location>rvctc3.02.11:Capital.Losses.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402176">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402176</Code>
      <Description>Invalid small business active asset reduction amount reported</Description>
      <LongDescription>The small business active asset reduction must be less than or equal to 50% of current year capital gains after applying capital losses</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402178">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402178</Code>
      <Description>Small business retirement exemption is not valid for Self Managed Super Funds</Description>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402181">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402181</Code>
      <Description>Invalid small business concessions total amount</Description>
      <LongDescription>Total small business concessions can not be greater than current year capital gains remaining after applying capital losses and the Capital Gains Tax (CGT) discount</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402182">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402182</Code>
      <Description>Invalid small business concessions total amount</Description>
      <LongDescription>Total small business concessions can not be greater than current year capital gains remaining after applying capital losses and the Capital Gains Tax (CGT) discount</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402184">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402184</Code>
      <Description>Invalid amount. Total net capital gain amount incorrect</Description>
      <LongDescription>Net capital gain must equal the sum of total current year capital gains less total capital losses applied  less total capital gains discount applied less total small business concessions applied</LongDescription>
      <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402195</Code>
      <Description>Small business 15 year exemption code is not present</Description>
      <LongDescription>Small business 15 year exemption amount reported. Asset type code must be present</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402196">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402196</Code>
      <Description>Small business 15 year exemption code should not be present</Description>
      <LongDescription>No small business 15 year exemption amount reported. Asset type code must not be present</LongDescription>
      <Location>gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402185">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402185</Code>
      <Description>Mandatory field not completed, must be set to either 'Buyer', 'Seller' or 'No'</Description>
      <Location></Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402186">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402186</Code>
      <Description>The number of years the earnout arrangement will run for must be completed</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402187">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402187</Code>
      <Description>The earnout arrangement relative year must be completed</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402188">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402188</Code>
      <Description>All fields in an Earnout Arrangment are mandatory when the reporting party is the 'Seller'</Description>
      <Location>bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402189">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402189</Code>
      <Description>No earnout arrangement reported. No other values should be present for an earnout arrangement</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402190">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402190</Code>
      <Description>Total number of years an earnout arrangement can run is not set between 1-99</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402191">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402191</Code>
      <Description>Current year of earnout arrangement is greater than total earnout duration</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402165</Code>
      <Description>Total losses transferred in applied is only valid for a company</Description>
      <Location>rvctc3.02.11:Capital.Losses.TransferredTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402167">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402167</Code>
      <Description>Invalid amount. Total current year capital losses applied amount is incorrect</Description>
      <LongDescription>Total capital losses applied must equal the sum of current year capital losses, prior year net capital losses and total capital losses transferred in applied</LongDescription>
      <Location>rvctc3.02.11:Capital.Losses.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402168">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402168</Code>
      <Description>Invalid amount. Total capital losses applied must not be greater than current year capital gains</Description>
      <Location>rvctc3.02.11:Capital.Losses.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402173">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402173</Code>
      <Description>The total percentage applied to capital gains by a company must not be greater than 33%</Description>
      <Location>gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402174">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402174</Code>
      <Description>The CGT discount rate applied to capital gains by a trust must not be greater than 50%</Description>
      <Location>gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402162">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402162</Code>
      <Description>Total current year capital losses applied can not be greater than total current year capital losses</Description>
      <Location>rvctc3.02.11:Capital.Losses.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402171">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402171</Code>
      <Description>Invalid amount. A capital loss can not be carried forward where a net capital gain amount has been reported</Description>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402158">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402158</Code>
      <Description>Invalid capital loss amount applied</Description>
      <LongDescription>Current year capital losses from collectables are greatear than capital gains from collectables. The capital loss amount applied in the current year, for collectables, must be less than or equal to the amount of capital gain from collectables.  The reamining capital loss amount must be carried froward.</LongDescription>
      <Location>rvctc3.02.11:Capital.Gains.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438000.CGTS">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434290">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434290</Code>
      <Description>Other deductions code must be A, B, C, E, I, N, O, R, S or T</Description>
      <LongDescription>Other deductions codes are: 'A' - Deductible balancing adjustment, 'B' - Contribution that is a fringe benefit, 'C' - Exclusion of personal contributions, 'E' - Environment protection expenditure, 'I' - Listed investment company capital gain amount, 'N' - Deduction relating to foreign non-assessable non-exempt income, 'O' - Other deductions not listed, 'R' - Return of contribution by non-complying funds, 'S' - Superannuation (Financial assistance Funding) Levy Act 1993, 'T' - TOFA losses or deductible TOFA balancing adjustment</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434291">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434291</Code>
      <Description>Other income code must be B, C, O, R, W or T</Description>
      <LongDescription>Other income codes are:    'B' - Assessable balancing adjustment amount,    'C' - LIC capital gain amount,  'O' - Other income received not listed,    'R' - Rebate or refund of death or disability premiums,    'W' - Gross payments subject to foreign resident withholding, 'T' - TOFA gains or assessable TOFA balancing adjustment</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440310">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440310</Code>
      <Description>'DTA Country Code' is required.</Description>
      <LongDescription>'DTA Country Code' is required when 'Interest to financial institution exempt from withholding under a DTA' has a value.</LongDescription>
      <Location>rvctc4.02.03:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440309">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440309</Code>
      <Description>'Interest to financial institution exempt from withholding under a DTA', 'Section 128F exempt interest paid' or 'Section 128FA exempt interest paid' must have a value.</Description>
      <LongDescription>'Interest to financial institution exempt from withholding under a DTA', 'Section 128F exempt interest paid' or 'Section 128FA exempt interest paid' is required as 'Did you pay amounts of interest exempt from withholding tax during the income year?' is 'Yes'.</LongDescription>
      <Location>rvctc4.02.06:InternationalDealings.WithholdingTaxExemptNonResidentInterestPaid.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440306">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440306</Code>
      <Description>'Balance of unfranked non-portfolio dividend account at year end' must have a value.</Description>
      <LongDescription>When 'Do you have an unfranked non portfolio dividend account (refer section 46FB ITAA )?' has a value of 'Yes', 'Balance of unfranked non-portfolio dividend account at year end' must have a value.</LongDescription>
      <Location>rvctc4.02.06:InternationalDealings.UnfrankedNonPortfolioDividendAccount.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.IDS.440308">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.IDS.440308</Code>
      <Description>'Balance of conduit foreign income' or 'Conduit foreign income distributed during income year' is required.</Description>
      <LongDescription>'Balance of conduit foreign income' or 'Conduit foreign income distributed during income year' is required as 'Did you have a Conduit Foreign Income balance and/or distribute amounts of Conduit Foreign Income during the income year?' is 'Yes'.</LongDescription>
      <Location>rvctc4.02.06:InternationalDealings.ConduitForeignIncome.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.430059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430059</Code>
      <Description>Credit for tax withheld - foreign resident withholding must be present</Description>
      <LongDescription>If Primary production or Non-primary production Gross payments subject to foreign resident withholding is greater than zero, then there must be an amount at Credit for tax withheld - foreign resident withholding</LongDescription>
      <Location>rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431012</Code>
      <Description>Invalid context. The number of Reporting party:LowCost contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431014</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>An ‘International dealings schedule’ (IDS) is not attached when a value greater than zero is present at label Interest expenses overseas</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431015</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>An ‘International dealings schedule’ (IDS) is not attached when a value greater than zero is present at label Royalty expenses overseas</LongDescription>
      <Location>bafpr1.02.04:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431030</Code>
      <Description>PP - Share of net income from trusts amount must be greater than zero if action code is present</Description>
      <LongDescription>If the Primary production - Share of net income  from trusts action code is present, then the Partnership and Trusts - Primary production - Share of net income  from trusts must be present and greater than zero. An action code is not required for negative or zero amounts</LongDescription>
      <Location>bafpr1.02.13:Income.TrustShareNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431013</Code>
      <Description>Invalid context. The number of Reporting party:GeneralPool contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438017.PTR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438017</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>If the thin capitalisation rules apply then International Dealings Schedule must be attached</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438017.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438017</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>If the thin capitalisation rules apply then International Dealings Schedule must be attached</LongDescription>
      <Location>bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431031</Code>
      <Description>Total distributions and income from a trust must not be less than zero</Description>
      <LongDescription>The sum of Primary production - Share of net income from trusts, Non-primary production - Share of net income from trusts, leass capital gains, foreign income and franked distributions, Attributed foreign income, General net foreign source income, Australian franking credits from a New Zealand franking company can not be less than zero. This would indicate that an overall trust loss is being distributed from a trust to a partnership. Adjust distributed amounts until the overall negative amount no longer exists (i.e. make the sum equal to zero)</LongDescription>
      <Location>bafpr1.02.13:Income.TrustShareNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431006</Code>
      <Description>Share of net income from trusts, less capital gains, foreign income and franked distributions action code must be present</Description>
      <LongDescription>If Non-primary production - Share of net income from trusts, less capital gains, foreign income and franked distributions is greater than zero, the Non-primary production - Share of net income from trusts, less capital gains, foreign income and franked distributions iaction code must be present</LongDescription>
      <Location>pyde.02.05:Party.TrustType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431007</Code>
      <Description>Non-PP - Deductions relating to distribution amounts can not be more than zero</Description>
      <LongDescription>If there is an amount present at Non-primary production- Deductions relating to amounts shown at Distribution from partnerships less foreign income or Non-primary production - Share of net income from trusts less capital gains, foreign income and franked distributions there must be an amount at either Non-primary production - Distribution from partnerships less foreign income or Non-primary production - Share of net income from trusts less capital gains, foreign income and franked distributions</LongDescription>
      <Location>bafpr1.02.04:Expense.DistributionDeductionsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.LS.414112">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.LS.414112</Code>
      <Description>Total tax losses carried forward to later income years must be equal to the equation of all amounts in the Tax losses reconciliation statement and must be a loss.</Description>
      <Location>rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430192">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430192</Code>
      <Location>gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number</Location>
      <Severity>Information</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438019.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438019</Code>
      <Description>Exemption or rollover code not supplied</Description>
      <LongDescription>If an exemption or rollover has been applied then the exemption or rollover code(s) must be supplied</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438019.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438019</Code>
      <Description>Exemption or rollover code not supplied</Description>
      <LongDescription>If an exemption or rollover has been applied then the exemption or rollover code(s) must be supplied</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438021.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438021</Code>
      <Description>Exemption or rollover applied indicator must be true</Description>
      <LongDescription>If an exemption or rollover code(s) is provided then the exemption or rollover applied indicator must be true</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438021.SMSFAR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438021</Code>
      <Description>Exemption or rollover applied indicator must be true</Description>
      <LongDescription>If an exemption or rollover code(s) is provided then the exemption or rollover applied indicator must be true</LongDescription>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432694">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432694</Code>
      <Description>Exemption or rollover code must be unique</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432695">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432695</Code>
      <Description>Maximum of nineteen exemption or rollover codes allowed for Trust tax return</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438011.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438011</Code>
      <Description>Personal services income section completed incorrectly</Description>
      <LongDescription>If the income does not include personal services income (PSI) then total amount of income and deductions,results test satisfied,business determination,unrelated clients test,employment test and business premises test indicators must not be completed</LongDescription>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438010.TRT">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438010</Code>
      <Description>Personal services income section completed incorrectly</Description>
      <LongDescription>If the income includes personal services income (PSI) then total amount of income and deductions, results test satisfied and business determination indicators must all be completed</LongDescription>
      <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432678">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432678</Code>
      <Description>Code not present for tax offset amount greater than zero</Description>
      <LongDescription>If the amount in tax offset is greater than zero then tax offsets code must be present</LongDescription>
      <Location>rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRT.432680">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRT.432680</Code>
      <Description>Tax offset amount is equal to zero or not present but code is present</Description>
      <LongDescription>If tax offset code is present then the tax offset amount must be present and greater than zero</LongDescription>
      <Location>rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436357">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438033</Code>
      <Description>Reporting year must be 2014</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436559">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436616">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436616</Code>
      <Description>Total limited recourse borrowing arrangements is not correct</Description>
      <LongDescription>Total limited recourse borrowing arrangements must be the sum of limited recourse borrowing arrangements amounts</LongDescription>
      <Location>bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436617">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436617</Code>
      <Description>Amount fund loaned, leased to or invested in, related parties (known as in-house assets) is required</Description>
      <LongDescription>If response to the question "Did the fund loan to, lease to or invest in, related parties (known as in-house assets)?" is true then an amount is required</LongDescription>
      <Location>bafpo7.02.13:Assets.RelatedParties.InHouse.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436618">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436618</Code>
      <Description>Amount fund loaned, leased or invested in, related parties (known as in-house assets) not required</Description>
      <LongDescription>If response to the question 'Did the fund loan to, lease to or invest in, related parties (known as in-house assets)?' is false then an amount is not required</LongDescription>
      <Location>bafpo7.02.13:Assets.RelatedParties.InHouse.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436620">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436620</Code>
      <Description>Unapplied net capital losses carried forward on CGTS must equal net capital losses carried forward</Description>
      <LongDescription>The sum of unapplied net capital losses carried forward to later income years on the Capital Gains Tax schedule must equal net capital losses carried forward to later income years on parent return</LongDescription>
      <Location>rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436621">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436621</Code>
      <Description>If Other amounts - non-deductible expenses is provided Other amounts code for non-deductible expenses is required</Description>
      <Location>bafpr1.02.15:Expense.Other.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436622">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436622</Code>
      <Description>Other amounts code for non-deductible expenses is not required</Description>
      <LongDescription>If Other amounts - non-deductible expenses has not been provided Other amounts code for non-deductible expenses is not required</LongDescription>
      <Location>bafpr1.02.15:Expense.Other.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436607">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436607</Code>
      <Description>Income stream payment code is required</Description>
      <LongDescription>If an income stream payment is provided then income stream payment code is required</LongDescription>
      <Location>emsup.02.09:SuperannuationPayment.BenefitPensions.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436608">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436608</Code>
      <Description>Income stream payment code is not required</Description>
      <LongDescription>If no income stream payment has been provided then income stream payment code is not required</LongDescription>
      <Location>emsup.02.09:SuperannuationPayment.BenefitPensions.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436560">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436560</Code>
      <Description>If the fund paid an income stream, there must be an 'Exempt current pension income' amount</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is true, there must be an 'Exempt current pension income' amount</LongDescription>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436597">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436597</Code>
      <Description>Other amounts code must be A, B, C, E, F, I, N, O, R or T</Description>
      <LongDescription>
        Allowable other amounts codes are:
        A - Deductible balancing adjustment
        B - Contribution that is a fringe benefit
        C - Exclusion of personal contributions
        E - Environment protection expenditure
        F - Foreign exchange losses
        I - Listed investment company capital gain amount
        N - Deduction relating to foreign non-assessable non-exempt income
        R - Return of contributions by non-complying funds
        T - TOFA losses or deductible TOFA balancing adjustment
        O - Other expenses not listed elsewhere
      </LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436563">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436563</Code>
      <Description>If the fund paid an income stream, must show method to calculate exempt current pension income</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is true, must select a code for method used to calculate exempt current pension income</LongDescription>
      <Location>gfagc.02.07:TaxConcession.PensionIncomeExemptCalculationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436565">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436565</Code>
      <Description>If fund did not pay an income stream, must not show whether actuarial certificate received</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is false, must not provide a response to whether an actuarial certificate was obtained to calculate exempt current pension income</LongDescription>
      <Location>emsup.02.09:SuperannuationFundDetails.ActuarialCertificate.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436556">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436556</Code>
      <Description>If Part B of Audit report was qualified, must show whether compliance issues have been rectified.</Description>
      <LongDescription>If Part B of the audit report was qualified, there must be a response to the question: Have the reported compliance issues been rectified?</LongDescription>
      <Location>emfsm.02.09:AuditorReport.QualificationsRectified.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436638">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436638</Code>
      <Description>If fund did not pay an income stream, must not answer whether fund has other assessable income</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is false, must not provide a response to whether fund has other assessable income</LongDescription>
      <Location>bafpr1.02.15:Income.AssessableOther.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436640">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436640</Code>
      <Description>If response to the question 'Did the fund have any other income that was assessable?' is true, must provide details of assessable income</Description>
      <Location>bafpr1.02.15:Income.AssessableOther.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436642">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436642</Code>
      <Description>Member account status code must be either 'Open' or 'Closed'</Description>
      <LongDescription>Permitted values for member account status code are 'Open' or 'Closed'</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436564">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436564</Code>
      <Description>If fund did not pay an income stream, must not show method to calculate exempt pension income</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is false, must not provide a code for method used to calculate exempt current pension income</LongDescription>
      <Location>gfagc.02.07:TaxConcession.PensionIncomeExemptCalculationMethod.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436637">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436637</Code>
      <Description>If fund paid an income stream, must answer whether fund has other assessable income</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is true, must provide a response to whether fund has other assessable income</LongDescription>
      <Location>bafpr1.02.15:Income.AssessableOther.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436573">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436573</Code>
      <Description>Exemption or rollover code must be unique</Description>
      <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436601">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436601</Code>
      <Description>Total SMSF expenses must equal the sum of deductions plus the sum of non-deductible expenses</Description>
      <Location>bafpr1.02.00:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436605">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436605</Code>
      <Description>Lump sum payment code is not required</Description>
      <LongDescription>If no lump sum payment has been provided then lump sum payment code is not required</LongDescription>
      <Location>emsup.02.09:SuperannuationPayment.BenefitLumpSum.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436645">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436654</Code>
      <Description>If fund was wound up during reporting year, Supervisory levy adjustment must be $259</Description>
      <Location>rvctc1.02.11:IncomeTax.SupervisoryLevyAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436646">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436646</Code>
      <Description>If fund was not wound up Supervisory levy adjustment must be $0</Description>
      <Location>rvctc1.02.14:IncomeTax.SupervisoryLevyWoundupAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436604">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436604</Code>
      <Description>Lump sum payment code is required</Description>
      <LongDescription>If a lump sum payment is provided then lump sum payment code is required</LongDescription>
      <Location>emsup.02.09:SuperannuationPayment.BenefitLumpSum.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436562">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436562</Code>
      <Description>Income amounts are not required if gross income equals exempt current pension income</Description>
      <LongDescription>If the Exempt current pension income amount is equal to the Gross Income, do not include income amounts or set to zero.</LongDescription>
      <Location>gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436635">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436635</Code>
      <Description>Member account status code must be present for each member</Description>
      <Location>emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436630">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.4310445">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438031</Code>
      <Description>International Dealings Schedule is not required</Description>
      <LongDescription>If there is a 'NO' response to the questions concerning whether the entity had either a direct or indirect interest in a foreign trust, controlled foreign company or transferor trust and whether the value of dealings with international related parties is greater than $2 million and whether the thin capitalisation provisions apply, and no amounts have been completed at Interest expenses overseas and Royalty expenses overseas, an International Dealings schedule must not be attached.</LongDescription>
      <Location>bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430052</Code>
      <Description>Invalid context. The number of Reporting party:Carried back to earliest year from middle year contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430053</Code>
      <Description>Invalid context. The number of Reporting party:Carried back to earliest year from current year contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430054</Code>
      <Description>Invalid context. The number of Reporting party:EarliestYear contexts must not exceed 1</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430065">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430065</Code>
      <Description>Amount due or refundable must be rounded down to the nearest 5 cents.</Description>
      <LongDescription>Where the calculated amount due is greater than 50 cents, the amount supplied must be rounded down to the nearest 5 cents. Amount due or refundable is the sum of tax payable plus Section 102AAM interest charge plus net R&amp;D quarterly credits received, less eligible credits, tax offset refunds and PAYG instalments raised.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430066">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430066</Code>
      <Description>Amount due or refundable must be equal to the calculated value.</Description>
      <LongDescription>Where the calculated amount refundable is 50 cents or more, the amount supplied must be equal to the calculated value. Amount due or refundable is the sum of tax payable plus Section 102AAM interest charge plus net R&amp;D quarterly credits received, less eligible credits, tax offset refunds and PAYG instalments raised.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436661">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin.02.16:Lodgment.FirstReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436656">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436658">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436658</Code>
      <Description>If fund was not newly registered during reporting year  Supervisory levy adjustment must be $0.</Description>
      <Location>rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PTR.431046">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PTR.431046</Code>
      <Description>TOFA gains amount is not required for the 2014 return</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438034</Code>
      <Description>Both taxable income and tax losses carried forward to later income years are present.</Description>
      <LongDescription>Tax losses carried forward to later income years cannot be present with a positive taxable income.</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402203</Code>
      <Description>A capital loss must not be carried forward when a positive net capital gain amount has been provided</Description>
      <LongDescription/>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FITR.434294">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FITR.434294</Code>
      <Description>Amount due or refundable must be zero.</Description>
      <LongDescription>Where the calculated amount due or refundable is less than 50 cents, the amount supplied must be zero. Amount due or refundable is the sum of tax payable plus section 102AAM interest charge less eligible credits, remainder of refundable tax offsets and PAYG instalments raised.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430068</Code>
      <Description>Amount of payment/refund is incorrect</Description>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436667">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436667</Code>
      <Description>Amount due or refundable must be zero.</Description>
      <LongDescription>Where the calculated amount due or refundable is less than 50 cents, the amount supplied must be zero. Amount due or refundable is the sum of tax payable plus section 102AAM interest charge less eligible credits less 'Tax offset refunds' less 'PAYG instalments raised' plus 'Supervisory levy' plus 'Supervisory levy adjustment for newly registered funds' less 'Supervisory levy adjustment for wound up funds'.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432268">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432268</Code>
      <Description>Financial institution details must be entered when a credit (refund) is due.</Description>
      <LongDescription>Based on the return calculation details a credit or refund is due. In order for the ATO to pay this credit or refund, Australian financial institution account details must be provided. If account details are not available please phone the Tax Office on: For self lodgers 13 28 61 options 2 2 and for tax agents 13 72 86 options 1 3 1 2.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436669">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436669</Code>
      <Description>Amount due or refundable must be equal to the calculated value.</Description>
      <LongDescription>Where the calculated amount refundable is 50 cents or more, the amount supplied must be equal to the calculated value. Amount due or refundable is the sum of tax payable plus section 102AAM interest charge less eligible credits less 'Tax offset refund (remainder of refundable tax offsets' less 'PAYG instalments raised' plus 'Supervisory levy' plus 'Supervisory levy adjustment for newly registered funds' less 'Supervisory levy adjustment for wound up funds</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436668">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436668</Code>
      <Description>Amount due or refundable must be rounded down to the nearest 5 cents.</Description>
      <LongDescription>Where the calculated amount due is greater than 50 cents, the amount supplied must be rounded down to the nearest 5 cents. Amount due or refundable is the sum of tax payable plus section 102AAM interest charge less eligible credits less 'Tax offset refunds' less 'PAYG instalments raised' plus 'Supervisory levy' plus 'Supervisory levy adjustment for newly registered funds' less 'Supervisory levy adjustment for wound up funds'.</LongDescription>
      <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.W00001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.W00001</Code>
      <Description>If fund did not pay an income stream, must provide income</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is false, must provide income details</LongDescription>
      <Location>emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.W00002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.W00002</Code>
      <Description>Income stream payment for member is required</Description>
      <LongDescription>If response to the question 'Did the fund pay an income stream to one or more members in the income year?' is true or 'exempt current pension income' is greater than zero, there must be an 'income stream payment' amount for member(s) receiving income stream payment</LongDescription>
      <Location>smsfar.0003.lodge.req.02.00:MemberInformation/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount</Location>
      <Severity>Warning</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438034.FITR">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438034</Code>
      <Description>Both taxable income and tax losses carried forward to later income years are present.</Description>
      <LongDescription>Tax losses carried forward to later income years cannot be present with a positive taxable income.</LongDescription>
      <Location>rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438036</Code>
      <Description>Tax on taxable income must be supplied. A value must be included in the field, even if the value is zero.</Description>
      <Location>rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438037</Code>
      <Description>Tax on no-TFN quoted contributions must be supplied. A value must be included in the field, even if the value is zero.</Description>
      <Location>rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430069</Code>
      <Description>This field must not be supplied.</Description>
      <LongDescription />
      <Location>gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438038</Code>
      <Description>No -TFN quoted contributions must be supplied. A value must be included in the field, even if the value is zero.</Description>
      <Location>emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.SMSFAR.436600">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.SMSFAR.436600</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Location>bafpr1.02.16:Expense.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CTR.430070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.430070</Code>
      <Description>You cannot claim the loss carry back tax offset for the 2014 income year as it has been repealed.</Description>
      <LongDescription>You cannot claim the loss carry back tax offset for the 2014 income year onwards as it has been repealed. Please remove this amount from Loss carry back tax offset in Losses information and Refundable tax offsets in the Calculation statement.</LongDescription>
      <Location>rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount</Location>
    </ProcessMessage>
  </diagnostic>
</diagnostics>